2007-07-12 14:15:34  Rev 9754   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, etc/sample.gnue.conf, src/__init__.py, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Built
	  0.6.9.

2007-07-12 14:04:28  Rev 9753   reinhard

	* src/datasources/GDataSource.py: Fixed Master-Detail-Detail.

2007-07-12 13:42:27  Rev 9752   reinhard

	* src/datasources/GDataSource.py: Don't traceback for master/detail
	  when master does not have a current record.

2007-07-12 12:53:16  Rev 9751   johannes

	* packaging/osx/Info.plist.dist_template: Use :TITLE: instead of
	  manually entered bundle name

2007-07-12 12:43:07  Rev 9749   johannes

	* packaging/osx/create-build.dist_template,
	  packaging/osx/Info.plist.dist_template: Allways use the same package
	  name, and properly insert version  information, so the Installer do
	  all its dirty work

2007-07-11 09:46:35  Rev 9747   johannes

	* packaging/osx/create-build.dist_template,
	  packaging/osx/build-env/Resources/postflight: More work on packaging
	  for OS X

2007-07-11 08:01:16  Rev 9746   johannes

	* packaging/win32/setup.py,
	  packaging/win32/gnue-common.iss.dist_template: Further improvements
	  on packaging win32

2007-07-02 19:07:21  Rev 9738   reinhard

	* doc/TriggerSpecifications.txt, doc/install-mac-os-x.txt,
	  doc/RPC-abstraction.txt, packaging/fink/install-mac-os-x.txt,
	  doc/GDataSources.dia, doc/Datasources-drivers.dia,
	  doc/configuration.txt, doc/Connections.txt,
	  doc/building-static-distro.txt: Consolidated documentation.

2007-06-25 14:56:51  Rev 9736   johannes

	* packaging/win32/setup.py,
	  packaging/win32/gnue-common.iss.dist_template,
	  packaging/win32/gnue.url, packaging/win32/LICENSE.txt,
	  packaging/win32/setup.cmd: Improved packaging for gnue-common on
	  win32

2007-06-25 14:22:46  Rev 9735   reinhard

	* utils/GTest.py, utils/README, utils/generate-tool-schemas.py,
	  utils/release, utils/xml2sql, utils/fix-cvsignore,
	  utils/fix-encoding.sh, utils/svn2cl: Removed some outdated stuff
	  from utils directory.

2007-06-21 12:13:07  Rev 9727   reinhard

	* utils/announce-release: Be a little more enthusiastic for new stable
	  releases.

2007-06-11 14:40:25  Rev 9700   johannes

	* packaging/win32/README: Added working URL for package

2007-06-11 11:50:14  Rev 9699   reinhard

	* src/apps/GBaseApp.py: Convert command line parameters to unicode.

2007-06-09 12:10:04  Rev 9697   reinhard

	* po/fr.po: Some newline fixes.

2007-06-08 19:44:54  Rev 9696   reinhard

	* utils/release, src/utils/version.py, utils/announce-release: Try to
	  be a little less confusing about what is a release, a version, or a
	  build.

2007-06-08 15:26:47  Rev 9695   reinhard

	* po/fr.po: Updated French translations, thanks to Didier Belot (aka
	  electrolinux).

2007-06-06 13:11:38  Rev 9684   reinhard

	* utils/make-packages, utils/release, utils/announce-release: Fixed
	  typos.

2007-06-06 13:07:53  Rev 9683   reinhard

	* src/setup/GSetup.py: Possible fix for install_config

2007-06-06 12:44:35  Rev 9682   reinhard

	* src/setup/GSetup.py: Allow all install_* options so package creation
	  tools can do an installation to a fake destination as they like.

2007-06-06 11:57:45  Rev 9681   johannes

	* utils/release, utils/update-py2app.sh: Removed obsolete
	  update-py2app from release-process

2007-06-06 09:20:13  Rev 9675   reinhard

	* utils/make-packages, utils/release, utils/announce-release: Smarter
	  method to call python from shell scripts.

2007-06-06 08:46:11  Rev 9673   reinhard

	* src/setup/GSetup.py, setup.py: In *.dist_template handling, make
	  sure the target file keeps the mode of the source file.

2007-06-06 08:39:24  Rev 9672   reinhard

	* setup.py: Did the same changes in setup.py than in GSetup.py.

2007-06-06 08:26:40  Rev 9671   reinhard

	* utils/make-packages, packaging/debian/changelog.dist_template,
	  packaging/debian/changelog: Use dist_template feature for debian
	  packaging files.

2007-06-06 08:21:33  Rev 9670   reinhard

	* src/setup/GSetup.py: Added keywords for date and time.

2007-06-06 07:47:32  Rev 9669   johannes

	* packaging/osx/create-build.dist_template,
	  packaging/osx/create-build, packaging/win32/setup.cmd: Remove the
	  build-environmen on win32 after fetching the installer-exe.  
	  Changed to dist_template on OS X

2007-06-06 07:34:59  Rev 9667   reinhard

	* src/setup/GSetup.py: Allow *.dist_template processing for all tools.

2007-06-06 06:54:31  Rev 9666   reinhard

	* src/README: Removed README about source directories, this is now
	  documented in epydoc.

2007-06-06 06:51:16  Rev 9665   johannes

	* packaging/win32/gnue-common.iss.dist_template: Use the complete
	  version in the output filename

2007-06-06 06:42:18  Rev 9664   johannes

	* packaging/win32/gnue-common.iss.dist_template,
	  packaging/win32/gnue-common.iss: changed gnue-common.iss into a
	  dist_template file

2007-06-06 06:40:09  Rev 9663   johannes

	* utils/release, utils/update-iss.sh, packaging/win32/gnue-common.iss:
	  First step of migrating to *dist_template

2007-06-05 21:27:59  Rev 9662   reinhard

	* packaging/osx/Info.plist.dist_template, packaging/osx/Info.plist,
	  packaging/osx/Info.plist.in, setup.py: Updated setup.py to allow for
	  automatic *.dist_template processing.

2007-06-05 15:06:16  Rev 9661   johannes

	* packaging/win32/setup.py, packaging/win32/gnue-common.iss,
	  packaging/win32/setup.cmd: More work on packaging for win32

2007-05-31 14:36:20  Rev 9650   johannes

	* packaging/win32/setup.py, packaging/win32/setup.cmd: More work on
	  packaging

2007-05-31 13:35:49  Rev 9649   johannes

	* packaging/win32/setup.cmd: Started reworking of packaging

2007-05-31 09:06:29  Rev 9647   johannes

	* packaging/osx/build-env/Resources/README,
	  packaging/osx/build-env/pkg-resources, MANIFEST.in,
	  packaging/osx/create-build,
	  packaging/osx/build-env/pkg-resources/Liesmich.txt,
	  packaging/osx/build-env/pkg-resources/README: Add pkg-resource tree
	  to gnue-common packaging, changed german readme

2007-05-29 14:01:41  Rev 9640   johannes

	* packaging/osx/create-build: Safer way of iterating over all files

2007-05-29 09:51:08  Rev 9637   johannes

	* MANIFEST.in, packaging/osx/Info.plist, utils/update-py2app.sh,
	  packaging/osx/Info.plist.in: More work on OS X packaging

2007-05-28 15:57:40  Rev 9635   reinhard

	* MANIFEST.in: Updated files to include in source distribution after
	  changes in OSX packaging.

2007-05-27 11:22:46  Rev 9633   johannes

	* packaging/osx/build-env/Resources/README,
	  packaging/osx/build-env/Resources, packaging/osx/create-build,
	  packaging/osx/build-env/Resources/postflight,
	  packaging/osx/build-env: Add the resource tree

2007-05-27 11:18:32  Rev 9632   johannes

	* utils/update-py2app.sh: Don't forgett do to this one

2007-05-27 11:14:25  Rev 9631   johannes

	* packaging/osx/Description.plist, packaging/osx/HOWTO-Build,
	  packaging/osx/create-build, packaging/osx/create-image,
	  packaging/osx/dist, packaging/osx/Info.plist, packaging/osx/scripts,
	  packaging/osx/gnue-common.pmproj: Changed scripts so all steps are
	  done from one script without the need of using PackageMaker's GUI.

2007-05-24 21:22:29  Rev 9625   reinhard

	* : Fixed ignore properties for cvs->svn name transition.

2007-05-24 21:10:14  Rev 9621   reinhard

	* setup-svn.py, setup-cvs.py, README.cvs, utils/win-links.txt,
	  setup.cvs, utils/setup-win4lin-stage.sh, README.svn, setup.svn:
	  Switched from setup-cvs.py/setup.cvs/README.cvs to
	  setup-svn.py/setup.svn/README.svn.

2007-05-24 08:46:51  Rev 9614   johannes

	* src/apps/i18n.py: Use proper language and encoding on OS X

2007-05-23 15:01:44  Rev 9613   johannes

	* utils/release, utils/update-py2app.sh: Update the setup.py for
	  py2app on release time

2007-05-23 11:45:40  Rev 9609   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Added a note about a
	  possible optimizing I just stumbled across.

2007-05-23 08:04:11  Rev 9608   johannes

	* setup.py: Do not do useless os.path.joins() and dirnames()

2007-05-23 07:56:53  Rev 9607   johannes

	* setup.py: Derive data- and config-directory for frozen environments
	  on win32 only.   We're using os.path.dirname() instead of '..' now.

2007-05-22 13:08:43  Rev 9604   johannes

	* packaging/osx/gnue-common.pmproj: Built 0.6.8

2007-05-22 12:02:51  Rev 9603   johannes

	* setup.py: Don't use a backslash here as it won't work on OSX (with
	  py2app)

2007-05-16 06:58:48  Rev 9589   reinhard

	* src/setup/GSetup.py: Replaced "print" with "log.*".

2007-05-15 13:24:16  Rev 9588   reinhard

	* utils/release, utils/announce-release: Minor improvements to release
	  scripts.

2007-05-15 12:25:12  Rev 9585   reinhard

	* utils/release: Commit changes in release process before the release
	  files are made, so the ChangeLog in the released tarball also
	  contains the release commit.

2007-05-15 11:35:07  Rev 9582   johannes

	* packaging/win32/GNUe-Navigator.iss,
	  packaging/win32/GNUe-Appserver-debug.iss, packaging/win32/setup.py,
	  packaging/win32/GNUe-Reports.iss, packaging/win32/code-include.iss,
	  packaging/win32/GNUe-Designer.iss, utils/release,
	  packaging/win32/GNUe-Appserver.iss, utils/update-iss.sh,
	  packaging/win32/setup.cmd, packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss,
	  packaging/win32/GNUe-Navigator-debug.iss,
	  packaging/win32/GNUe-Reports-debug.iss,
	  packaging/win32/GNUe-Designer-debug.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/gnue-common.iss,
	  packaging/win32/GNUe-Common.iss: Started reworking the packaging
	  process for win32

2007-05-14 17:23:06  Rev 9581   reinhard

	* MANIFEST.in: Include OSX packaging files into source distribution.

2007-05-12 18:46:01  Rev 9577   reinhard

	* utils/announce-release: Better release text for prereleases.

2007-05-10 06:18:42  Rev 9573   reinhard

	* utils/make-packages: Fixed condition.

2007-05-09 21:19:27  Rev 9568   reinhard

	* utils/make-packages, utils/release: Use new make-packages script for
	  nightly builds.

2007-05-09 20:55:12  Rev 9567   reinhard

	* utils/make-packages, utils/build-packages, utils/release: Renamed
	  "build-packages" to "make-packages" to avoid confusion with the
	  expression "build" used to distinguish an explicit build from a
	  snapshot.

2007-05-09 20:50:03  Rev 9566   reinhard

	* packaging/debian/control: Updated Debian packaging information.

2007-05-09 18:26:43  Rev 9565   reinhard

	* utils/build-packages, utils/release, utils/announce-release,
	  utils/release-announce: Updated release script to also create debian
	  packages, separated out script to build packages so it can also be
	  used for nightlies.

2007-05-09 18:08:49  Rev 9564   reinhard

	* setup.py: Replaced "print" with "log.*".

2007-05-09 17:24:26  Rev 9563   reinhard

	* packaging/debian/rules, INSTALL: Updates for Debian packaging.

2007-05-09 15:26:30  Rev 9562   reinhard

	* setup.py: Fixed decision whether gnue.pth is necessary for cases
	  where --root is used.

2007-05-08 23:51:41  Rev 9561   reinhard

	* packaging/debian/README.cvs, packaging/debian/rules,
	  packaging/debian/control: Messed around in packaging/debian
	  directory in preparation of automatic .deb generation at release
	  time.

2007-05-05 18:28:31  Rev 9551   johannes

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/Connection.py: Added rowid attribute to
	  datasources for those backend not supporting a  rowid field by
	  default (like mysql)

2007-05-05 17:59:06  Rev 9550   johannes

	* src/datasources/drivers/DBSIG2/ResultSet.py: Don't make a space
	  between function name and argument, so it does work  on mySQL too

2007-05-05 12:13:54  Rev 9549   reinhard

	* src/utils/file.py: Epydoc fix.

2007-05-03 06:53:01  Rev 9547   reinhard

	* src/utils/file.py, src/definitions/GParserHelpers.py,
	  src/utils/xlocale.py: Epydoc fixes.

2007-05-02 11:28:00  Rev 9543   reinhard

	* utils/helpers/tools.py: Added note that gnue-designer is currently
	  not usable.

2007-04-26 16:36:13  Rev 9535   reinhard

	* src/definitions/GParser.py: Execute the actual import immediately
	  when parsing the statement rather than in phase 1 init.

2007-04-19 10:31:40  Rev 9503   reinhard

	* src/definitions/GParser.py: Fixed exception.

2007-04-11 08:34:03  Rev 9486   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, src/__init__.py, po/ru.po, po/fr.po, po/de.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.6.8.

2007-03-30 13:17:58  Rev 9455   reinhard

	* src/utils/file.py: Fixed typo.

2007-03-30 06:55:31  Rev 9454   johannes

	* src/datasources/readgsd.py: On processing of the <data> tag merge
	  the introspected schema with the  one read from the input files. 
	  This way the schema contains constraint  information even if the
	  backed does not support constraint introspection  (as long as it is
	  provided by the gsd then).

2007-03-29 17:36:19  Rev 9453   johannes

	* src/datasources/drivers/sql/oracle/Behavior.py: Don't use string
	  module but string-methods instead

2007-03-29 15:02:51  Rev 9452   jan

	* src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/readgsd.py,
	  src/datasources/drivers/sql/oracle/Base.py: fix oracle introspection
	  (tables+fields) fix gnue-schema data only mode

2007-03-27 18:09:57  Rev 9448   reinhard

	* src/utils/datatypes.py: Added new object type to handle temporary
	  invalid values.

2007-03-14 12:01:40  Rev 9442   reinhard

	* src/definitions/GParserHelpers.py: Safety check for name property.

2007-03-07 10:13:28  Rev 9431   reinhard

	* src/rpc/drivers/xmlrpc/ClientAdapter.py: Changed the previous fix to
	  be also compatible with Python 2.4.

2007-03-05 17:51:13  Rev 9426   jan

	* src/rpc/drivers/xmlrpc/ClientAdapter.py: call xmlrpc lib constructor
	  for PersistentTransport (fix for Python2.5)

2007-02-26 08:21:54  Rev 9410   johannes

	* src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/readgsd.py: Pep8-ified readgsd.py and added a
	  comment to the mysql driver

2007-02-23 01:29:03  Rev 9404   jcater

	* src/utils/__init__.py, src/utils/file.py, src/utils/FileUtils.py,
	  src/utils/GMimeTypes.py, src/utils/TextUtils.py,
	  src/utils/importing.py: added propset Id; added a better module
	  importer; split FileUtils up (but included imports in FileUtils for
	  backwards compatability)

2007-02-22 14:42:07  Rev 9399   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, etc/sample.gnue.conf, src/__init__.py, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po:
	  Released 0.6.7.

2007-02-22 14:31:31  Rev 9398   johannes

	* src/datasources/drivers/sql/mysql/mysqldbdrv.py: Make use of SET
	  NAMES optional (driven by a connection parameter)

2007-02-22 08:10:02  Rev 9396   johannes

	* src/utils/FileUtils.py: Proper use of the split() method

2007-02-22 01:38:13  Rev 9395   jcater

	* src/utils/FileUtils.py: make dyn_import give a more useful error
	  message when a module can't be imported; updated some old python-isms

2007-02-21 19:35:10  Rev 9394   johannes

	* src/datasources/GSchema.py: Added missing argument to merge()

2007-02-21 13:43:05  Rev 9390   reinhard

	* src/logic/GTrigger.py: Removed debug print.

2007-02-21 13:42:41  Rev 9389   reinhard

	* src/logic/GTrigger.py: Fixed calling of several trigger functions
	  bound to the same event.

2007-02-20 18:49:52  Rev 9386   reinhard

	* src/definitions/GParser.py: Added option to ignore minimum
	  requirements when parsing an XML file, this is helpful to merge in
	  partial files (like translations).

2007-02-12 18:07:35  Rev 9373   reinhard

	* src/definitions/GParserHelpers.py: Also merge attributes on merging
	  of two objects, define whether to overwrite or not. This is
	  necessary for merging country specific versions of forms.
	  issue153 testing

2007-02-08 14:19:54  Rev 9357   johannes

	* src/utils/datatypes.py, src/utils/xlocale.py: Added new module
	  containing stuff which is missing in locale module

2007-01-27 00:34:08  Rev 9339   reinhard

	* src/definitions/GParserHelpers.py: Do not copy _trigger... methods
	  on assignment, they contain method pointers pointing to the wrong
	  (old) "self".

2007-01-26 20:28:29  Rev 9336   reinhard

	* src/utils/version.py: __all__ should be *after* the imports
	  according to pep8.

2007-01-26 06:47:06  Rev 9329   jcater

	* src/logic/GTriggerCore.py: added __unicode__ support to
	  NamespaceElement (this gets rid of a NoneType exception in
	  gnue-forms/src/input/displayHandlers/Cursor.py on password fields;
	  not sure why it doesn't affect non-password fields though)

2007-01-25 03:53:23  Rev 9327   jcater

	* setup-cvs.py: got rid of error message about gnue/share/forms/ not
	  existing

2007-01-15 14:31:08  Rev 9313   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, etc/sample.gnue.conf, src/__init__.py, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po:
	  Released 0.6.6.

2007-01-15 14:10:04  Rev 9312   reinhard

	* src/utils/datatypes.py: Added conversion from datetime.time to
	  datetime.datetime. This is needed to keep generated forms in
	  appserver working, because appserver generates time fields with
	  typecast="date" (there was no separate typecast for time before).
	  This can be removed as soon as appserver is fixed.

2007-01-14 15:48:51  Rev 9310   neilt

	* packaging/fink/gnue-common-py.info: Update Fink files to latest
	  releases.

2007-01-13 20:59:02  Rev 9306   reinhard

	* doc/technotes/00011.txt: Updated release process: need to check web
	  page and screenshots.

2007-01-12 09:29:15  Rev 9273   reinhard

	* setup-cvs.py: Removed no-longer-used directory shared.

2007-01-12 09:24:24  Rev 9271   reinhard

	* setup-cvs.py: Create share/gnue/forms directory.

2007-01-09 19:25:54  Rev 9244   reinhard

	* src/datasources/GConditions.py: Updated conversion rules to support
	  Decimal if available.

2007-01-08 13:02:49  Rev 9222   johannes

	* src/utils/dbf.py, src/cursing/MenuItem.py,
	  src/datasources/drivers/sql/oracle/__init__.py, src/utils/tree.py,
	  src/datasources/drivers/Base/ResultSet.py, src/apps/GDebug.py,
	  src/formatting/BaseMask.py, src/rpc/drivers/__init__.py,
	  src/rpc/drivers/pyro/ServerAdapter.py, src/cursing/RadioButton.py,
	  src/cursing/Frame.py, src/events/EventAware.py,
	  src/rpc/drivers/xmlrpc/__init__.py,
	  src/printing/barcodes/standard2of5.py,
	  src/datasources/drivers/file/__init__.py,
	  src/definitions/__init__.py, src/formatting/masks/InputTokens.py,
	  src/GMenu.py, src/datasources/drivers/sql/sqlite2/__init__.py,
	  src/rpc/drivers/Base.py, src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/datasources/drivers/sql/postgresql/pygresqldrv.py,
	  src/apps/i18n.py, src/datasources/drivers/sql/maxdb/__init__.py,
	  src/datasources/drivers/file/Base.py, src/apps/GBaseApp.py,
	  src/cursing/TextArea.py,
	  src/datasources/drivers/sql/maxdb/maxdbdrv.py,
	  src/datasources/drivers/sql/msado/__init__.py,
	  src/datasources/drivers/sql/postgresql/__init__.py,
	  src/rpc/RpcDoc.py, src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/Base/RecordSet.py, src/apps/plugin.py,
	  src/cursing/MsgBoxOK.py, src/formatting/FormatExceptions.py,
	  src/datasources/drivers/sql/interbase/__init__.py,
	  src/cursing/TextBox.py, src/cursing/MsgBoxTimer.py,
	  src/datasources/drivers/other/__init__.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/apps/GConfig.py, src/logic/adapters/python.py,
	  src/rpc/drivers/xmlrpc/RpcDoc.py, src/rpc/__init__.py,
	  src/datasources/GSchema.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/setup/ChangeLog.py, src/printing/pdftable/sample.py,
	  src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/drivers/sql/postgresql/psycopgdrv.py,
	  src/cursing/FocusedLabel.py, src/formatting/masks/InputMask.py,
	  src/utils/GDateTime.py, src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/utils/uuid.py,
	  src/datasources/drivers/sql/interbase/kinterbasdbdrv.py,
	  src/formatting/TextMask.py, src/cursing/VButton.py,
	  src/cursing/GroupBox.py, src/cursing/InputBox.py,
	  src/cursing/Button.py, src/rpc/drivers/hessian/__init__.py,
	  src/printing/pdftable/pdftable.py, src/cursing/CheckBox.py,
	  src/logic/NamespaceCore.py,
	  src/datasources/drivers/DBSIG2/Behavior.py, src/utils/TextUtils.py,
	  src/formatting/masks/Masks.py, src/logic/GTrigger.py,
	  src/printing/barcodes/postnet.py,
	  src/datasources/drivers/sql/postgresql/pypgsqldrv.py,
	  src/cursing/__init__.py, src/rpc/drivers/hessian/ClientAdapter.py,
	  src/cursing/DirChooser.py, src/formatting/GTypecast.py,
	  src/rpc/drivers/xmlrpc/typeconv.py, src/cursing/ComboBox.py,
	  src/utils/GMimeTypes.py, src/datasources/readgsd.py,
	  src/cursing/constants.py, src/events/EventController.py,
	  src/cursing/Notebook.py, src/rpc/drivers/pyro/__init__.py,
	  src/datasources/GLoginHandler.py, src/cursing/ScrollBar.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py, src/utils/FileUtils.py,
	  src/rpc/drivers/hessian/ServerAdapter.py,
	  src/datasources/drivers/sql/sqlite2/pysqlitedrv.py,
	  src/formatting/DateMask.py, src/logic/usercode.py,
	  src/definitions/GBinary.py, src/utils/CaselessDict.py,
	  src/formatting/masks/MaskTokens.py,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/printing/barcodes/interleaved2of5.py,
	  src/printing/barcodes/__init__.py, src/datatypes/Color.py,
	  src/datasources/drivers/sql/sqlite3/__init__.py, src/apps/errors.py,
	  src/logic/language.py, src/gear/NavigationBuilder.py,
	  src/events/Event.py, src/printing/barcodes/Base.py,
	  src/cursing/MsgBoxYesNo.py, src/datasources/drivers/file/inifile.py,
	  src/datasources/drivers/sql/__init__.py, src/apps/GClientApp.py,
	  src/datasources/drivers/__init__.py,
	  src/datasources/ConnectionTriggerObj.py,
	  src/datasources/Exceptions.py,
	  src/datasources/drivers/sql/mysql/__init__.py, src/__init__.py,
	  src/logic/adapters/__init__.py, src/apps/__init__.py,
	  src/formatting/masks/Errors.py,
	  src/datasources/drivers/sql/postgresql/Base.py,
	  src/printing/pdftable/__init__.py, src/apps/CommandOption.py,
	  src/logic/adapters/Base.py, src/cursing/utility.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py,
	  src/cursing/CheckBoxGroup.py, src/definitions/GParser.py,
	  src/formatting/masks/MaskTokenizer.py,
	  src/datasources/GDataSource.py, src/cursing/GraphicObject.py,
	  src/GCConfig.py, src/apps/GServerApp.py, src/cursing/VScrollBar.py,
	  src/cursing/RadioGroup.py, src/utils/version.py,
	  src/apps/GLogger.py, src/cursing/Label.py,
	  src/formatting/masks/GMask.py, src/cursing/Container.py,
	  src/datasources/GConditions.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/utils/datatypes.py, src/definitions/GParserHelpers.py,
	  src/rpc/drivers/hessian/typeconv.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/DBSIG2/Connection.py, src/cursing/Dialog.py,
	  src/definitions/GObjects.py,
	  src/datasources/drivers/sql/oracle/cxoracledrv.py,
	  src/formatting/GDataFormatter.py, src/cursing/FileSelectPad.py,
	  src/formatting/NumberMask.py, src/cursing/Menu.py,
	  src/datasources/drivers/sql/postgresql/psycopg2drv.py,
	  src/utils/ucsv.py, src/cursing/StatusBar.py, src/apps/checktype.py,
	  src/datasources/drivers/sql/sqlite3/pysqlite2drv.py,
	  src/datasources/drivers/sql/oracle/dcoracledrv.py,
	  src/logic/adapters/ecmascript.py, src/cursing/Control.py,
	  src/definitions/GRootObj.py, src/gear/GearSystem.py,
	  src/rpc/client.py, src/events/__init__.py, src/cursing/MenuBar.py,
	  src/datasources/drivers/Base/Behavior.py, src/cursing/sio.py,
	  src/datasources/GConnections.py, src/printing/barcodes/codabar.py,
	  src/apps/RuntimeSettings.py, src/setup/GSetup.py,
	  src/rpc/drivers/pyro/ClientAdapter.py, src/apps/manpage.py,
	  src/datasources/drivers/sql/msado/adodbapidrv.py,
	  src/cursing/ColorScheme.py, src/cursing/Progress.py,
	  src/utils/http.py, src/logic/GTriggerCore.py,
	  src/datasources/drivers/other/appserver.py,
	  src/apps/GImportLogger.py, src/rpc/drivers/xmlrpc/ClientAdapter.py,
	  src/datasources/drivers/sql/mysql/mysqldbdrv.py, src/rpc/server.py,
	  src/cursing/FileSelector.py: Updated copyright headers

2007-01-08 12:59:49  Rev 9220   johannes

	* utils/update-copyright.sh: Added shell script to update copyright
	  headers

2007-01-05 19:23:51  Rev 9215   jan

	* src/datasources/drivers/Base/ResultSet.py: Convert datatypes for len
	  function to "int"

2007-01-05 16:22:16  Rev 9213   reinhard

	* src/datasources/drivers/sql/postgresql/Base.py: Fixed typo.

2007-01-05 16:20:34  Rev 9212   reinhard

	* src/datasources/drivers/sql/postgresql/psycopgdrv.py,
	  src/datasources/drivers/sql/postgresql/psycopg2drv.py,
	  src/datasources/drivers/sql/postgresql/pygresqldrv.py,
	  src/datasources/drivers/sql/postgresql/Base.py,
	  src/datasources/drivers/sql/postgresql/pypgsqldrv.py: Optionally use
	  OID's again for postgres.

2007-01-05 16:08:58  Rev 9211   reinhard

	* src/GCConfig.py: Removed parameter that's not used any more.

2007-01-04 09:56:34  Rev 9200   johannes

	* src/datasources/readgsd.py: Don't treat the text "field(s)" as
	  keyword

2007-01-03 19:58:48  Rev 9194   reinhard

	* src/utils/datatypes.py: Added a 'raw' datatype that does no
	  conversion at all.

2006-12-15 10:18:39  Rev 9168   johannes

	* src/events/EventController.py: Really stop handler execution if an
	  event has been dropped. This fixes the focus-change when pressing
	  Enter in a multiline entry

2006-12-04 14:09:35  Rev 9101   reinhard

	* src/utils/datatypes.py: A scale of "None" means unlimited number of
	  fractional digits.

2006-12-01 18:37:23  Rev 9097   jamest

	* src/printing/pdftable/pdftable.py: rollback pdftable to r8587

2006-11-29 16:27:47  Rev 9087   reinhard

	* src/utils/datatypes.py: Added module to help with conversion of data
	  into GNUe's standard datatypes.

2006-11-28 13:20:52  Rev 9073   reinhard

	* src/events/EventController.py: Added debug messages for events.

2006-11-23 10:17:50  Rev 9059   reinhard

	* src/utils/version.py: Removed unused import.

2006-11-23 10:17:06  Rev 9058   reinhard

	* src/utils/version.py, src/setup/GSetup.py, setup.py: Small
	  improvements to versioning code.

2006-11-23 10:05:29  Rev 9057   reinhard

	* src/utils/version.py: Minor code improvement.

2006-11-14 02:00:04  Rev 9037   jcater

	* src/printing/pdftable/pdftable.py: fixed a scaling logic error
	  (column gaps were being counted prior to being scaled)

2006-11-13 20:26:46  Rev 9036   jcater

	* src/printing/pdftable/pdftable.py: fixed an error with the
	  subheading group lines when there's >2 heading levels

2006-11-13 19:49:17  Rev 9035   jcater

	* src/printing/pdftable/pdftable.py: ran reindent.py to switch from
	  2-col to 4-col tabs

2006-11-13 19:40:16  Rev 9034   jcater

	* src/printing/pdftable/pdftable.py: changed a sys.exit() error (????)
	  to an exception insteat; removed stray print statement

2006-11-13 18:04:59  Rev 9033   jcater

	* src/printing/pdftable/pdftable.py: added optional 'actual-size'
	  calculations so there's no need to guess at the column sizes; misc
	  reformatting

2006-11-09 09:12:26  Rev 9009   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, etc/sample.gnue.conf, src/__init__.py, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po:
	  Released 0.6.5.

2006-11-09 09:10:24  Rev 9008   reinhard

	* utils/release: Set GNUE_BUILD variable.

2006-11-09 08:55:58  Rev 9007   reinhard

	* doc/technotes/00011.txt, AUTHORS: Updated/fixed some docs.

2006-11-08 21:16:16  Rev 9006   reinhard

	* src/utils/tree.py: Replaced tabs by spaces.

2006-11-08 21:11:31  Rev 9005   reinhard

	* src/events/Event.py, src/events/EventAware.py,
	  src/events/EventController.py: Minor pylint cleanup, no code change.

2006-11-06 10:04:45  Rev 8980   reinhard

	* src/events/EventController.py: Fixed typo. This fixes all forms not
	  accepting keypresses any more.

2006-11-06 06:39:20  Rev 8978   jcater

	* src/definitions/GParser.py, src/events/Event.py: minor namespace
	  cleanup in events; switch to {}.iteritems() instead of {}.items(),
	  as it is supposedly more correct in python2.3+

2006-11-04 02:38:58  Rev 8976   jcater

	* src/events/Event.py, src/events/EventAware.py,
	  src/events/EventController.py: cleaned up events, adding new-style
	  property() and removing duplicate code where appropriate/possible
	  (should not break compatability with other tools)

2006-11-04 00:17:03  Rev 8974   jcater

	* src/definitions/GObjects.py, src/definitions/GParser.py,
	  src/definitions/GParserHelpers.py: removed redundant dict lookups in
	  Parser (instead of refering to attrs[foo] 12 times, do
	  attr_foo=attrs[foo]); instead of having GParser do an
	  object.__dict__.update() for attributes, call a subclassable
	  ParserObj method to do it (needed by designer)

2006-11-02 05:50:01  Rev 8973   jcater

	* src/definitions/GParser.py: the object_created virtual function was
	  happening at the wrong time and also didn't stick to the GNUe naming
	  convention of _virtual_func_().

2006-10-27 13:19:00  Rev 8942   jan

	* setup-cvs-win.py: Remove old setup-cvs-win.py

2006-10-27 12:13:37  Rev 8941   jan

	* setup-cvs.py: Add win32 support for setup-cvs.py

2006-10-27 09:19:15  Rev 8940   btami

	* setupext/install_data.py: added source code encoding

2006-10-27 03:06:09  Rev 8937   jcater

	* src/definitions/GParser.py, src/definitions/GParserHelpers.py:
	  restored split between GObject and ParserObj as apparently some
	  tools aren't ready for GContent to support such methods; will
	  work-around in Designer

2006-10-27 00:59:00  Rev 8936   jcater

	* src/definitions/GParser.py, src/definitions/GParserHelpers.py: move
	  methods that GParser expects to exist out of GObj and into
	  ParserObj;  only call buildObject on GObj's

2006-10-26 03:53:17  Rev 8933   jcater

	* src/definitions/GParser.py: make the default xmlElements a
	  class-level instead of instance-level value

2006-10-26 03:34:49  Rev 8932   jcater

	* src/definitions/GParser.py: add a virtual method for notification of
	  node creation (does nothing by default)

2006-10-26 02:59:31  Rev 8931   jcater

	* src/events/Event.py, src/events/EventAware.py,
	  src/events/EventController.py: make the event classes 'new-style'
	  classes by subclassing object

2006-10-26 02:59:06  Rev 8930   jcater

	* src/definitions/GParser.py: only verify the root type if it is
	  provided

2006-10-25 16:22:31  Rev 8928   jcater

	* src/definitions/GParserHelpers.py: Make all ParserObj's (and thus,
	  all GObjs) into python new-style classes

2006-10-24 18:37:26  Rev 8919   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py: Send dsResultSetChanged
	  to the front end after the requery, as several records might have
	  changed with the commit. Don't send dsCursorMoved in cases where a
	  dsResultSetChanged is sent anyway.

2006-10-24 16:47:23  Rev 8917   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Update record count if
	  new rows are found on requery.

2006-10-23 15:58:01  Rev 8912   reinhard

	* utils/gnue.pylintrc: Added more builtins.

2006-10-23 07:56:00  Rev 8903   reinhard

	* utils/gnue.pylintrc: Added a few more builtins to our pylintrc.

2006-10-19 09:32:30  Rev 8860   reinhard

	* src/utils/version.py: SVN revision can also be a string ('unknown').

2006-10-18 15:44:17  Rev 8853   reinhard

	* src/utils/version.py: Return 'unknown' (with quotes) for non-posix
	  platforms as the svn revision.

2006-10-18 07:46:51  Rev 8833   reinhard

	* src/logic/GTrigger.py: Fixed exception for invalid trigger.

2006-10-16 10:10:36  Rev 8792   reinhard

	* src/utils/version.py: Improved docstrings.

2006-10-16 00:08:59  Rev 8789   reinhard

	* src/utils/version.py: Fix for the case when the main module
	  directory is a link (this is the case for .cvsdevelbase).

2006-10-15 23:59:16  Rev 8788   reinhard

	* src/utils/version.py: Fixed typo.

2006-10-15 23:58:16  Rev 8787   reinhard

	* src/utils/version.py, src/setup/GSetup.py, setup.py: Fix for running
	  the commands outside the source directory.

2006-10-15 23:40:05  Rev 8786   reinhard

	* src/__init__.py, doc/technotes/00011.txt, utils/release,
	  src/utils/version.py, utils/release-announce, src/setup/GSetup.py,
	  setup.py: Changed release concept as described in
	  http://lists.gnu.org/archive/html/gnue-dev/2006-08/msg00003.html

2006-10-11 15:31:18  Rev 8756   reinhard

	* src/datasources/drivers/sql/postgresql/pygresqldrv.py: Workaround
	  for bug in pygresql.

2006-10-11 15:30:52  Rev 8755   reinhard

	* doc/technotes/00016.txt: Updated info about DB behaviour.

2006-10-11 14:06:37  Rev 8751   reinhard

	* tests/drivers/checkem.py: Improved driver test script.

2006-09-28 16:12:35  Rev 8703   reinhard

	* src/datasources/drivers/sql/postgresql/Base.py: Do not use oid in
	  postgres any more.

2006-09-26 09:35:35  Rev 8699   reinhard

	* src/datasources/drivers/sql/postgresql/psycopg2drv.py: Added
	  psycopg2 driver, contributed by lekma.
	  issue124 testing

2006-09-25 09:27:22  Rev 8694   reinhard

	* src/apps/GDebug.py: Changed timestamps in debug messages to absolute
	  time.
	  issue121 testing

2006-09-22 16:24:56  Rev 8693   reinhard

	* tests/drivers/checkem.py: Removed useless import statement.

2006-09-22 16:04:09  Rev 8692   reinhard

	* tests/drivers/checkem.py: Fixed config parameter.

2006-09-21 17:51:27  Rev 8691   reinhard

	* src/apps/GDebug.py: Append debug file instead of overwriting it.
	  issue120 testing

2006-09-12 09:09:15  Rev 8676   reinhard

	* src/__init__.py: Started new release cycle.

2006-09-12 08:45:01  Rev 8669   reinhard

	* po/lt.po, po/ro.po, doc/man/gnue-schema.1, doc/gnue-schema.dtd,
	  NEWS, src/__init__.py, etc/sample.gnue.conf, utils/release,
	  po/ru.po, po/de.po, po/es_ES.po, po/fr.po, po/nl.po, po/es_MX.po,
	  po/it.po, po/hu.po: Released 0.6.4.

2006-08-30 09:48:29  Rev 8643   johannes

	* packaging/win32/setup.py, packaging/win32/README: First set of
	  improvements

2006-08-25 11:09:49  Rev 8635   reinhard

	* src/datasources/GConditions.py: Further cleanup of valid
	  parent-child pairs for condition trees.

2006-08-25 10:52:08  Rev 8634   reinhard

	* src/datasources/GConditions.py: Fixed XML definition for <exist>.

2006-08-24 14:42:15  Rev 8630   johannes

	* packaging/win32/README: updated readme

2006-08-24 08:51:22  Rev 8621   reinhard

	* NEWS: Oops - forgot to set the date in NEWS file.

2006-08-24 08:50:24  Rev 8620   reinhard

	* src/__init__.py: Started new release cycle.

2006-08-24 07:30:09  Rev 8615   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, etc/sample.gnue.conf, src/__init__.py, po/ru.po, po/fr.po,
	  po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.6.3.

2006-08-23 23:15:05  Rev 8612   kilo

	* po/hu.po: Updated Hungarian translation.

2006-08-23 06:55:25  Rev 8605   reinhard

	* src/rpc/drivers/Base.py, src/utils/tree.py,
	  src/logic/adapters/Base.py: More epydoc fixes.

2006-08-22 19:10:35  Rev 8601   reinhard

	* po/de.po: Updated German translation.

2006-08-22 12:18:36  Rev 8589   reinhard

	* utils/release: Changed tagging procedure in release script to allow
	  for releases coming from branches.

2006-08-22 11:48:16  Rev 8588   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po,
	  po/hu.po, po/it.po: Released 0.6.2.99-pre2.

2006-08-22 11:43:41  Rev 8587   reinhard

	* src/definitions/GObjects.py, src/printing/pdftable/pdftable.py,
	  src/rpc/drivers/Base.py, src/rpc/drivers/hessian/hessianlib.py,
	  src/utils/tree.py, src/logic/GTriggerCore.py, src/logic/language.py,
	  src/definitions/GParserHelpers.py, src/logic/NamespaceCore.py,
	  src/rpc/client.py, src/utils/uuid.py,
	  src/rpc/drivers/hessian/SimpleHessianServer.py,
	  src/logic/adapters/Base.py: Epydoc fixes.

2006-08-21 21:32:02  Rev 8582   reinhard

	* src/utils/tree.py: Committing current state of tree.py. Still work
	  in progress, but I probably won't have much time to continue on this
	  over the next few weeks.

2006-08-21 13:58:28  Rev 8581   johannes

	* src/utils/ucsv.py: Added shorthand function for exporting to csv
	  files; added error  handling schema for encoding

2006-08-21 13:18:30  Rev 8580   johannes

	* src/utils/ucsv.py: Adding CSV-DictWriter class which can handle
	  unicode values

2006-08-21 13:11:01  Rev 8579   reinhard

	* src/definitions/GParser.py: Replaced error message about invalid
	  attribute value by a deprecation warning to stay compatible with
	  older versions of gnue-common that didn't even check this at all.

2006-08-21 11:48:34  Rev 8578   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, po/ro.po, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po:
	  Released 0.6.2.99-pre1.

2006-08-21 11:23:30  Rev 8577   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, etc/sample.gnue.conf, po/ru.po, po/fr.po, po/de.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.6.2.99-pre1.

2006-08-21 10:24:02  Rev 8576   reinhard

	* src/logic/adapters/python.py: Allow for "self" parameter in triggers
	  to be passed as non-keyword argument. This is necessary for
	  compatibility with gnue-forms 0.5.

2006-08-02 09:52:46  Rev 8548   reinhard

	* src/logic/usercode.py, src/logic/GTrigger.py: Moved finding of the
	  root object from _buildObject to phaseInit, because the parent of
	  the parent is still wrong in _buildObject for children of imported
	  objects.

2006-07-31 19:48:34  Rev 8546   reinhard

	* src/logic/usercode.py: Moved code to find _root from __init__ to
	  _buildObject, because for imported triggers, the parent changes
	  between __init__ and _buildObject.

2006-07-25 12:50:28  Rev 8540   neilt

	* packaging/fink/gnue-common.info: Remove old version of Fink files.

2006-07-25 12:45:48  Rev 8539   neilt

	* packaging/fink/gnue-common-py.info: Updated fink info files to
	  improve capability with new Fink.

2006-07-18 21:48:51  Rev 8534   jcater

	* src/printing/pdftable/pdftable.py, src/printing/pdftable/sample.py:
	  misc changes to make pdftable subclassable; do away with module
	  globals

2006-06-22 09:42:48  Rev 8506   reinhard

	* src/logic/usercode.py: Moved Menu and Toolbar objects from common to
	  forms. There's just too much forms specific issues for them to be in
	  common.

2006-06-19 18:55:46  Rev 8496   johannes

	* src/datasources/ConnectionTriggerObj.py: Changed type of object so
	  dumpXML() works for forms after phased init

2006-06-15 10:40:12  Rev 8495   btami

	* packaging/win32/README: docs fix

2006-06-13 20:17:51  Rev 8493   reinhard

	* src/definitions/GParserHelpers.py: Only merge on the same object
	  tree level.

2006-06-13 20:04:03  Rev 8492   reinhard

	* src/definitions/GParserHelpers.py: Be a little more restrictive
	  about what to copy when assigning an object.

2006-06-13 14:54:27  Rev 8491   reinhard

	* src/logic/usercode.py: Implemented toggleable menu items.
	  issue79 in-progress

2006-06-12 14:07:22  Rev 8490   reinhard

	* src/logic/usercode.py: Added possibility to dynamically
	  enable/disable menu items.
	  issue79 in-progress

2006-05-24 12:41:13  Rev 8485   reinhard

	* src/GMenu.py: Added note about depreciated file.

2006-05-24 12:40:31  Rev 8484   reinhard

	* src/logic/usercode.py: Reuse icon/label/description from action for
	  commanders.

2006-05-24 11:59:53  Rev 8483   reinhard

	* src/logic/usercode.py: Moved registration of actions to _buildObject
	  so the action dictionary is available in phase 1 init.

2006-05-24 11:45:06  Rev 8482   reinhard

	* src/logic/usercode.py: Fixed typo in menuitem definition.

2006-05-22 13:41:14  Rev 8479   reinhard

	* src/logic/usercode.py, src/logic/GTrigger.py: Implementation of
	  GCommander base class.

2006-05-22 12:05:24  Rev 8477   reinhard

	* src/logic/usercode.py: Working implementation of GAction.

2006-05-22 12:04:44  Rev 8476   reinhard

	* src/logic/adapters/Base.py: Fixed definition of abort function.

2006-05-18 14:59:02  Rev 8474   reinhard

	* src/logic/actions.py, src/logic/usercode.py, src/logic/GTrigger.py:
	  Prepared common base class for triggers and actions.

2006-05-18 14:14:23  Rev 8473   reinhard

	* src/logic/actions.py: Set keywords property.

2006-05-18 13:50:09  Rev 8472   reinhard

	* src/events/EventController.py: Fixed list concatentaion bug.

2006-05-18 13:35:42  Rev 8471   reinhard

	* src/rpc/drivers/hessian/ClientAdapter.py,
	  src/rpc/drivers/hessian/__init__.py,
	  src/rpc/drivers/hessian/hessianlib.py,
	  src/rpc/drivers/hessian/ServerAdapter.py,
	  src/rpc/drivers/hessian/typeconv.py, src/rpc/drivers/hessian,
	  src/rpc/drivers/hessian/SimpleHessianServer.py: Added "hessian" RPC
	  driver contributed by lekma.

2006-05-18 12:46:51  Rev 8470   reinhard

	* src/utils/tree.py: Set keywords property.

2006-05-18 12:29:03  Rev 8469   reinhard

	* src/utils/tree.py: Make separate functions for test code.

2006-05-18 12:16:06  Rev 8468   reinhard

	* src/utils/tree.py: Finished test code (and already found a few bugs).

2006-05-18 09:36:28  Rev 8467   reinhard

	* src/utils/tree.py: Added NamedNode class.

2006-05-12 11:58:41  Rev 8453   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added new function raw()
	  for high performant data access.

2006-05-12 10:19:35  Rev 8452   reinhard

	* src/events/EventController.py: Leave function early if we have no
	  event listeners at all. This greatly increases performance.

2006-05-12 09:35:55  Rev 8451   johannes

	* src/events/EventController.py: Optimized code for better performance

2006-04-27 09:36:23  Rev 8449   reinhard

	* src/utils/tree.py, src/logic/GTriggerCore.py: Added some braindump
	  so it gets preserved.

2006-04-27 06:59:53  Rev 8448   kilo

	* src/datasources/readgsd.py: Typo. 'defaults' param must be a tuple,
	  not a dict

2006-04-21 14:52:20  Rev 8446   jamest

	* src/apps/GConfig.py: if defaults are None don't try to add to config
	  tuple

2006-04-20 21:27:31  Rev 8445   reinhard

	* src/utils/tree.py: Added a very basic tree structure handling
	  library.

2006-04-20 13:39:50  Rev 8444   reinhard

	* src/logic/GTrigger.py: Fixed separate global namespace for all
	  dialogs.

2006-04-20 13:14:24  Rev 8443   johannes

	* src/definitions/GParser.py: Print the proper set of values define in
	  a ValueSet

2006-04-20 12:59:01  Rev 8442   reinhard

	* src/logic/GTrigger.py: "name" is not a required attribute for
	  triggers.

2006-04-20 00:56:17  Rev 8440   jamest

	* src/formatting/masks/InputMask.py: moved the lexicon generator out
	  of the __init__ cleanup

2006-04-19 21:46:27  Rev 8439   reinhard

	* src/definitions/GObjects.py: Removed unused and obsolete class
	  GParserMultiplexor.

2006-04-19 16:03:21  Rev 8436   reinhard

	* src/datasources/ConnectionTriggerObj.py: Added new function to add
	  all connections as children into an XML tree.

2006-04-19 13:10:00  Rev 8435   reinhard

	* src/logic/GTrigger.py: Further cleanup.

2006-04-19 12:39:24  Rev 8434   reinhard

	* src/logic/GTrigger.py: Final pep8ing.

2006-04-19 12:28:41  Rev 8432   reinhard

	* src/logic/GTrigger.py: Better repr() for triggers. Already use it
	  for the execution context.

2006-04-19 12:10:43  Rev 8431   reinhard

	* src/logic/GTriggerCore.py, src/logic/GTrigger.py: Clean up variable
	  use, nice repr() for xml objects.

2006-04-19 11:50:43  Rev 8430   reinhard

	* src/logic/GTriggerCore.py, src/logic/NamespaceCore.py: Build up a
	  good repr() name for the namespace objects.

2006-04-19 10:32:17  Rev 8429   reinhard

	* src/logic/GTrigger.py: Removed completely redundant implementation
	  of _dumpXML_

2006-04-19 10:31:30  Rev 8428   reinhard

	* src/definitions/GObjects.py: Added general option to store content
	  as CDATA.

2006-04-19 10:29:41  Rev 8427   reinhard

	* src/apps/GConfig.py: Also load typecast information for the [common]
	  section.

2006-04-19 08:55:08  Rev 8426   reinhard

	* src/definitions/GRootObj.py, src/logic/GTrigger.py: More cleanup.

2006-04-19 08:30:57  Rev 8425   reinhard

	* src/logic/actions.py, src/logic/GTrigger.py: Started cleanup of
	  GTrigger, a few minor fixes in actions.py.

2006-04-19 06:55:58  Rev 8424   reinhard

	* src/logic/language.py, src/logic/adapters/python.py,
	  src/logic/GTrigger.py, src/logic/adapters/Base.py: Epydoc fixes, and
	  a much better solution to the "self" name clash problem.
	  Issue75 testing

2006-04-19 06:31:10  Rev 8423   reinhard

	* src/printing/pdftable/pdftable.py,
	  src/formatting/masks/MaskTokenizer.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/logic/GTriggerCore.py, src/logic/language.py: Epydoc fixes.

2006-04-18 23:38:07  Rev 8422   reinhard

	* src/logic/GTriggerCore.py, src/logic/GTrigger.py: Changed variable
	  name.

2006-04-18 23:36:23  Rev 8421   reinhard

	* src/logic/GTriggerCore.py, src/logic/NamespaceCore.py: Moved
	  namespace object creation into GTriggerCore to make this object more
	  self-contained.

2006-04-18 23:25:16  Rev 8420   reinhard

	* src/logic/adapters/python.py, src/logic/GTrigger.py: Added support
	  for "self" parameter for triggers.
	  Issue75 testing

2006-04-18 21:04:18  Rev 8418   reinhard

	* src/logic/GTrigger.py: Moved GTrigger to use new language adapter
	  interface.

2006-04-18 20:47:44  Rev 8417   reinhard

	* src/logic/language.py, src/logic/adapters/python.py,
	  src/logic/adapters/Base.py: Added a straightforward and easy-to-use
	  interface to language adapters. The old interface will be
	  depreciated with gnue-common 0.7 and removed with gnue-common 0.8.

2006-04-18 19:49:14  Rev 8416   reinhard

	* src/logic/NamespaceCore.py: Removed hack again.

2006-04-18 15:59:19  Rev 8415   reinhard

	* src/logic/adapters/__init__.py, src/logic/language.py,
	  src/logic/adapters/python.py, src/logic/adapters/Base.py,
	  src/logic/adapters/ecmascript.py: It's just a spring-clean for the
	  may queen.

2006-04-18 13:04:25  Rev 8414   johannes

	* src/utils/uuid.py: Changed to make pylint happy with it.  More
	  pep8-ification.

2006-04-18 11:27:11  Rev 8413   johannes

	* utils/gnue.pylintrc: Added another rule for valid variable names
	  (all uppercase)

2006-04-18 09:43:54  Rev 8412   reinhard

	* utils/gnue.pylintrc: Added pylint config file.

2006-04-18 09:12:32  Rev 8411   reinhard

	* src/logic/NamespaceCore.py: Re-added NamespaceElement._object as it
	  is still used in forms.

2006-04-18 08:46:34  Rev 8410   reinhard

	* src/logic/NamespaceCore.py: Wow - 2 typos in 2 lines of code...

2006-04-17 08:29:53  Rev 8409   reinhard

	* src/logic/NamespaceCore.py: Add functions and children of an object
	  to the local namespace of that object again.

2006-04-14 23:27:27  Rev 8408   reinhard

	* src/apps/errors.py, src/apps/i18n.py: A little pylint cleanup.

2006-04-14 23:04:56  Rev 8407   reinhard

	* src/logic/GTriggerCore.py, src/logic/NamespaceCore.py,
	  src/logic/adapters/Base.py: Cleaning up.

2006-04-14 17:52:16  Rev 8406   reinhard

	* src/logic/actions.py: Clean up according to pylint.

2006-04-14 11:06:30  Rev 8405   reinhard

	* src/logic/actions.py: Basic skeleton for actions, menus, and
	  toolbars.
	  issue79 in-progress

2006-04-14 01:12:45  Rev 8404   jamest

	* src/formatting/masks/tests/formatting_masks.py,
	  src/formatting/masks/InputMask.py, src/formatting/masks/Errors.py:
	  more pep8-ification cleanup

2006-04-13 21:26:24  Rev 8403   reinhard

	* src/logic/NamespaceCore.py: Removed unnecessary import.

2006-04-13 21:00:34  Rev 8402   reinhard

	* src/definitions/GParser.py: Removed unnecessary import.

2006-04-13 20:07:05  Rev 8401   reinhard

	* src/logic/actions.py: First chunk of the new attepmt for a
	  menu/toolbar handling system.

2006-04-13 01:17:51  Rev 8400   jamest

	* src/formatting/masks/InputTokens.py, src/formatting/masks/Tokens.py,
	  src/formatting/masks/MaskTokenizer.py,
	  src/formatting/masks/tests/mask_tokenizer.py,
	  src/formatting/masks/MaskParser.py,
	  src/formatting/masks/InputMask.py,
	  src/formatting/masks/MaskTokens.py: cleanup and documentation more
	  pep8 changes

2006-04-12 19:11:58  Rev 8399   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Updated coding standard,
	  added new method _refresh() to get new data from the backend.

2006-04-09 17:18:40  Rev 8396   johannes

	* src/utils/uuid.py: Changed detection of hardware addresses (for
	  network interfaces) to also  support Mac OS X. Pep8-ified
	  utils/uuid.py

2006-04-08 13:49:44  Rev 8395   neilt

	* packaging/fink/psycopg-py24.patch, packaging/fink/psycopg-py24.info:
	  Psycopg info files are now in the Fink distribution and more
	  up-to-date.

2006-04-08 13:20:21  Rev 8394   neilt

	* packaging/fink/gnue-common.info: Update fink files to latest release.

2006-04-06 01:08:13  Rev 8383   jamest

	* src/formatting/masks/tests/mask_tokenizer.py,
	  src/formatting/masks/MaskParser.py,
	  src/formatting/masks/InputMask.py: mask tokenizer now takes text
	  string instead of StringIO handle pep8-ification work misc typos
	  fixed

2006-04-05 14:43:56  Rev 8376   johannes

	* src/definitions/GParser.py, src/definitions/GParserHelpers.py: Check
	  for valid attribute-values if a ValueSet is defined

2006-04-05 11:36:04  Rev 8373   reinhard

	* utils/vim/indent_python.vim: Fix Python indenting definition.

2006-04-05 11:16:04  Rev 8370   reinhard

	* utils/vim/ftplugin_python.vim: Added a few more gimmics to python
	  filetype plugin.

2006-04-05 11:02:24  Rev 8369   reinhard

	* utils/vim, utils/vim/ftplugin_python.vim,
	  utils/vim/indent_python.vim: Added some magic files helpful for
	  those editing with vim.

2006-04-05 02:23:02  Rev 8362   jamest

	* src/formatting/masks/MaskParser.py: old uncommited changes to
	  MaskParser (all formatting I think) start of pep8-ification

2006-04-05 02:15:18  Rev 8361   jamest

	* tests/formatting_masks.py: finish test move

2006-04-05 02:15:02  Rev 8360   jamest

	* src/formatting/masks/tests/formatting_masks.py: moved formatting
	  masks test

2006-04-05 02:13:15  Rev 8359   jamest

	* tests/formatting_masks.py: checkin of format masks so I can move to
	  new tests dir in formatting section

2006-04-05 02:11:10  Rev 8358   jamest

	* src/formatting/masks/tests/mask_tokenizer.py,
	  src/formatting/masks/tests, src/formatting/masks/tests/runAllTests:
	  added tests dir for formatting

2006-04-05 01:08:34  Rev 8356   jcater

	* src/apps/__init__.py, src/apps/RuntimeSettings.py: runtime settings
	  won't completely fail if one listener fails

2006-04-04 08:24:06  Rev 8351   reinhard

	* src/datasources/readgsd.py: Trying hard to make epydoc happy.

2006-03-31 22:42:13  Rev 8330   reinhard

	* src/logic/GTrigger.py: Actually we can use dots here now.

2006-03-31 22:40:44  Rev 8329   reinhard

	* src/logic/GTrigger.py: Use nicer names for triggers for execution
	  context and function name, as both are used in error messages.

2006-03-31 21:27:33  Rev 8327   reinhard

	* src/apps/GConfig.py: Allow for both unicode and 8bit strings for
	  config option descriptions.

2006-03-31 18:19:16  Rev 8323   reinhard

	* src/formatting/GTypecast.py: Fixed import.

2006-03-31 18:07:08  Rev 8321   reinhard

	* unittest/datasource.py, tests/drivers/checkem.py: Removed
	  translation marks from test code (which isn't included in
	  gnue-common.po anyway).

2006-03-31 18:00:18  Rev 8320   reinhard

	* src/rpc/RpcDoc.py, src/rpc/drivers/xmlrpc/RpcDoc.py: Changed last
	  occurances of _() in common to u_() so we can head towards a
	  unicode-clean code.

2006-03-31 17:57:49  Rev 8319   reinhard

	* src/formatting/GTypecast.py, src/definitions/GParser.py,
	  src/formatting/NumberMask.py, src/utils/GDateTime.py,
	  src/formatting/FormatExceptions.py, src/formatting/TextMask.py:
	  Fixed unicode handling in some exceptions.

2006-03-31 17:29:03  Rev 8318   reinhard

	* src/logic/GTrigger.py: Do not translate debug messages.

2006-03-31 17:26:11  Rev 8317   reinhard

	* src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/Base/Connection.py: Login field descriptions
	  should be unicode.

2006-03-31 17:24:18  Rev 8316   reinhard

	* src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/interbase/Behavior.py: Changed name of
	  GSTables objects to be unicode. I wonder whether this will break
	  something.

2006-03-31 17:14:37  Rev 8315   reinhard

	* src/datasources/GDataSource.py, src/logic/GTrigger.py,
	  src/formatting/masks/GMask.py: Changed XML definition labels and
	  descriptions to be translatable.

2006-03-31 17:10:04  Rev 8314   reinhard

	* scripts/gnuedtd: Fixed indenting of generated DTD.

2006-03-31 17:00:20  Rev 8313   reinhard

	* scripts/gnuedtd: Enabled gnuedtd to cope with unicode description.

2006-03-30 21:49:58  Rev 8297   reinhard

	* src/datasources/readgsd.py: Fixed typo in last commit.

2006-03-30 21:49:15  Rev 8296   reinhard

	* src/datasources/readgsd.py: Changed help texts to be translated to
	  unicode.

2006-03-30 21:10:13  Rev 8295   reinhard

	* src/apps/GConfig.py, src/apps/GBaseApp.py: Properly handle unicode
	  in exceptions.

2006-03-30 20:22:00  Rev 8294   reinhard

	* src/apps/manpage.py, src/apps/GServerApp.py, src/apps/GBaseApp.py,
	  src/apps/CommandOption.py: Switched command line help to be
	  generally unicode.

2006-03-30 02:24:05  Rev 8286   jamest

	* utils/create-technote-index.py: quick fix for the tech note
	  generator in dealing with section names

2006-03-29 21:33:02  Rev 8283   reinhard

	* MANIFEST.in, doc/technotes/00011.txt, ROADMAP.in,
	  utils/helpers/tools.py, utils/generate-feature-plan.py, TODO:
	  Removed ROADMAP.in & friends because all that information has been
	  moved to roundup.

2006-03-27 09:36:29  Rev 8274   reinhard

	* src/__init__.py: Started new release cycle.

2006-03-27 08:06:53  Rev 8264   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, src/__init__.py, po/ru.po, po/fr.po, po/de.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.6.2.

2006-03-27 07:52:30  Rev 8263   johannes

	* src/datasources/drivers/sql/sqlite3/pysqlite2drv.py: Use a
	  default-collation function based on the current locale (for 
	  pysqlite2 2.2+)

2006-03-25 15:39:22  Rev 8260   jan

	* src/datasources/GConditions.py: fix mysql backend. mysql treats
	  function<space>() as user defined functions.

2006-03-24 20:46:33  Rev 8259   kilo

	* po/hu.po: Updated Hungarian translations

2006-03-24 08:22:29  Rev 8252   reinhard

	* BUGS: Better formatting.

2006-03-24 07:59:26  Rev 8251   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po,
	  po/hu.po, po/it.po: Released 0.6.1.99-pre1.

2006-03-23 15:41:33  Rev 8250   johannes

	* po/lt.po, po/ro.po, po/ru.po, po/de.po, po/es_ES.po, po/fr.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Updated translatable
	  strings and german translations

2006-03-23 14:31:23  Rev 8248   btami

	* src/apps/GServerApp.py: add windows service support to appserver

2006-03-20 13:12:04  Rev 8242   jan

	* src/datasources/drivers/sql/mysql/mysqldbdrv.py: set mysqldb drv
	  connection encoding correctly

2006-03-18 05:39:59  Rev 8240   jan

	* src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/mysql/mysqldbdrv.py: Mysql drv updates:
	  - add support for --owner (even it is more a dbadmin for mysql) -
	  fix deprecation warning by calling BEGIN explicitly

2006-03-16 13:12:30  Rev 8234   btami

	* packaging/win32/setup.py, packaging/win32/README: win32 packaging
	  updates

2006-03-16 12:57:43  Rev 8233   johannes

	* src/datasources/drivers/sql/sqlite2/pysqlitedrv.py: Same fix for
	  sqlite2 driver's doc

2006-03-16 12:56:29  Rev 8232   johannes

	* src/datasources/drivers/sql/sqlite3/pysqlite2drv.py: Give the proper
	  driver in the sample

2006-03-15 20:20:29  Rev 8230   jamest

	* src/printing/pdftable/pdftable.py: pdf table converts input to
	  strings for proper handling

2006-03-14 10:15:11  Rev 8227   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po,
	  po/hu.po, po/it.po: Released 0.6.1.99-beta2.

2006-03-14 07:55:16  Rev 8226   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/sql/sqlite3/pysqlite2drv.py,
	  src/datasources/drivers/sql/interbase/kinterbasdbdrv.py: Introduced
	  option to fetch the whole result set from the very beginning.
	  Issue56 [fixed]

2006-03-13 15:57:35  Rev 8225   johannes

	* src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/GConnections.py, src/datasources/readgsd.py: Added a
	  --owner/password option to gnue-schema. The driver for  PostgreSQL
	  honors this new option for database-creation.

2006-03-12 19:58:09  Rev 8223   jamest

	* src/datasources/readgsd.py: minor comments while digging thru code

2006-03-12 17:08:46  Rev 8221   jamest

	* src/external/plex/Transitions.py: fix plex to run under python 2.4

2006-03-11 19:30:12  Rev 8219   johannes

	* src/datasources/readgsd.py: Use proper fields for connection
	  properties

2006-03-07 16:00:22  Rev 8214   johannes

	* packaging/osx/create-image, packaging/osx/scripts,
	  packaging/osx/gnue-common.pmproj, packaging/osx/HOWTO-Build,
	  packaging/osx/dist/README, packaging/osx/create-build,
	  packaging/osx, packaging/osx/dist, packaging/osx/scripts/postflight:
	  Added environments for package-creation on OS X

2006-03-06 20:23:30  Rev 8209   kilo

	* po/hu.po: Updated Hungarian translations

2006-03-04 08:27:24  Rev 8203   jan

	* src/datasources/drivers/sql/mysql/mysqldbdrv.py: add string to
	  boolean conversion

2006-03-04 07:36:43  Rev 8202   jan

	* src/datasources/drivers/sql/mysql/mysqldbdrv.py: enables options for
	  mysql non-unicode mode

2006-03-03 08:01:15  Rev 8195   johannes

	* po/de.po: Updated german translations

2006-03-02 18:31:57  Rev 8187   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, etc/sample.gnue.conf, po/ru.po, po/fr.po, po/de.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.6.1.99-beta1.

2006-03-02 07:36:39  Rev 8183   johannes

	* src/datasources/drivers/Base/RecordSet.py: Let a record set only get
	  dirty if data has been changed

2006-02-27 15:57:16  Rev 8180   jamest

	* src/datasources/GConnections.py, src/datasources/readgsd.py: removed
	  obsolete functions I had re-added until I had chance to remove from
	  all my code

2006-02-21 14:52:11  Rev 8173   johannes

	* src/datasources/drivers/sql/interbase/kinterbasdbdrv.py: Added
	  comment for building the python-binding

2006-02-21 10:09:53  Rev 8171   johannes

	* doc/technotes/index.html, doc/technotes/index.txt: Updated
	  index-files

2006-02-20 17:34:10  Rev 8166   johannes

	* src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/datasources/drivers/other/appserver.py: Improved
	  object-dictionary destruction in xmlrpc; removed login (),  logout
	  () and close () from session object, as well as close () from  list
	  objects since they get called automatically.

2006-02-10 19:05:07  Rev 8160   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Try to be more clear
	  about what requery does.

2006-02-10 07:57:47  Rev 8157   johannes

	* src/apps/i18n.py: Always return a locale. If the locale returned by
	  getlocale () is None,  default to 'C'

2006-02-09 19:21:06  Rev 8155   johannes

	* images/gnue-icon.png, etc/sample.connections.conf,
	  images/gnue-old.png, images/gnue.png: Added new images and changed
	  sample config file

2006-02-06 16:34:19  Rev 8152   johannes

	* src/apps/GServerApp.py: Create directory for pidfile if necessary

2006-02-06 13:57:57  Rev 8151   johannes

	* images/gnue-splash.png: Replaced old splash screen image

2006-01-27 10:29:39  Rev 8144   johannes

	* src/datasources/drivers/sql/mysql/Behavior.py: Use a set of
	  credentials for grant-commands too

2006-01-27 07:56:05  Rev 8141   johannes

	* src/datasources/drivers/sql/mysql/Behavior.py: Added passing of
	  credentials on database creation

2006-01-26 18:34:49  Rev 8139   johannes

	* src/datasources/drivers/sql/mysql/mysqldbdrv.py: Allways use
	  unicode, removed that invalid keyword argument

2006-01-18 21:25:44  Rev 8129   jcater

	* src/datasources/drivers/file/__init__.py, src/rpc/RpcDoc.py,
	  src/formatting/FormatExceptions.py, src/datasources/GSchema.py,
	  src/datasources/drivers/sql/postgresql/psycopgdrv.py,
	  src/cursing/FocusedLabel.py, src/utils/uuid.py,
	  src/formatting/TextMask.py, src/cursing/InputBox.py,
	  src/cursing/Button.py, src/cursing/CheckBox.py,
	  src/formatting/GTypecast.py, unittest/run_tests_gui.py,
	  src/utils/GMimeTypes.py, src/formatting/masks/Tokens.py,
	  src/cursing/ScrollBar.py,
	  src/datasources/drivers/sql/sqlite2/pysqlitedrv.py,
	  src/printing/barcodes/__init__.py, src/events/Event.py,
	  tests/datasources_GConditions.py,
	  src/datasources/drivers/__init__.py,
	  src/datasources/ConnectionTriggerObj.py,
	  src/datasources/drivers/sql/postgresql/Base.py,
	  src/cursing/CheckBoxGroup.py, src/datasources/GDataSource.py,
	  src/cursing/GraphicObject.py, src/apps/GServerApp.py,
	  src/cursing/RadioGroup.py, src/formatting/masks/GMask.py,
	  src/datasources/GConditions.py, src/definitions/GParserHelpers.py,
	  src/cursing/Menu.py, src/cursing/StatusBar.py,
	  src/datasources/drivers/sql/sqlite3/pysqlite2drv.py,
	  src/rpc/client.py, src/events/__init__.py, src/cursing/MenuBar.py,
	  src/printing/barcodes/codabar.py, src/apps/RuntimeSettings.py,
	  src/datasources/drivers/sql/msado/adodbapidrv.py,
	  src/cursing/Progress.py, src/printing/barcodes/standard2of5.py,
	  src/definitions/__init__.py,
	  src/datasources/drivers/sql/postgresql/pygresqldrv.py,
	  src/datasources/drivers/sql/maxdb/__init__.py, src/apps/GBaseApp.py,
	  src/cursing/TextArea.py, src/rpc/drivers/xmlrpc/RpcDoc.py,
	  src/rpc/__init__.py, src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/printing/pdftable/sample.py, src/formatting/masks/InputMask.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/sql/interbase/kinterbasdbdrv.py,
	  utils/generate-tool-schemas.py, src/logic/NamespaceCore.py,
	  src/logic/GTrigger.py, src/printing/barcodes/postnet.py,
	  src/cursing/constants.py, src/datasources/GLoginHandler.py,
	  src/utils/CaselessDict.py, src/definitions/GBinary.py,
	  src/printing/barcodes/interleaved2of5.py, src/datatypes/Color.py,
	  src/apps/errors.py, src/apps/GClientApp.py,
	  src/datasources/drivers/sql/__init__.py,
	  src/datasources/drivers/sql/mysql/__init__.py,
	  src/datasources/Exceptions.py, src/formatting/masks/Errors.py,
	  src/logic/adapters/Base.py, src/printing/pdftable/__init__.py,
	  src/definitions/GParser.py, src/apps/GLogger.py,
	  src/cursing/Label.py, src/datasources/drivers/sql/mysql/Behavior.py,
	  utils/GTest.py, src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/Base/__init__.py, src/cursing/Dialog.py,
	  src/datasources/drivers/sql/oracle/dcoracledrv.py,
	  src/cursing/Control.py, src/logic/adapters/ecmascript.py,
	  src/definitions/GRootObj.py, src/gear/GearSystem.py,
	  src/datasources/drivers/Base/Behavior.py, src/cursing/sio.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/sql/mysql/mysqldbdrv.py, license_header.txt,
	  src/datasources/drivers/Base/ResultSet.py, src/apps/GDebug.py,
	  src/rpc/drivers/pyro/ServerAdapter.py, src/cursing/Frame.py,
	  src/events/EventAware.py, src/rpc/drivers/Base.py,
	  src/datasources/drivers/sql/sqlite2/__init__.py,
	  src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/datasources/drivers/sql/maxdb/maxdbdrv.py,
	  src/datasources/drivers/sql/msado/__init__.py, src/apps/plugin.py,
	  setup-cvs.py, src/cursing/MsgBoxOK.py,
	  src/datasources/drivers/sql/interbase/__init__.py,
	  src/cursing/TextBox.py, src/cursing/MsgBoxTimer.py,
	  src/datasources/drivers/other/__init__.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  unittest/datasource.py,
	  src/datasources/drivers/sql/msado/Behavior.py,
	  src/utils/GDateTime.py, src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/cursing/VButton.py, src/cursing/GroupBox.py,
	  tests/drivers/checkem.py, src/printing/pdftable/pdftable.py,
	  src/formatting/masks/MaskParser.py,
	  src/datasources/drivers/DBSIG2/Behavior.py, src/utils/TextUtils.py,
	  src/datasources/drivers/sql/postgresql/pypgsqldrv.py,
	  src/cursing/DirChooser.py, src/rpc/drivers/xmlrpc/typeconv.py,
	  src/cursing/ComboBox.py, src/events/EventController.py,
	  src/rpc/drivers/pyro/__init__.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/formatting/DateMask.py, utils/doc-xml-attrs-openoffice.py,
	  src/printing/barcodes/Base.py, src/cursing/MsgBoxYesNo.py,
	  src/__init__.py, src/apps/CommandOption.py, src/cursing/utility.py,
	  src/GCConfig.py, src/cursing/VScrollBar.py, unittest/logic.py,
	  src/definitions/GObjects.py, src/formatting/GDataFormatter.py,
	  src/cursing/FileSelectPad.py, src/setup/GSetup.py,
	  src/rpc/drivers/pyro/ClientAdapter.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py, src/rpc/server.py,
	  src/utils/dbf.py, src/cursing/MenuItem.py,
	  src/datasources/drivers/sql/oracle/__init__.py,
	  src/formatting/BaseMask.py, src/rpc/drivers/__init__.py,
	  src/cursing/RadioButton.py, src/rpc/drivers/xmlrpc/__init__.py,
	  src/GMenu.py, src/apps/i18n.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/sql/postgresql/__init__.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/Base/RecordSet.py, module/base/__init__.py,
	  src/apps/GConfig.py, src/logic/adapters/python.py,
	  src/setup/ChangeLog.py,
	  src/datasources/drivers/sql/postgresql/Behavior.py,
	  tests/utils_TextUtils.py, utils/generate-gnue-config.py,
	  src/datasources/drivers/file/dbffile.py, tests/apps_checktype.py,
	  src/formatting/masks/Masks.py, setup.py, src/cursing/__init__.py,
	  src/datasources/readgsd.py, src/cursing/Notebook.py,
	  src/utils/FileUtils.py, src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/drivers/sql/sqlite3/__init__.py,
	  src/logic/language.py, src/gear/NavigationBuilder.py,
	  src/datasources/drivers/file/inifile.py, src/apps/__init__.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py,
	  src/cursing/Container.py,
	  src/datasources/drivers/sql/oracle/cxoracledrv.py,
	  src/formatting/NumberMask.py, src/apps/checktype.py,
	  src/datasources/GConnections.py, src/apps/manpage.py,
	  src/cursing/ColorScheme.py, src/utils/http.py,
	  src/logic/GTriggerCore.py, src/apps/GImportLogger.py,
	  src/cursing/FileSelector.py: fixed copyright headers

2006-01-11 02:44:57  Rev 8126   jamest

	* src/printing/pdftable/pdftable.py, src/printing/pdftable/sample.py:
	  added support for addLine so pdf table can add check register style
	  lines under standard rows

2006-01-09 18:21:18  Rev 8123   reinhard

	* src/rpc/drivers/xmlrpc/ServerAdapter.py: Stringify object id's
	  before feeding them into XMLRPC, because XMLRPC cannot transport 64
	  bit numbers, and object id's are 64 bit numbers on 64 bit platforms.

2006-01-09 13:24:09  Rev 8121   kilo

	* src/definitions/GParser.py: Refine (hack) sybling check for reports

2006-01-05 09:41:11  Rev 8120   johannes

	* src/datasources/drivers/other/appserver.py: Appserver now uses the
	  object oriented RPC interface -- the flat one is  removed. Appserver
	  uses python's datetime library for date, time and  datetime types
	  now.

2006-01-04 00:01:11  Rev 8119   jcater

	* src/datasources/drivers/sql/oracle/cxoracledrv.py,
	  src/datasources/drivers/sql/oracle/dcoracledrv.py: Updated links to
	  Oracle drivers and made other relevant notes.

2006-01-01 17:19:54  Rev 8118   johannes

	* src/utils/uuid.py: Added alternative way for detecting available
	  network interfaces (thanks  to Ross Golder) and implemented an
	  automatic fallback to  random-generated UUID if no network interface
	  could be found. This  fixes UUID generation on 64-bit architectures
	  and Mac OS. The latter one  still lacks node-based UUIDs.

2005-12-07 01:37:56  Rev 8115   jamest

	* src/printing/pdftable/pdftable.py: moved font defs to a dict and
	  allow them to be set added a set hightlight function added ability
	  to shut off borders per row

2005-12-06 21:25:33  Rev 8114   reinhard

	* src/definitions/GParser.py: Check if a tag is valid under this
	  parent.

2005-12-02 11:36:53  Rev 8111   btami

	* src/logic/GTrigger.py: fixed StoreTriggersAsCDATA issue

2005-11-24 14:06:30  Rev 8107   johannes

	* src/definitions/GParser.py: Fixed name of arguments in
	  startElementNS (), endElementNS () and characters (). Fixed some
	  docstrings.

2005-11-24 13:49:48  Rev 8106   johannes

	* src/definitions/GParserHelpers.py: Fixed typo; actually it should
	  read _getAsContents_ ()  ... :)

2005-11-24 13:23:47  Rev 8105   johannes

	* src/definitions/GParserHelpers.py, src/definitions/GBinary.py: Avoid
	  a circular import chain wrt. getChildrenAsContents ()

2005-11-22 12:41:44  Rev 8103   johannes

	* src/definitions/GParser.py: Don't check for uniqueness (as it was
	  before)

2005-11-21 07:42:56  Rev 8102   reinhard

	* src/definitions/GObjects.py, src/events/Event.py,
	  src/events/EventController.py: Fixed docstrings.

2005-11-21 07:39:13  Rev 8101   reinhard

	* src/rpc/server.py: Fixed typo.

2005-11-17 22:17:03  Rev 8099   btami

	* src/definitions/GObjects.py, src/definitions/GParser.py: fixed
	  report handling

2005-11-16 13:20:18  Rev 8098   johannes

	* src/rpc/drivers/Base.py, src/rpc/RpcDoc.py,
	  src/definitions/GParser.py, src/rpc/drivers/__init__.py,
	  src/rpc/client.py, src/rpc/__init__.py,
	  src/rpc/drivers/xmlrpc/__init__.py,
	  src/rpc/drivers/pyro/__init__.py, src/rpc/server.py: Updated
	  docstrings

2005-11-15 13:37:03  Rev 8097   johannes

	* src/definitions/GParser.py: Added missing Id keyword

2005-11-15 13:35:43  Rev 8096   johannes

	* src/definitions/GObjects.py, src/definitions/GParser.py,
	  src/definitions/GRootObj.py, src/definitions/GParserHelpers.py,
	  src/definitions/GBinary.py, src/logic/GTrigger.py,
	  src/definitions/__init__.py: Code cleanup according to technote 15

2005-11-08 10:46:18  Rev 8094   johannes

	* src/events/__init__.py, src/events/Event.py,
	  src/events/EventAware.py, src/events/EventController.py: Code
	  clean-up (according to technote 15)

2005-10-27 07:45:09  Rev 8082   reinhard

	* src/definitions/GObjects.py: Fixed docstrings for epydoc.

2005-10-25 22:23:05  Rev 8079   btami

	* src/definitions/GObjects.py, src/definitions/GParser.py,
	  src/definitions/GRootObj.py: fixed report save bug in designer if
	  report layout defines hes objects (like Char)

2005-10-24 13:19:01  Rev 8076   btami

	* src/definitions/GParser.py: preparing for designer's report support

2005-10-20 13:16:03  Rev 8074   jamest

	* src/formatting/BaseMask.py, src/formatting/DateMask.py,
	  src/definitions/GObjects.py, src/logic/adapters/ecmascript.py,
	  src/logic/NamespaceCore.py, src/datasources/GConnections.py,
	  src/logic/GTrigger.py: replaced all references of GDebug.printMesg()
	  with assert gDebug()

2005-10-20 09:14:07  Rev 8073   btami

	* src/logic/GTrigger.py: changed debug level from 0 to 1

2005-10-18 13:38:24  Rev 8068   johannes

	* BUGS: Moved to roundup

2005-10-15 21:25:46  Rev 8063   btami

	* src/definitions/GRootObj.py: designer needs this default

2005-10-15 12:05:06  Rev 8062   neilt

	* packaging/fink/gnue-common.info, doc/install-mac-os-x.txt: Update
	  fink package files.

2005-10-14 19:53:21  Rev 8060   btami

	* src/logic/GTrigger.py: fixed 'designer changing CDATA to escaped
	  content on save' bug (in previous commit)

2005-10-14 19:50:25  Rev 8059   btami

	* src/logic/GTrigger.py, src/logic/GFormula.py: removed unused file

2005-10-13 20:43:17  Rev 8057   btami

	* packaging/win32/setup.py: readded various image plugins; added PyXML

2005-10-12 07:49:26  Rev 8049   btami

	* src/definitions/GParser.py, src/definitions/GParserHelpers.py: fixed
	  the 'designer looses comments on save' bug

2005-10-11 15:56:19  Rev 8045   neilt

	* doc/install-mac-os-x.txt, INSTALL: Document updates.

2005-10-10 12:01:54  Rev 8044   neilt

	* doc/install-mac-os-x.txt: Add Mac OS X short instructions.

2005-10-10 11:03:38  Rev 8041   neilt

	* packaging/fink/psycopg-py24.patch, packaging/fink/gnue-common.info,
	  packaging/fink/psycopg-py24.info: Update Fink files for latest
	  release.

2005-10-04 08:25:55  Rev 8036   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed merge for deletion
	  of more than one detail record at once.

2005-10-03 19:06:26  Rev 8034   btami

	* packaging/win32/setup.py: fixed Pil plugins

2005-10-03 14:15:24  Rev 8033   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Fixed requery in multi
	  layer master/detail relationships.

2005-09-30 12:58:01  Rev 8032   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss, packaging/win32/setup.py,
	  packaging/win32/GNUe-Runtime-Environment.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/GNUe-Appserver.iss,
	  packaging/win32/GNUe-Common.iss: added all standard python modules
	  to runtime environment package

2005-09-29 10:56:22  Rev 8030   jcater

	* src/definitions/GObjects.py: Added an iterator method/class for
	  GObjects that allows passing in a test method or a list of  types
	  and return an iterator of the children of that object passing the
	  test.
	  Also clarified documentation on  what the setitem and getitem hooks
	  are for.

2005-09-28 17:20:25  Rev 8029   reinhard

	* src/__init__.py: Started new release cycle.

2005-09-28 16:55:25  Rev 8019   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, NEWS, src/__init__.py, po/ru.po, po/fr.po, po/de.po,
	  utils/update-tool-docs, po/nl.po, po/es_MX.po, po/hu.po, po/it.po:
	  Released 0.6.1.

2005-09-28 16:27:28  Rev 8017   kilo

	* po/hu.po: Updated Hungarian translations.

2005-09-28 03:27:27  Rev 8015   reinhard

	* po/nl.po: Updated Dutch translations. Thanks to Michael Van
	  Wesenbeeck.

2005-09-27 15:05:21  Rev 8012   reinhard

	* doc/RPC-grpc-file.dtd, README, AUTHORS, TODO, INSTALL, THANKS,
	  doc/RPC-status.txt, ROADMAP.in: Some docs.

2005-09-27 10:49:19  Rev 8011   reinhard

	* src/rpc/drivers/TODO, BUGS, TODO, ROADMAP.in: Updated Roadmap, TODO,
	  Bug list.

2005-09-27 10:30:59  Rev 8008   johannes

	* BUGS, po/de.po: Updated german translation

2005-09-27 10:21:04  Rev 8006   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, po/ru.po, po/fr.po, po/de.po, po/nl.po, po/es_MX.po,
	  po/hu.po, po/it.po: Released 0.6.0.99-pre2.

2005-09-27 10:12:29  Rev 8005   johannes

	* src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/rpc/drivers/xmlrpc/typeconv.py, src/rpc/client.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py: Improved/Fixed object
	  transports in xmlrpc

2005-09-27 09:46:10  Rev 8004   reinhard

	* utils/helpers/tools.py: Fixed excpetion handling, count fuzzy
	  translations as not finished.

2005-09-27 04:12:41  Rev 8001   johannes

	* src/datasources/drivers/sql/postgresql/psycopgdrv.py,
	  src/datasources/drivers/sql/postgresql/pygresqldrv.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/sql/postgresql/pypgsqldrv.py: Changed
	  default-value for _need_rollback_after_exception_ flag

2005-09-27 02:48:26  Rev 8000   reinhard

	* src/rpc/drivers/xmlrpc/typeconv.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py: Fixed docstrings.

2005-09-26 13:41:24  Rev 7997   reinhard

	* utils/release, utils/release-announce: Added some "sleep 20" lines
	  to release script and friends, making sure we don't connect to ssh
	  more than 3 times a minute.

2005-09-26 08:39:02  Rev 7996   johannes

	* src/datasources/drivers/sql/sqlite2/pysqlitedrv.py: Added missing
	  comment

2005-09-25 07:16:06  Rev 7990   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, etc/sample.gnue.conf, po/ru.po,
	  po/fr.po, po/de.po, po/nl.po, po/es_MX.po, po/hu.po, po/it.po:
	  Released 0.6.0.99-pre1.

2005-09-24 07:27:14  Rev 7982   reinhard

	* NEWS: Updated NEWS to reflect latest changes.

2005-09-24 06:00:38  Rev 7981   reinhard

	* src/datasources/Exceptions.py: Fix for statements without parameters.

2005-09-24 05:50:21  Rev 7980   reinhard

	* src/datasources/Exceptions.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Show statement and
	  parameters as detail of ConnectionError exceptions.

2005-09-23 12:27:51  Rev 7978   reinhard

	* src/apps/GDebug.py: Fixed gLeave placeholder.

2005-09-23 06:02:31  Rev 7977   johannes

	* src/rpc/drivers/pyro/ClientAdapter.py: Added a _destroy () method to
	  the ServerProxy class

2005-09-23 03:58:56  Rev 7975   johannes

	* src/rpc/drivers/pyro/ServerAdapter.py,
	  src/rpc/drivers/pyro/ClientAdapter.py: Improved pyro driver

2005-09-22 15:13:13  Rev 7973   johannes

	* src/rpc/drivers/_helpers, src/rpc/drivers/Base.py,
	  src/rpc/drivers/TODO, src/rpc/drivers/pyro/ServerAdapter.py,
	  src/rpc/drivers/pyro/Driver.py,
	  src/rpc/drivers/pyro/ClientAdapter.py: Rebuilt pyro driver

2005-09-22 09:42:11  Rev 7972   johannes

	* src/rpc/drivers/pyro/ServerAdapter.py, src/rpc/GComm.py,
	  src/rpc/drivers/pyro/ClientAdapter.py: GComm is no longer used

2005-09-22 09:39:09  Rev 7971   johannes

	* src/rpc/drivers/proxy,
	  src/rpc/drivers/_helpers/AsyncSocketServer.py: Removed more dead code

2005-09-22 09:24:10  Rev 7969   johannes

	* src/rpc/drivers/soap, src/rpc/drivers/sockets: Removed even more
	  dead code

2005-09-22 09:22:42  Rev 7968   johannes

	* src/rpc/test, src/rpc/parser: Removed some dead code

2005-09-22 09:21:22  Rev 7967   johannes

	* setup-cvs-win.py, setup-cvs.py: Removed grpc

2005-09-22 04:25:36  Rev 7962   johannes

	* po/de.po: Updated german translation

2005-09-21 15:38:53  Rev 7952   reinhard

	* NEWS: Updated NEWS file for upcoming release.

2005-09-21 15:37:49  Rev 7951   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Display records that have
	  been inserted and then deleted as pending so the user has the chance
	  to hit "save" to get rid of them.

2005-09-21 15:28:12  Rev 7949   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Fixes for records that
	  have been inserted and then deleted.

2005-09-21 13:20:53  Rev 7944   reinhard

	* src/datasources/drivers/Base/ResultSet.py: If the cursor navigates
	  out of an empty record, throw it away.

2005-09-21 13:06:48  Rev 7943   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Better status handling,
	  going back to 3 variables instead of one status variable.

2005-09-21 11:58:53  Rev 7940   reinhard

	* NEWS, BUGS: Preparing for release.

2005-09-21 11:17:08  Rev 7939   johannes

	* src/apps/GDebug.py, src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/Base/Behavior.py, src/rpc/drivers/Base.py,
	  src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py: Added an assert to gLeave
	  () which will in turn always return True

2005-09-20 09:18:44  Rev 7928   johannes

	* src/rpc/drivers/Base.py, src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/rpc/client.py, src/datasources/drivers/other/appserver.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py, src: Added _destroy () to
	  the Proxies

2005-09-20 03:11:58  Rev 7920   btami

	* src/datasources/drivers/sql/msado/adodbapidrv.py: cahnged adodbapi
	  provider to msado in sample

2005-09-20 03:11:06  Rev 7919   btami

	* po/hu.po: another typo

2005-09-19 10:30:00  Rev 7918   reinhard

	* src/datasources/drivers/Base/Connection.py: Fixed behavior vs.
	  behaviour.

2005-09-19 09:44:26  Rev 7916   johannes

	* src/datasources/GConnections.py: Removed obsolete methods

2005-09-19 08:06:13  Rev 7914   johannes

	* src/utils/CaselessDict.py: Added the get method

2005-09-16 19:24:29  Rev 7913   jcater

	* utils/release: record path changes to the website

2005-09-16 18:41:00  Rev 7912   jcater

	* src/datasources/drivers/sql/msado/adodbapidrv.py: changed provider
	  name from adodbapi to msado

2005-09-16 18:39:20  Rev 7911   jcater

	* po/hu.po: fixed typo

2005-09-15 12:20:55  Rev 7909   reinhard

	* src/datasources/GDataSource.py: Bugfix: call function on correct
	  record, do requery even if function call throws an exception.

2005-09-15 11:48:50  Rev 7907   johannes

	* src/datasources/GConnections.py: Removed debug-output

2005-09-15 11:25:34  Rev 7906   johannes

	* src/datasources/drivers/Base/Connection.py,
	  src/datasources/GConnections.py: Let the manager know when a
	  connection has been closed

2005-09-15 09:58:15  Rev 7904   johannes

	* src/datasources/drivers/Base/RecordSet.py: Fixed typo in exception
	  class

2005-09-15 06:46:25  Rev 7903   johannes

	* src/rpc/drivers/xmlrpc/typeconv.py: removed debug-output

2005-09-14 17:26:12  Rev 7902   johannes

	* src/rpc/drivers/Base.py, src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/rpc/drivers/xmlrpc/typeconv.py, src/rpc/client.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py, src/rpc/server.py: Added
	  object support to xmlrpc

2005-09-12 14:31:40  Rev 7898   jamest

	* src/rpc/drivers/_helpers/DirectoryServer.py,
	  src/datasources/drivers/Base/ResultSet.py, src/apps/GDebug.py,
	  src/cursing/Frame.py, src/rpc/drivers/Base.py,
	  src/rpc/drivers/xmlrpc/ServerAdapter.py, src/apps/GBaseApp.py,
	  src/datasources/drivers/sql/__init__.py,
	  src/datasources/ConnectionTriggerObj.py,
	  src/datasources/drivers/sql/msado/__init__.py,
	  src/datasources/drivers/sql/interbase/__init__.py,
	  src/datasources/drivers/sql/postgresql/Base.py,
	  src/definitions/GParser.py, src/datasources/GDataSource.py,
	  src/apps/GConfig.py, src/apps/GLogger.py,
	  src/definitions/GParserHelpers.py, src/cursing/FocusedLabel.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/sql/interbase/kinterbasdbdrv.py,
	  src/cursing/Menu.py, src/cursing/StatusBar.py,
	  src/cursing/MenuBar.py, src/datasources/drivers/Base/Behavior.py,
	  src/cursing/sio.py, src/datasources/GConnections.py,
	  src/formatting/masks/Masks.py, src/logic/GTrigger.py,
	  src/rpc/drivers/pyro/ClientAdapter.py, src/cursing/ColorScheme.py,
	  src/utils/http.py, src/rpc/drivers/xmlrpc/ClientAdapter.py: prefix
	  all gDebug and gEnter calls with assert

2005-09-12 00:01:05  Rev 7896   jamest

	* src/definitions/GObjects.py, src/apps/GDebug.py: added
	  findChildNamed to GObj made gEnter and gDebug return True so they
	  can be used behind an assert

2005-09-09 15:33:04  Rev 7893   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Added support for new
	  onRecordInserted event. Added record parameter to all record level
	  events.

2005-09-09 11:13:27  Rev 7892   johannes

	* src/rpc/drivers/xmlrpc/typeconv.py: Don't use unicode-keys in
	  dictionaries, since python 2.3.4 doesn't like that

2005-09-06 18:23:07  Rev 7890   johannes

	* src/rpc/drivers/xmlrpc/pw_xmlrpc: Removed obsolete directory

2005-09-06 17:37:17  Rev 7888   johannes

	* src/rpc/drivers/Base.py, src/rpc/drivers/xmlrpc/py_xmlrpc,
	  src/rpc/drivers/xmlrpc/ServerAdapter.py,
	  src/rpc/drivers/xmlrpc/typeconv.py,
	  src/rpc/drivers/xmlrpc/RpcDoc.py, src/rpc/client.py,
	  src/datasources/drivers/other/appserver.py,
	  src/rpc/drivers/xmlrpc/ClientAdapter.py,
	  src/rpc/drivers/xmlrpc/__init__.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ServerAdapter.py,
	  src/rpc/server.py: First step of reorganizing rpc (including some
	  improvements)

2005-09-02 11:35:14  Rev 7886   johannes

	* src/utils/http.py: http-client and -server classes with some
	  improvements regarding speed

2005-09-01 07:18:38  Rev 7883   reinhard

	* po/nl.po: Updated nl.po. Thanks to Michael van Wesenbeeck.

2005-08-27 03:50:57  Rev 7882   jamest

	* src/formatting/masks/MaskParser.py,
	  src/formatting/masks/InputMask.py: docstrings and cleanup

2005-08-25 16:38:04  Rev 7881   reinhard

	* src/datasources/GConnections.py: Fixed exception.

2005-08-24 13:48:46  Rev 7878   reinhard

	* BUGS: Bug is fixed.

2005-08-24 13:19:54  Rev 7877   reinhard

	* src/datasources/GDataSource.py: Fixed the fix.

2005-08-24 12:51:36  Rev 7876   reinhard

	* src/datasources/GDataSource.py: Attempt to fix the detail requery
	  without primary key issue.

2005-08-24 12:40:15  Rev 7875   reinhard

	* BUGS: Found a nasty bug.

2005-08-23 19:32:54  Rev 7874   jamest

	* tests/utils_TextUtils.py, src/utils/TextUtils.py: added stripHTML
	  function to TextUtils more unit tests for TextUtils misc cleanup

2005-08-20 04:19:03  Rev 7871   jamest

	* src/apps/GBaseApp.py: more basic cleanup trying to make pylint happy

2005-08-19 21:39:27  Rev 7869   reinhard

	* src/datasources/GDataSource.py: Fixed requery after exception on
	  post.

2005-08-18 00:32:12  Rev 7866   jamest

	* src/datasources/drivers/Base/RecordSet.py: added undelete to record
	  sets

2005-08-13 18:00:25  Rev 7861   btami

	* packaging/win32/GNUe-Forms.iss: no dialogs dir

2005-08-13 17:34:38  Rev 7859   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Navigator.iss,
	  packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss,
	  packaging/win32/GNUe-Navigator-debug.iss,
	  packaging/win32/GNUe-Reports.iss, packaging/win32/GNUe-Designer.iss,
	  packaging/win32/GNUe-Reports-debug.iss,
	  packaging/win32/GNUe-Designer-debug.iss,
	  packaging/win32/GNUe-Runtime-Environment.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/GNUe-Appserver.iss,
	  packaging/win32/GNUe-Common.iss: updated for release

2005-08-13 17:08:38  Rev 7858   neilt

	* packaging/fink/gnue-common.info: Update for release 0.6.0.

2005-08-13 15:54:48  Rev 7838   reinhard

	* src/__init__.py: Started new release cycle.

2005-08-13 15:50:20  Rev 7835   reinhard

	* doc/RPC-grpc-file.dtd, po/lt.po, src/datasources/GConditions.py,
	  doc/gnue-schema.dtd, doc/man/gnue-schema.1, po/ro.po, NEWS,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/RecordSet.py, src/__init__.py,
	  po/ru.po, src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/Base/Behavior.py, po/de.po,
	  src/datasources/GConnections.py, ROADMAP.in, po/es_ES.po, po/fr.po,
	  po/nl.po, po/es_MX.po, po/it.po, po/hu.po: Released 0.6.0.

2005-08-12 14:54:31  Rev 7830   reinhard

	* src/datasources/readgsd.py: Fixed import of StartupError.

2005-08-12 13:18:37  Rev 7827   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Change new parameter to
	  be required; fix some docstrings.

2005-08-12 12:44:05  Rev 7826   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: If the transaction hasn't
	  been committed before requerying, requery a second time after the
	  next commit, because the commit can also change data (e.g. in an
	  appserver OnValidate trigger).

2005-08-11 13:20:19  Rev 7825   kilo

	* po/hu.po: Updated Hungarian translation

2005-08-10 15:05:21  Rev 7823   reinhard

	* po/de.po: Updated German translations.

2005-08-10 14:46:39  Rev 7818   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, po/ru.po, po/fr.po, po/de.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.5.99-pre1.

2005-08-10 14:37:01  Rev 7816   reinhard

	* MANIFEST.in: Added packagin/fink to distribution list.

2005-08-09 22:49:34  Rev 7812   neilt

	* packaging/fink/gnue-common.info, packaging/fink: Add fink
	  distribution control file.

2005-08-09 18:28:25  Rev 7810   reinhard

	* src/datasources/ConnectionTriggerObj.py,
	  src/datasources/Exceptions.py, src/datasources/GConnections.py:
	  Cleanup, docstrings, comments, exception cleanup.

2005-08-09 17:41:07  Rev 7808   reinhard

	* src/datasources/GLoginHandler.py: Cleanup.

2005-08-09 17:21:10  Rev 7806   reinhard

	* src/datasources/GLoginHandler.py: Cleanup, docstrings, minor name
	  change in GLoginHandler.

2005-08-09 17:04:06  Rev 7805   reinhard

	* src/datasources/GConditions.py, src/datasources/GDataSource.py,
	  src/datasources/GConnections.py, src/datasources/GLoginHandler.py:
	  Removed some bogus executable properties.

2005-08-09 17:02:34  Rev 7804   reinhard

	* src/datasources/GConnections.py, src/datasources/readgsd.py,
	  src/datasources/GLoginHandler.py: Cleanup, docstrings, comments.
	  While I was at it, also fixed the bug that made all gnue
	  applications ignore --username and --password command line
	  parameters.

2005-08-08 21:41:12  Rev 7803   reinhard

	* src/datasources/GDataSource.py: Cleanup, docstrings, comments.

2005-08-08 21:40:52  Rev 7802   reinhard

	* src/datasources/drivers/sql/postgresql/Behavior.py: Fix variable
	  names.

2005-08-08 13:59:35  Rev 7801   reinhard

	* src/datasources/GSchema.py: Cleanup, docstrings, comments.

2005-08-08 13:14:46  Rev 7800   reinhard

	* src/datasources/GConditions.py: Cleanup, docstrings, comments.

2005-08-08 08:56:12  Rev 7799   johannes

	* tests/datasources_GConditions.py: None is not listed as parameter
	  anymore

2005-08-08 02:23:42  Rev 7798   neilt

	* doc/technotes/00000.txt: Correct spelling.

2005-08-07 19:27:51  Rev 7797   reinhard

	* src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/file/inifile.py: Further cleanup, docstrings
	  and comments.

2005-08-07 19:09:50  Rev 7796   reinhard

	* src/datasources/GConditions.py: Don't generate a parameter for NULL
	  as some backends don't like it.

2005-08-07 13:14:32  Rev 7792   btami

	* src/utils/uuid.py: typo

2005-08-06 19:14:11  Rev 7791   reinhard

	* src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/postgresql/psycopgdrv.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/pysqlitedrv.py,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/datasources/drivers/sql/postgresql/Base.py,
	  src/datasources/drivers/sql/postgresql/pypgsqldrv.py,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/drivers/sql/oracle/cxoracledrv.py,
	  src/datasources/drivers/sql/msado/adodbapidrv.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py,
	  src/datasources/drivers/sql/postgresql/pygresqldrv.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/sqlite3/pysqlite2drv.py,
	  src/datasources/drivers/sql/oracle/dcoracledrv.py: More cleanup,
	  docstrings, comments.

2005-08-05 20:04:34  Rev 7790   reinhard

	* src/utils/uuid.py: Use MAC address introspection code only on Linux,
	  not on other Posix systems.

2005-08-05 19:40:56  Rev 7789   reinhard

	* src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/interbase/Behavior.py: Committed what I
	  forgot before.

2005-08-05 19:04:01  Rev 7788   jamest

	* src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/interbase/Behavior.py: attempt to sync
	  drivers with changes in DBSIG2 Behaviour.py fix typos

2005-08-05 11:01:50  Rev 7787   reinhard

	* src/datasources/drivers/DBSIG2/Behavior.py: Cleanup, docstrings,
	  comments.

2005-08-05 10:16:07  Rev 7786   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py: Cleanup, docstrings,
	  comments.

2005-08-05 10:02:54  Rev 7785   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py: Cleanup, docstrings,
	  comments.

2005-08-04 18:35:28  Rev 7784   reinhard

	* src/datasources/drivers/other/appserver.py: Cleanup, docstrings,
	  comments.

2005-08-04 18:27:53  Rev 7783   reinhard

	* src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/interbase/Behavior.py: Cleanup,
	  docstrings, comments.

2005-08-04 17:10:49  Rev 7782   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed docstrings.

2005-08-04 16:39:07  Rev 7781   reinhard

	* src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/Base/Connection.py: Docstrings, comments,
	  type checks.

2005-08-04 15:29:30  Rev 7780   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Type checks, docstrings.

2005-08-04 15:21:40  Rev 7779   reinhard

	* src/datasources/drivers/Base/Connection.py: Docstrings, comments,
	  cleanup.

2005-08-03 14:39:22  Rev 7778   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Fixed requery for detail
	  links.

2005-08-03 14:29:42  Rev 7777   reinhard

	* src/datasources/Exceptions.py: Fixed typo.

2005-08-03 14:19:23  Rev 7776   reinhard

	* src/datasources/Exceptions.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Explicit exception
	  when record is not found on requery.

2005-08-03 14:05:53  Rev 7775   reinhard

	* src/datasources/Exceptions.py, src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/Connection.py: Started exception
	  cleanup and documentation.

2005-08-02 17:41:02  Rev 7773   reinhard

	* doc/technotes/00015.txt: Nice checklist.

2005-08-02 17:31:13  Rev 7772   reinhard

	* src/datasources/drivers/Base/ResultSet.py: More logical function
	  order.

2005-07-29 15:50:42  Rev 7767   reinhard

	* po/de.po: Another typo.

2005-07-29 15:06:49  Rev 7762   reinhard

	* po/de.po: Fixed a few typos in de.po. Fixes debian bug #314071.

2005-07-29 09:29:56  Rev 7760   johannes

	* src/utils/GDateTime.py: Don't be too critical on the number of
	  digits given in extended format

2005-07-27 18:54:21  Rev 7755   jamest

	* src/printing/pdftable/pdftable.py: remove debug line

2005-07-27 14:38:16  Rev 7754   johannes

	* src/datasources/GConditions.py, src/utils/GDateTime.py,
	  src/datasources/readgsd.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: added our own
	  datetime-ISO parser; added datetime.* to pw_xmlrpc; values of
	  GCConst are now in native python types

2005-07-27 08:52:03  Rev 7753   johannes

	* src/datasources/GConditions.py: combineConditions () has no
	  side-effect anymore

2005-07-22 17:20:09  Rev 7748   btami

	* src/formatting/GDataFormatter.py: mask in strftime can't be unicode
	  on win32

2005-07-22 15:31:45  Rev 7747   johannes

	* po/nl.po: Updated dutch translation (thanks to Michael Van
	  Wesenbeeck)

2005-07-22 10:00:48  Rev 7745   johannes

	* po/de.po: Updated german translations

2005-07-21 19:43:40  Rev 7742   jamest

	* src/printing/pdftable/pdftable.py: added bottom/top border support
	  fixed last column ending x coord

2005-07-20 11:54:10  Rev 7741   kilo

	* po/hu.po: Updated HU translations

2005-07-20 08:17:06  Rev 7740   johannes

	* doc/technotes/00016.txt: Be more precise about fractional seconds

2005-07-20 08:16:28  Rev 7739   johannes

	* tests/drivers/checkem.py: Print the real fractional second (since a
	  str () might cut away some digits)

2005-07-20 08:15:18  Rev 7737   johannes

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Changed order of
	  requery, fixed typos for fractional seconds

2005-07-14 13:12:07  Rev 7736   btami

	* packaging/win32/setup.py: typo

2005-07-14 11:45:12  Rev 7735   btami

	* doc/technotes/00011.txt: note on different local-remote LOGNAME

2005-07-12 18:06:14  Rev 7723   reinhard

	* doc/RPC-grpc-file.dtd, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, etc/sample.gnue.conf,
	  src/__init__.py, po/ru.po, po/de.po, po/es_ES.po, po/fr.po,
	  po/nl.po, po/es_MX.po, po/hu.po, po/it.po: Released 0.5.99-beta1.

2005-07-12 17:46:37  Rev 7722   reinhard

	* BUGS: Jump to offending block on exceptions (as precisely as
	  possible): currently, it's always the master, even if a detail was
	  causing the exception.

2005-07-12 16:59:25  Rev 7720   reinhard

	* src/datasources/Exceptions.py, src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/Base/Connection.py: If an exception happens
	  when writing to the backend, do not change the status of all records
	  posted in this transaction, so the will be reposted with the next
	  call of post().

2005-07-12 14:05:39  Rev 7719   btami

	* src/logic/NamespaceCore.py, src/logic/GTrigger.py: added basic
	  formula support

2005-07-08 13:42:27  Rev 7717   btami

	* src/datasources/drivers/other/appserver.py: typo

2005-07-08 09:35:07  Rev 7716   johannes

	* doc/technotes/00016.txt: Updated table

2005-07-08 09:33:50  Rev 7715   johannes

	* src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py: Simplified behavior

2005-07-08 09:28:19  Rev 7714   johannes

	* src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py,
	  src/datasources/drivers/sql/sqlite3/__init__.py: Finished splitting
	  of sqlite drivers

2005-07-08 09:17:33  Rev 7713   johannes

	* src/datasources/drivers/sql/sqlite2/pysqlitedrv.py,
	  src/datasources/drivers/sql/sqlite2/pysqlite2drv.py,
	  src/datasources/drivers/sql/sqlite3/pysqlite2drv.py: Next step in
	  driver splitting

2005-07-08 09:15:44  Rev 7712   johannes

	* src/datasources/drivers/sql/maxdb/maxdbdrv.py,
	  src/datasources/drivers/sql/sqlite2/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/__init__.py,
	  src/datasources/drivers/sql/sqlite3/Behavior.py,
	  src/datasources/drivers/sql/sqlite2/pysqlitedrv.py,
	  src/datasources/drivers/sql/sqlite,
	  src/datasources/drivers/sql/sqlite2/pysqlite2drv.py,
	  src/datasources/drivers/sql/sqlite2,
	  src/datasources/drivers/sql/sqlite3: Startet split of sqlite driver

2005-07-08 09:09:19  Rev 7711   johannes

	* src/datasources/drivers/sql/sqlite/pysqlite2drv.py: Add adapter and
	  converter for boolean types

2005-07-08 08:25:16  Rev 7710   johannes

	* tests/drivers/drivers.gsd,
	  src/datasources/drivers/sql/sqlite/pysqlitedrv.py, tests/drivers,
	  src/datasources/drivers/sql/sqlite/pysqlite2drv.py,
	  doc/technotes/00016.txt, tests/drivers/checkem.py,
	  src/datasources/drivers/sql/sqlite/Behavior.py,
	  src/datasources/drivers/sql/sqlite/__init__.py,
	  tests/drivers/drvcheck.gfd: Added a simple testsuite for drivers

2005-07-08 08:12:18  Rev 7709   johannes

	* src/datasources/drivers/DBSIG2/ResultSet.py: Catch broken row counts
	  which are not reported by the drivers

2005-07-08 07:57:10  Rev 7708   johannes

	* src/datasources/drivers/sql/sqlite/pysqlite2drv.py: SQLite3's cursor
	  has no working rowcount

2005-07-07 21:20:20  Rev 7707   btami

	* src/datasources/drivers/file/Base.py: there is no HOME perdefault in
	  win32

2005-07-07 15:46:04  Rev 7706   btami

	* packaging/win32/setup.py: added pysqlite2 (sqlite 3 support)

2005-07-07 15:16:13  Rev 7705   reinhard

	* src/apps/plugin.py: Also find plugins if .py is missing and only
	  .pyc or .pyo is there.

2005-07-07 14:30:31  Rev 7703   johannes

	* src/datasources/drivers/sql/sqlite/pysqlitedrv.py,
	  src/datasources/drivers/sql/sqlite/pysqlite2drv.py: Use the oid
	  field for both drivers

2005-07-07 14:19:03  Rev 7702   johannes

	* src/datasources/drivers/sql/sqlite/pysqlitedrv.py,
	  src/datasources/drivers/sql/sqlite/pysqlite2drv.py,
	  doc/technotes/00016.txt,
	  src/datasources/drivers/sql/sqlite/Behavior.py: Added driver for
	  SQLite 3

2005-07-07 13:39:52  Rev 7700   btami

	* packaging/win32/setup.py: added missing (hidden) imports

2005-07-07 12:07:00  Rev 7699   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed typo/thinko.

2005-07-07 11:53:44  Rev 7697   johannes

	* src/datasources/drivers/DBSIG2/Connection.py: fixed typo

2005-07-07 11:50:29  Rev 7696   johannes

	* doc/technotes/00016.txt,
	  src/datasources/drivers/sql/interbase/kinterbasdbdrv.py: Kinterbasdb
	  uses python2.3+ datetime types for date and time fields

2005-07-07 11:46:55  Rev 7695   johannes

	* src/datasources/drivers/sql/maxdb/maxdbdrv.py,
	  src/datasources/drivers/sql/postgresql/pypgsql.py,
	  src/datasources/drivers/sql/postgresql/psycopgdrv.py,
	  src/datasources/drivers/sql/interbase/kinterbasdb.py,
	  src/datasources/drivers/sql/oracle/cxoracle.py,
	  src/datasources/drivers/sql/msado/adodbapi.py,
	  src/datasources/drivers/sql/postgresql/pygresql.py,
	  src/datasources/drivers/sql/sqlite/pysqlite.py,
	  src/datasources/drivers/sql/postgresql/pypgsqldrv.py,
	  src/datasources/drivers/sql/interbase/kinterbasdbdrv.py,
	  src/datasources/drivers/sql/mysql/mysqldb.py,
	  src/datasources/drivers/sql/oracle/cxoracledrv.py,
	  src/datasources/drivers/sql/oracle/dcoracle.py,
	  src/datasources/drivers/sql/msado/adodbapidrv.py,
	  src/datasources/drivers/sql/postgresql/pygresqldrv.py,
	  src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/sql/postgresql/psycopg.py,
	  src/datasources/drivers/sql/sqlite/pysqlitedrv.py,
	  src/datasources/drivers/sql/mysql/mysqldbdrv.py,
	  src/datasources/drivers/sql/oracle/dcoracledrv.py: Renamed drivers
	  so __initplugin__ will really work

2005-07-07 11:45:34  Rev 7694   johannes

	* src/apps/plugin.py: Let __find () also find single python modules

2005-07-06 13:14:11  Rev 7689   johannes

	* src/utils/dbf.py: Transfor empty fields to python's None value

2005-07-06 13:06:21  Rev 7688   johannes

	* src/utils/dbf.py: Don't check for a maximum number of fields

2005-07-06 13:05:06  Rev 7687   johannes

	* src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/readgsd.py: Pass fractional seconds to the dbdriver
	  as they are defined

2005-07-05 17:09:13  Rev 7685   reinhard

	* src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/file/inifile.py: Fixed double %% in Info
	  output.

2005-07-05 07:56:11  Rev 7684   johannes

	* doc/technotes/00015.txt: Fixed typo

2005-07-05 06:58:13  Rev 7683   johannes

	* src/datasources/drivers/DBSIG2/Connection.py: Pass the microseconds
	  to the constructor

2005-07-04 22:35:12  Rev 7682   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/file/inifile.py: Move the cursor through the
	  records as we post changes to the backend, so that all commit
	  triggers see the posting record as the current record. Also, after
	  an exception on writing to the backend, the record pointer remains
	  on the record that caused the error, helping the user to identify
	  the faulty record.

2005-07-04 20:30:02  Rev 7680   reinhard

	* src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Use Microseconds as
	  parameter for _createTime_ and _createTimestamp_ instead of a string
	  with the fractional part of seconds: the fractional part can also be
	  something like 6.08e-05.

2005-07-04 11:20:12  Rev 7679   johannes

	* src/datasources/drivers/DBSIG2/Connection.py: Fixed treatment of
	  fractional seconds, added docstrings

2005-07-02 18:38:49  Rev 7676   johannes

	* src/datasources/GConditions.py, tests/datasources_GConditions.py:
	  Added unification for datetime.timedelta and datetime.time

2005-07-02 18:17:47  Rev 7675   johannes

	* src/datasources/GConditions.py: Removed debug output

2005-07-02 16:57:58  Rev 7674   johannes

	* doc/technotes/00016.txt: Added technote about db-drivers

2005-07-02 16:51:57  Rev 7673   johannes

	* src/datasources/GConditions.py,
	  src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/readgsd.py, tests/datasources_GConditions.py,
	  src/datasources/drivers/sql/mysql/mysqldb.py: Added support of
	  python2.3+'s datetime library

2005-07-01 08:10:26  Rev 7669   reinhard

	* src/datasources/drivers/sql/postgresql/pypgsql.py,
	  src/datasources/drivers/sql/postgresql/psycopg.py,
	  src/datasources/drivers/sql/postgresql/pygresql.py,
	  src/datasources/drivers/sql/postgresql/Base.py: Fixed imports.

2005-07-01 08:07:10  Rev 7668   reinhard

	* src/datasources/drivers/sql/postgresql/Behavior.py,
	  src/datasources/drivers/sql/postgresql/__init__.py,
	  src/datasources/drivers/sql/postgresql,
	  src/datasources/drivers/sql/postgres: Renamed postgres driver back
	  to "official" name postgresql.

2005-07-01 08:04:52  Rev 7667   reinhard

	* src/datasources/ConnectionTriggerObj.py,
	  src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/GConditions.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/Exceptions.py,
	  src/datasources/drivers/sql/postgres/Behavior.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/sql/msado/adodbapi.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/file/Base.py, src/datasources/GSchema.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/readgsd.py, src/datasources/drivers/file/inifile.py,
	  src/datasources/drivers/sql/sqlite/Behavior.py: Cleanup, docstrings,
	  comments.

2005-06-28 11:27:42  Rev 7666   btami

	* packaging/win32/setup.py: added missing sqlite

2005-06-28 10:16:35  Rev 7665   btami

	* packaging/win32/README: hint for Inno download

2005-06-27 12:19:02  Rev 7662   johannes

	* src/datasources/drivers/Base/ResultSet.py: Fixed condition

2005-06-27 10:19:39  Rev 7661   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Docstrings, cleanup.

2005-06-25 17:59:57  Rev 7651   btami

	* packaging/win32/setup.py: added msiing textwrap to includes

2005-06-23 13:26:55  Rev 7648   johannes

	* src/datasources/readgsd.py: Fixed typo

2005-06-23 13:18:16  Rev 7647   johannes

	* src/datasources/readgsd.py: Add multiple fk-references to the same
	  table only once

2005-06-23 12:51:11  Rev 7646   johannes

	* src/datasources/drivers/sql/maxdb/Behavior.py: Use 'datetime' type
	  for 'TIMESTAMP' natives

2005-06-23 12:31:39  Rev 7645   johannes

	* src/datasources/drivers/sql/mysql/mysqldb.py: Added settings for
	  port and encoding

2005-06-22 17:34:59  Rev 7643   johannes

	* src/apps/GImportLogger.py: Readded debug-print

2005-06-22 15:10:00  Rev 7642   johannes

	* src/apps/plugin.py, BUGS, src/apps/GImportLogger.py: Fixed
	  plugin.find () if used with --debug-imports

2005-06-22 13:01:37  Rev 7639   johannes

	* doc/gnue-schema.dtd,
	  src/datasources/drivers/sql/postgres/Behavior.py,
	  src/datasources/GSchema.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/sql/interbase/Behavior.py: Added
	  unique-constraint to gnue-schema and behavior

2005-06-22 11:29:20  Rev 7638   johannes

	* doc/gnue-schema.dtd, scripts/gnuedtd: Changed import structure,
	  updated gsd-dtd

2005-06-22 09:50:24  Rev 7637   johannes

	* src/GCConfig.py: Use the preferred encoding as default textEncoding

2005-06-21 14:02:28  Rev 7635   reinhard

	* BUGS: Cleaned up BUGS files.

2005-06-21 08:16:15  Rev 7634   johannes

	* src/datasources/drivers/DBSIG2/Behavior.py: Return an empty command
	  sequence for 'empty diffs'

2005-06-21 08:11:47  Rev 7633   johannes

	* src/datasources/readgsd.py: Don't try to import data if schema
	  update has been canceled

2005-06-20 15:43:48  Rev 7631   reinhard

	* src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/GConditions.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/interbase/kinterbasdb.py,
	  src/datasources/drivers/sql/postgres/Behavior.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/sql/postgres/pypgsql.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/datasources/drivers/sql/sqlite/pysqlite.py,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/sql/sqlite/Behavior.py,
	  src/datasources/drivers/__init__.py,
	  src/datasources/ConnectionTriggerObj.py,
	  src/datasources/Exceptions.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/sql/oracle/cxoracle.py,
	  src/datasources/drivers/sql/msado/adodbapi.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/sql/postgres/pygresql.py,
	  src/datasources/drivers/sql/mysql/mysqldb.py,
	  src/datasources/drivers/sql/postgres/Base.py,
	  src/datasources/drivers/sql/oracle/dcoracle.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/sql/postgres/psycopg.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/GSchema.py, src/datasources/readgsd.py,
	  src/datasources/GLoginHandler.py: Use same GPL header everywhere.

2005-06-20 13:48:29  Rev 7630   reinhard

	* utils, utils/helpers: Added some ignore properties.

2005-06-20 13:45:24  Rev 7628   reinhard

	* src/datasources/drivers/sql/maxdb,
	  src/datasources/drivers/sql/interbase, src/datasources/drivers/sql,
	  src/datasources/drivers/sql/sqlite, src/datasources/drivers/other,
	  src/datasources/drivers/sql/msado,
	  src/datasources/drivers/sql/mysql,
	  src/datasources/drivers/sql/oracle,
	  src/datasources/drivers/sql/postgres: Set ignore property for all
	  directories.

2005-06-20 13:28:00  Rev 7627   reinhard

	* src/datasources/drivers/sql/interbase/kinterbasdb.py,
	  src/datasources/drivers/sql/postgres/pypgsql.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/sql/oracle/cxoracle.py,
	  src/datasources/drivers/sql/msado/adodbapi.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/sql/sqlite/pysqlite.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/sql/postgres/pygresql.py,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/drivers/sql/postgres/Base.py,
	  src/datasources/drivers/sql/mysql/mysqldb.py,
	  src/datasources/drivers/sql/oracle/dcoracle.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/sql/postgres/psycopg.py,
	  src/datasources/drivers/file/inifile.py: Cleanup.

2005-06-20 12:05:13  Rev 7626   reinhard

	* doc/technotes/00015.txt: Nitpicker's guide.

2005-06-20 11:47:10  Rev 7625   reinhard

	* doc/technotes/00004.txt, doc/technotes/00005.txt,
	  doc/technotes/00006.txt: Removed some executable properties on
	  documentation files.

2005-06-20 11:45:58  Rev 7624   reinhard

	* src/datasources/drivers/other/__init__.py,
	  src/datasources/drivers/sql/msado/__init__.py,
	  src/datasources/drivers/sql/interbase/__init__.py,
	  src/datasources/drivers/sql/__init__.py: Added missing file, added
	  svn:keywords property.

2005-06-20 11:30:37  Rev 7623   reinhard

	* src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/drivers/sql/oracle/__init__.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/interbase/kinterbasdb.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/sql/postgres/Behavior.py,
	  src/datasources/drivers/sql/postgres/pypgsql.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/sql/sqlite/pysqlite.py,
	  src/datasources/drivers/file/__init__.py,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/sql/maxdb/__init__.py,
	  src/datasources/drivers/file/inifile.py,
	  src/datasources/drivers/sql/__init__.py,
	  src/datasources/drivers/sql/sqlite/Behavior.py,
	  src/datasources/drivers/__init__.py,
	  src/datasources/drivers/sql/msado/__init__.py,
	  src/datasources/drivers/sql/mysql/__init__.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/sql/postgres/__init__.py,
	  src/datasources/drivers/sql/oracle/cxoracle.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/sql/msado/adodbapi.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/sql/interbase/__init__.py,
	  src/datasources/drivers/sql/postgres/pygresql.py,
	  src/datasources/drivers/sql/mysql/mysqldb.py,
	  src/datasources/drivers/sql/postgres/Base.py,
	  src/datasources/drivers/sql/oracle/dcoracle.py,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/postgres/psycopg.py,
	  src/datasources/drivers/sql/sqlite/__init__.py: Comments and
	  docstrings.

2005-06-20 09:56:54  Rev 7622   reinhard

	* src/datasources/drivers/appserver,
	  src/datasources/drivers/other/appserver.py,
	  src/datasources/drivers/other: Moved appserver dbdriver into a
	  single file, too.

2005-06-20 09:51:50  Rev 7621   reinhard

	* src/datasources/drivers/sql/maxdb/__init__.py: Fixed duplicate line.

2005-06-20 09:41:37  Rev 7620   reinhard

	* src/datasources/drivers/postgresql: Cleanup.

2005-06-20 09:40:30  Rev 7619   reinhard

	* src/datasources/drivers/sql/msado/Behavior.py,
	  src/datasources/drivers/postgresql/pypgsql/__init__.py,
	  src/datasources/drivers/postgresql/__init__.py,
	  src/datasources/drivers/sql/mysql/Behavior.py,
	  src/datasources/drivers/sql/maxdb,
	  src/datasources/drivers/sql/interbase/kinterbasdb.py,
	  src/datasources/drivers/sql/oracle/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/Driver.py,
	  src/datasources/drivers/sql/postgres/Behavior.py,
	  src/datasources/drivers/sql/postgres/pypgsql.py,
	  src/datasources/drivers/maxdb,
	  src/datasources/drivers/postgresql/pygresql/__init__.py,
	  src/datasources/drivers/sql,
	  src/datasources/drivers/sql/interbase/Behavior.py,
	  src/datasources/drivers/sql/sqlite/pysqlite.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/sqlite, src/datasources/drivers/sql/msado,
	  src/datasources/drivers/adodbapi,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/sql/mysql, src/datasources/drivers/oracle,
	  src/datasources/drivers/mysql, src/datasources/drivers/sql/postgres,
	  src/datasources/drivers/sql/oracle/Base.py,
	  src/datasources/drivers/file/__init__.py,
	  src/datasources/drivers/postgresql/psycopg/Driver.py,
	  src/datasources/drivers/sql/interbase,
	  src/datasources/drivers/interbase,
	  src/datasources/drivers/sql/maxdb/maxdb.py,
	  src/datasources/drivers/postgresql/psycopg/__init__.py,
	  src/datasources/drivers/sql/maxdb/__init__.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/file/inifile.py,
	  src/datasources/drivers/sql/__init__.py,
	  src/datasources/drivers/sql/sqlite/Behavior.py,
	  src/datasources/drivers/sql/msado/__init__.py,
	  src/datasources/drivers/postgresql/Behavior.py,
	  src/datasources/drivers/sql/mysql/__init__.py,
	  src/datasources/drivers/sql/oracle/Behavior.py,
	  src/datasources/drivers/sql/oracle/cxoracle.py,
	  src/datasources/drivers/sql/postgres/__init__.py,
	  src/datasources/drivers/sql/msado/adodbapi.py,
	  src/datasources/drivers/sql/sqlite,
	  src/datasources/drivers/sql/interbase/__init__.py,
	  src/datasources/drivers/sql/postgres/pygresql.py,
	  src/datasources/drivers/sql/oracle,
	  src/datasources/drivers/sql/mysql/mysqldb.py,
	  src/datasources/drivers/sql/postgres/Base.py,
	  src/datasources/drivers/sql/oracle/dcoracle.py,
	  src/datasources/drivers/sql/maxdb/Behavior.py,
	  src/datasources/drivers/sql/postgres/psycopg.py,
	  src/datasources/drivers/postgresql/pypgsql/Driver.py,
	  src/datasources/drivers/sql/sqlite/__init__.py: Changed driver
	  directory layout to only contain a single file per driver.

2005-06-18 11:24:31  Rev 7618   reinhard

	* src/datasources/drivers/sqlite/Behavior.py,
	  src/datasources/drivers/adodbapi/Behavior.py,
	  src/datasources/drivers/postgresql/Behavior.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/mysql/Behavior.py,
	  src/datasources/drivers/oracle/Behavior.py,
	  src/datasources/drivers/appserver/Behavior.py,
	  src/datasources/drivers/maxdb/Behavior.py,
	  src/datasources/drivers/interbase/Behavior.py: Some changes to make
	  eypdoc happy again.

2005-06-18 07:52:28  Rev 7617   johannes

	* src/definitions/GObjects.py, src/definitions/GParserHelpers.py:
	  Added Id keyword

2005-06-18 07:44:57  Rev 7616   johannes

	* src/datasources/readgsd.py: Added missing file to repository

2005-06-17 15:24:00  Rev 7615   reinhard

	* src/datasources/drivers/oracle/cxoracle/Info.py,
	  src/datasources/drivers/adodbapi/adodbapi/Info.py,
	  src/datasources/drivers/postgresql/pypgsql/__init__.py,
	  src/datasources/drivers/sqlite/sqlite/__init__.py,
	  src/datasources/drivers/postgresql/__init__.py,
	  src/datasources/drivers/appserver/Info.py,
	  src/datasources/drivers/oracle/cxoracle/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/Info.py,
	  src/datasources/drivers/adodbapi/adodbapi/__init__.py,
	  src/datasources/drivers/appserver/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/__init__.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py, utils/helpers/info.py,
	  src/datasources/drivers/oracle/dcoracle/Info.py,
	  src/datasources/drivers/file/__init__.py,
	  src/datasources/drivers/oracle/dcoracle/__init__.py,
	  src/datasources/drivers/maxdb/maxdb/Info.py,
	  src/datasources/drivers/postgresql/psycopg/Info.py,
	  src/datasources/drivers/maxdb/maxdb/__init__.py,
	  src/datasources/drivers/maxdb/Info.py,
	  src/datasources/drivers/postgresql/psycopg/__init__.py,
	  src/datasources/drivers/maxdb/__init__.py,
	  src/datasources/drivers/sqlite/Info.py,
	  src/datasources/drivers/file/inifile.py,
	  src/datasources/drivers/adodbapi/Info.py,
	  src/datasources/drivers/sqlite/__init__.py,
	  src/datasources/drivers/mysql/Info.py,
	  src/datasources/drivers/oracle/Info.py,
	  src/datasources/drivers/adodbapi/__init__.py,
	  src/datasources/drivers/mysql/__init__.py,
	  src/datasources/drivers/oracle/__init__.py,
	  src/datasources/drivers/mysql/mysql/Info.py,
	  src/datasources/drivers/interbase/Info.py,
	  src/datasources/drivers/mysql/mysql/__init__.py,
	  src/datasources/drivers/appserver/appserver/Info.py,
	  src/datasources/drivers/interbase/__init__.py,
	  src/datasources/drivers/appserver/appserver/__init__.py,
	  src/datasources/drivers/interbase/interbase/Info.py,
	  src/datasources/drivers/interbase/interbase/__init__.py,
	  src/datasources/drivers/postgresql/pypgsql/Info.py,
	  src/datasources/drivers/sqlite/sqlite/Info.py,
	  src/datasources/drivers/postgresql/Info.py: Moved driver infos from
	  separate file into main module.

2005-06-17 12:32:33  Rev 7610   johannes

	* src/datasources/drivers/sqlite/Behavior.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/postgresql/Behavior.py,
	  src/datasources/drivers/oracle/Behavior.py,
	  src/datasources/drivers/maxdb/Schema,
	  src/definitions/GParserHelpers.py,
	  src/datasources/drivers/appserver/Behavior.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/sqlite/Schema, scripts/gnue-schema,
	  src/datasources/drivers/interbase/Behavior.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/adodbapi/Schema,
	  src/datasources/drivers/postgresql/Schema,
	  src/datasources/drivers/mysql/Schema,
	  src/datasources/drivers/oracle/Schema, src/schema,
	  src/datasources/drivers/appserver/Schema,
	  src/definitions/GObjects.py, src/datasources/drivers/DBSIG2/Schema,
	  src/datasources/drivers/Base/Schema, src/datasources/GDataSource.py,
	  src/datasources/drivers/maxdb/maxdb/Connection.py,
	  src/datasources/drivers/interbase/Schema,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/GSchema.py,
	  src/datasources/drivers/maxdb/Behavior.py: Implemented writeSchema
	  (), removed old Schema/Creation/*

2005-06-17 12:17:51  Rev 7609   reinhard

	* src/apps/plugin.py: Added option to list function to suppress call
	  of __initplugin__. Do not regard the root directory given to list
	  function as potential plugin itself.

2005-06-17 08:15:45  Rev 7608   reinhard

	* src/apps/errors.py: Forgot one.

2005-06-17 08:14:01  Rev 7607   reinhard

	* src/apps/errors.py: Be more tolerant against exceptions with
	  non-ASCII characters.

2005-06-17 06:59:18  Rev 7606   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/mysql/Behavior.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Behavior.py: Fixed a few docstrings.

2005-06-16 22:57:12  Rev 7605   reinhard

	* src/datasources/GDataSource.py: Updated docstring.

2005-06-16 22:47:09  Rev 7604   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py, src/logic/GTrigger.py:
	  Replace _beforeCommitXxx hook functions in datasources by standard
	  events system.

2005-06-16 21:45:22  Rev 7603   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py: Replaced
	  masterResultSetChanged with standard event system.

2005-06-16 21:27:26  Rev 7602   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py: Replaced
	  ResultSet.registerListener system with standard event system.

2005-06-16 20:43:47  Rev 7601   reinhard

	* src/datasources/GDataSource.py: Replaced ResultSetListener system by
	  standard event handling system.

2005-06-16 20:40:17  Rev 7600   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py: Undoing the change to
	  quote field names in the SELECT statement. It breaks too many
	  things: selects with wrong case in fieldnames, and selects a la
	  t0.field, t1.field.

2005-06-15 14:27:35  Rev 7599   johannes

	* src/datasources/drivers/file/inifile.py: Fixed introspection for
	  ini-file driver

2005-06-14 18:54:00  Rev 7597   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py: Quote all field names
	  in the SELECT statement. This fixes weird effects when a field name
	  contains, for example, a comma.

2005-06-14 13:53:27  Rev 7596   jamest

	* src/datasources/drivers/Base/RecordSet.py: fix my fix :)

2005-06-14 13:29:16  Rev 7595   jamest

	* src/datasources/drivers/Base/RecordSet.py: fix for recordSet
	  activation on cached detail recordSets

2005-06-09 14:44:57  Rev 7587   jcater

	* setup-cvs.py: removed redundancy in the g?cvs files, plus used 'exec'

2005-06-09 13:27:05  Rev 7586   johannes

	* src/datasources/drivers/maxdb/maxdb/Connection.py,
	  src/datasources/drivers/maxdb/Behavior.py: Finished driver-renaming

2005-06-09 13:19:32  Rev 7585   johannes

	* src/datasources/drivers/maxdb/maxdb/__init__.py,
	  src/datasources/drivers/maxdb/sapdb,
	  src/datasources/drivers/maxdb/maxdb: Renamed driver from sapdb to
	  maxdb

2005-06-09 13:18:02  Rev 7584   johannes

	* src/datasources/drivers/sqlite/Behavior.py,
	  src/datasources/drivers/postgresql/Behavior.py,
	  src/datasources/drivers/sapdb,
	  src/datasources/drivers/maxdb/Schema/Creation/Creation.py,
	  src/datasources/drivers/maxdb/sapdb/Connection.py,
	  src/datasources/drivers/maxdb/sapdb/__init__.py,
	  src/datasources/drivers/maxdb,
	  src/datasources/drivers/mysql/Behavior.py,
	  src/datasources/GSchema.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/maxdb/Behavior.py,
	  src/datasources/drivers/interbase/Behavior.py,
	  src/datasources/drivers/oracle/Schema/Creation/Creation.py: Added
	  writeSchema () to Behavior and createDatabase () to Base.Connection

2005-06-06 17:49:35  Rev 7580   jamest

	* src/datasources/GDataSource.py: explicit field names now get
	  leading/trailing spaces striped the trigger createResultSet function
	  now accepts query=False to create an empty resultSet

2005-06-06 11:03:45  Rev 7579   btami

	* src/definitions/GParser.py: set baseAttrs default to {}

2005-06-02 16:57:28  Rev 7575   reinhard

	* src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/drivers/file/Base.py: Changed method names for
	  virtual methods in ResultSet.

2005-06-02 14:34:53  Rev 7574   johannes

	* src/datasources/drivers/file/Base.py,
	  src/datasources/GIntrospection.py: Removed the last, obsolete files
	  from old introspection

2005-06-02 14:32:55  Rev 7573   johannes

	* src/datasources/drivers/adodbapi/Behavior.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py: Replaced
	  introspection by Behavior

2005-06-02 08:33:38  Rev 7572   johannes

	* src/datasources/drivers/sapdb/Schema/Creation/Creation.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/__init__.py,
	  src/datasources/drivers/sapdb/Behavior.py,
	  src/datasources/drivers/sapdb/Schema/Discovery: Added Behavior
	  implementation replacing Discovery.Introspection

2005-06-02 07:11:47  Rev 7571   johannes

	* src/datasources/drivers/Base/RecordSet.py: Removed that colon

2005-06-02 06:52:56  Rev 7570   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Minor code pythonization.

2005-06-01 22:14:35  Rev 7569   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Some minor code cleanup,
	  some comments and docstrings.

2005-06-01 21:42:47  Rev 7568   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Some minor code cleanup.

2005-06-01 21:18:12  Rev 7567   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Last (last?? bwahahahaha)
	  tweaks in RecordSet.

2005-06-01 19:55:00  Rev 7566   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Master/detail handling is
	  now completely the responsibility of the master.

2005-06-01 13:39:16  Rev 7565   johannes

	* src/datasources/drivers/postgresql/Behavior.py,
	  src/datasources/drivers/postgresql/Base/Connection.py: Fixed
	  constraint-introspection for pypgsql

2005-06-01 13:30:42  Rev 7564   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Changed
	  semantics of Connection.(_)initialize to deliver the default values
	  for a list of fieldnames, not only for the gnue_id. This makes the
	  code much more readable and straightforward.

2005-06-01 13:06:04  Rev 7563   johannes

	* src/datasources/drivers/oracle/Schema/Discovery: Removed obsolete
	  code

2005-06-01 13:05:39  Rev 7562   johannes

	* src/datasources/drivers/oracle/Behavior.py,
	  src/datasources/drivers/oracle/Base/Connection.py: Transformed
	  Schema.Discovery.Introspection into Behavior

2005-06-01 12:27:27  Rev 7560   johannes

	* src/datasources/drivers/sqlite/Behavior.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/postgresql/Behavior.py,
	  src/datasources/drivers/mysql/Behavior.py,
	  src/datasources/drivers/appserver/Behavior.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/Base/Behavior.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/DBSIG2/Behavior.py,
	  src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/interbase/Behavior.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/datasources/drivers/sqlite/Schema/Discovery,
	  src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/postgresql/Schema/Discovery,
	  src/datasources/drivers/mysql/Schema/Discovery,
	  src/datasources/drivers/appserver/Schema/Discovery,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/file/Base.py, src/datasources/GSchema.py,
	  src/datasources/drivers/interbase/Schema/Discovery: Transformed
	  Schema/Discovery/Introspection into Behavior

2005-06-01 11:41:19  Rev 7558   reinhard

	* MANIFEST.in, README.databases, doc/Connections.txt: Removed
	  README.databases. It is outdated and obsolete, as the web page
	  contains current information.

2005-06-01 11:26:50  Rev 7557   reinhard

	* doc/manual/schema.texi, doc/manual/gpl.texi,
	  doc/manual/gnue-common.texi, doc/manual/Makefile,
	  doc/manual/fdl.texi, doc/manual: Added documentation contributed by
	  Niklas Rydberg. Really need to clean up docs at some point, I think
	  there are quite some duplicates.

2005-05-31 22:09:38  Rev 7556   jan

	* src/apps/i18n.py: getLocale isn't reliable on Pocket PC too.

2005-05-31 20:53:11  Rev 7555   btami

	* src/definitions/GParser.py, src/logic/GTrigger.py: support for
	  including trigger/procedure code from external file

2005-05-25 13:49:07  Rev 7554   reinhard

	* src/datasources/GConditions.py, src/datasources/GDataSource.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Changed type checks to
	  use new (Python 2.2+) type objects instead of the types module.

2005-05-25 13:48:21  Rev 7553   reinhard

	* src/apps/checktype.py: Checktype can now accept None instead of
	  NoneType.

2005-05-23 06:53:02  Rev 7552   johannes

	* src/datasources/GLoginHandler.py: Added output-conversion, removed
	  double colons

2005-05-19 12:21:17  Rev 7548   johannes

	* src/datasources/drivers/interbase/Schema/Creation/Creation.py: Allow
	  NULL values for boolean domains

2005-05-17 15:31:08  Rev 7543   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Made RecordSet a little
	  more autonomous wrt details.

2005-05-17 13:24:56  Rev 7542   johannes

	* src/datasources/drivers/mysql/mysql/Connection.py: Readded proper
	  support of booleans

2005-05-11 14:29:33  Rev 7540   reinhard

	* src/apps/CommandOption.py: Added comments. Thanks to Niklas Rydberg.

2005-05-09 11:31:23  Rev 7539   btami

	* src/datasources/GLoginHandler.py: encode labels for getpass

2005-05-06 17:59:47  Rev 7535   johannes

	* src/utils/dbf.py: Add a small tolerance to file size checks

2005-05-06 17:31:54  Rev 7534   kilo

	* doc/Developers-Guide.sxw: Forgot to update version number...

2005-05-06 17:29:36  Rev 7533   kilo

	* doc/Developers-Guide.sxw: Updated DevGuide to show the use of
	  addCommandOption. Patch submitted by Niklas Rydberg

2005-05-05 10:27:07  Rev 7528   btami

	* src/datasources/drivers/DBSIG2/Connection.py: fixed login dialog
	  problems with empty login fields

2005-05-04 15:10:34  Rev 7525   johannes

	* src/utils/dbf.py: Clipper seems to have a NULL character as
	  header-terminator

2005-05-04 14:45:15  Rev 7524   johannes

	* src/datasources/GLoginHandler.py: Use a colon for labels

2005-05-04 12:55:46  Rev 7517   johannes

	* src/datasources/drivers/sapdb/Schema/Creation/Creation.py,
	  src/datasources/drivers/interbase/Schema/Creation/Creation.py,
	  unittest/datasource.py, src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/datasources/GLoginHandler.py: Improved concept of GLoginHandler
	  to support better login dialogs

2005-05-03 08:32:55  Rev 7511   johannes

	* src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/file/dbffile.py: Use a simpler form of
	  _loadFile

2005-05-02 12:31:08  Rev 7510   johannes

	* src/datasources/drivers/file/dbffile.py: Use our own dbf module

2005-05-02 12:24:38  Rev 7509   johannes

	* src/utils/dbf.py, src/utils: Implemented our own dBase (XBase) data
	  access driver [read only version]

2005-04-29 22:02:16  Rev 7505   reinhard

	* src/datasources/drivers/file/dbffile.py: More fixes.

2005-04-29 21:55:09  Rev 7504   reinhard

	* src/datasources/drivers/file/dbffile.py: Possible fix for dbffile.

2005-04-29 19:13:21  Rev 7503   johannes

	* src/datasources/drivers/file/Base.py: Use proper class name for
	  base-class constructor

2005-04-28 11:17:58  Rev 7499   kilo

	* doc/Developers-Guide.sxw: Updated DevGuide. Thx to Davor Oceli?.

2005-04-28 09:10:19  Rev 7497   btami

	* src/datasources/GLoginHandler.py: cleanup

2005-04-27 13:39:10  Rev 7493   johannes

	* src/datasources/drivers/mysql/Schema/Creation/Creation.py: Create
	  proper auto-increments

2005-04-25 20:53:04  Rev 7486   reinhard

	* src/datasources/GDataSource.py, src/schema/scripter/Scripter.py:
	  Weed out unicodeMode. All dbdrivers are unicode safe for quite some
	  time now.

2005-04-25 09:23:52  Rev 7485   johannes

	* tests/datasources_GConditions.py: buildCondition returns a
	  GCondition instance in all cases

2005-04-24 22:04:23  Rev 7484   jcater

	* src/datasources/drivers/Base/RecordSet.py: Fix support for
	  primarykeyseq=".." support in DataSources

2005-04-24 21:45:10  Rev 7483   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py: Make error message
	  unicode translatable.

2005-04-24 21:41:27  Rev 7482   reinhard

	* src/datasources/drivers/postgresql/pypgsql/Driver.py: The pyPgSQL
	  driver is much more broken than we thought :(

2005-04-24 20:37:50  Rev 7480   jcater

	* src/datasources/drivers/postgresql/pypgsql/Driver.py: PyPgSQL uses
	  "pyPgSQL.PgSQL", not "PgSQL"

2005-04-24 20:34:22  Rev 7479   jcater

	* src/datasources/drivers/DBSIG2/Connection.py: If a needed dbsig2
	  python module isn't installed and is needed, raise a ConnectError
	  instead of an ImportError, so our error handlers behave correctly.

2005-04-24 11:32:07  Rev 7478   reinhard

	* src/datasources/drivers/Base/Connection.py: Quick fix for calculated
	  forms always starting up as dirty.

2005-04-24 11:04:14  Rev 7477   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Fix parameter.

2005-04-24 10:59:32  Rev 7476   reinhard

	* src/datasources/GConnections.py: Fix for reusing connections that
	  have not been opened before.

2005-04-23 13:57:13  Rev 7475   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Some cleanup and
	  docstrings.

2005-04-23 13:05:56  Rev 7474   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py: Added cache parameter to
	  ResultSet.query.

2005-04-23 12:49:09  Rev 7473   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Made RecordSet and
	  ResultSet more independent from DataSource.

2005-04-23 12:26:25  Rev 7472   reinhard

	* src/datasources/GDataObjects.py: Bye bye GDataObjects (finally!)

2005-04-23 12:02:32  Rev 7470   reinhard

	* utils/helpers/info.py: No special dbdrivers any more.

2005-04-23 11:54:40  Rev 7469   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/datasources/drivers/appserver/appserver/__init__.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py: Bye bye
	  DataObject!

2005-04-23 10:04:00  Rev 7468   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py: Moved
	  _resultSetClass from DataObject to Connection.

2005-04-22 23:14:44  Rev 7467   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/special: Moved the remaining 3 lines of
	  implementation of the static dbdriver into the base dbdriver; this
	  way no special dbdriver is necessary any more.

2005-04-22 22:56:39  Rev 7466   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Moved createResultSet
	  implementation from DataObject to GDataSource.

2005-04-22 18:31:10  Rev 7464   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: More cleanup for
	  master/detail.

2005-04-22 16:23:38  Rev 7462   reinhard

	* src/datasources/GConditions.py: Removed obsolete GCimpossible

2005-04-22 15:54:17  Rev 7461   reinhard

	* src/datasources/drivers/oracle/cxoracle/Driver.py,
	  src/datasources/drivers/sqlite/sqlite/__init__.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/postgresql/pypgsql/__init__.py,
	  src/datasources/drivers/oracle/cxoracle/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/Driver.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/adodbapi/adodbapi/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/__init__.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/mysql/mysql/__init__.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/oracle/dcoracle/Driver.py,
	  src/datasources/drivers/oracle/dcoracle/__init__.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/__init__.py,
	  src/datasources/drivers/postgresql/psycopg/Driver.py,
	  src/datasources/drivers/postgresql/psycopg/__init__.py,
	  src/datasources/drivers/interbase/interbase/__init__.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/postgresql/pypgsql/Driver.py: Use
	  __initplugin__ to test if the DBSIG2 module is installed. Among
	  other good things, this enables epydoc to import all plugins even if
	  the DBSIG2 module is not available.

2005-04-22 14:53:23  Rev 7460   reinhard

	* src/definitions/GObjects.py, src/rpc/drivers/soap/CommDriver.py,
	  src/logic/language.py, src/rpc/client.py,
	  src/rpc/drivers/pyro/ServerAdapter.py,
	  src/rpc/drivers/sockets/CommDriver.py, src/formatting/masks/test.py,
	  src/logic/GTrigger.py, src/logic/adapters/ecmascript.py,
	  src/rpc/drivers/proxy/CommDriver.py,
	  src/rpc/drivers/pyro/ClientAdapter.py, src/rpc/server.py: More fixes
	  for epydoc.

2005-04-21 22:55:34  Rev 7456   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Workaround for
	  xmlrpclib in Python 2.3.4 not liking Unicode dictionary keys.

2005-04-21 22:49:56  Rev 7455   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/ServerAdapter.py: Transport
	  exceptions happening in XMLRPC code to the front end as Fault object
	  instead of ProtocolError.

2005-04-21 15:20:31  Rev 7453   reinhard

	* src/datasources/GDataSource.py: Typo.

2005-04-21 15:15:32  Rev 7452   reinhard

	* src/datasources/GDataSource.py: Don't traceback on empty master.

2005-04-21 09:11:42  Rev 7450   reinhard

	* src/datasources/drivers/sapdb/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/sapdb/Schema/Creation/Creation.py,
	  src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  src/datasources/drivers/interbase/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/sqlite/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/postgresql/Schema/Discovery/Introspection.py,
	  src/schema/scripter/Scripter.py,
	  src/datasources/drivers/mysql/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/appserver/Schema/Discovery/Introspection.py:
	  Several epydoc fixes.

2005-04-21 06:50:58  Rev 7449   johannes

	* src/datasources/GDataSource.py: Fixed docstring

2005-04-20 22:42:57  Rev 7448   reinhard

	* src/datasources/drivers/Base/DataObject.py: Corrected order of
	  parameters.

2005-04-20 22:36:02  Rev 7447   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py: DataSource can notify
	  listeners itself.

2005-04-20 22:16:59  Rev 7446   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Moved some more stuff
	  from DataObject to GDataSource. We're getting close to phasing out
	  DataObject completely.

2005-04-20 22:10:41  Rev 7445   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py: Avoid duplicate resultset
	  change notification.

2005-04-20 21:54:26  Rev 7443   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/DataObject.py: Moved code to create
	  detail resultsets into RecordSet object.

2005-04-20 21:12:06  Rev 7442   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Better and more
	  consistent variable names for master/detail links.

2005-04-20 21:07:17  Rev 7441   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Moved more stuff from
	  DataObject to GDataSource.

2005-04-20 20:26:18  Rev 7440   reinhard

	* src/datasources/Exceptions.py, src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Code cleanup.

2005-04-20 16:58:29  Rev 7439   reinhard

	* src/datasources/GDataSource.py: A little cleanup of initialization
	  code.

2005-04-20 16:18:41  Rev 7437   reinhard

	* src/definitions/GObjects.py, src/printing/pdftable/pdftable.py,
	  src/printing/pdftable/sample.py, src/datasources/GConditions.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/formatting/masks/InputMask.py,
	  src/datasources/drivers/Base/Connection.py, src/apps/GBaseApp.py,
	  src/utils/TextUtils.py, src/printing/barcodes/Base.py,
	  src/utils/CaselessDict.py: Epydoc fixes.

2005-04-20 12:10:41  Rev 7436   reinhard

	* src/datasources/drivers/adodbapi/adodbapi/Info.py: Slightly
	  reformatted to fix web page build.

2005-04-20 11:47:33  Rev 7435   reinhard

	* src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/Introspection.py:
	  Now I start to understand where the problems with epydoc come from...

2005-04-20 11:08:40  Rev 7434   reinhard

	* src/datasources/Exceptions.py, src/datasources/GConnections.py: More
	  epydoc tlc.

2005-04-20 11:00:49  Rev 7433   reinhard

	* src/datasources/drivers/Base/Schema/Creation/Creation.py: Try to
	  satisfy epydoc.

2005-04-20 09:01:03  Rev 7432   johannes

	* src/datasources/drivers/adodbapi/adodbapi/Info.py: Updated Info

2005-04-20 07:15:49  Rev 7431   johannes

	* src/datasources/drivers/adodbapi/adodbapi/Connection.py: Use
	  Serializable as transaction isolation level. Driver support booleans
	  as parameter

2005-04-20 07:14:29  Rev 7430   johannes

	* src/datasources/drivers/DBSIG2/ResultSet.py: Change the order of
	  queries for broken_rowcount

2005-04-19 22:41:03  Rev 7427   reinhard

	* src/datasources/GDataSource.py: Cleanup.

2005-04-19 22:25:59  Rev 7426   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Moved more stuff from
	  DataObject to GDataSource.

2005-04-19 21:15:13  Rev 7425   reinhard

	* src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Cleanup.

2005-04-19 20:56:43  Rev 7424   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/DataObject.py: Pass info about
	  masterfields to RecordSet.

2005-04-19 19:48:59  Rev 7423   btami

	* src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  src/datasources/drivers/file/Base.py: fixed typo

2005-04-19 15:21:21  Rev 7420   reinhard

	* src/datasources/drivers/oracle/cxoracle/Info.py,
	  src/datasources/drivers/adodbapi/adodbapi/Info.py,
	  src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  src/datasources/drivers/postgresql/psycopg/Info.py,
	  src/datasources/drivers/interbase/interbase/Info.py,
	  src/datasources/drivers/postgresql/pygresql/Info.py,
	  src/datasources/drivers/mysql/mysql/Info.py,
	  src/datasources/drivers/appserver/appserver/Info.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/oracle/dcoracle/Info.py,
	  src/datasources/drivers/postgresql/pypgsql/Info.py,
	  src/datasources/drivers/sapdb/sapdb/Info.py,
	  src/datasources/drivers/sqlite/sqlite/Info.py: Fixed a few epydoc
	  issues.

2005-04-19 11:28:40  Rev 7416   reinhard

	* src/datasources/GDataSource.py: Fixed typo.

2005-04-19 08:30:27  Rev 7414   reinhard

	* src/datasources/GDataSource.py: Well - that quick fix was too
	  quick...

2005-04-19 08:22:45  Rev 7413   reinhard

	* src/datasources/GDataSource.py: Do not use getDataObject - it's not
	  there any more.

2005-04-18 23:05:31  Rev 7412   reinhard

	* src/datasources/GDataSource.py: Removed another unused function.

2005-04-18 23:00:59  Rev 7411   reinhard

	* src/datasources/GDataSource.py: Removed unused function; fixed some
	  comments.

2005-04-18 22:50:08  Rev 7410   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Moved some stuff from
	  DataObject to GDataSource.

2005-04-18 22:38:52  Rev 7409   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Phased out
	  DataObject.triggerExtensios. GDataSource.extensions is kept for
	  compatibility.

2005-04-18 21:28:14  Rev 7404   reinhard

	* src/datasources/GDataSource.py: Added function to find the master
	  datasource.

2005-04-18 20:59:41  Rev 7402   reinhard

	* src/datasources/GDataSource.py: Removed unused function.

2005-04-18 18:14:33  Rev 7401   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/DataObject.py: Moved requeryResultSet
	  functionality into GDataObject, changed
	  RecordSet._cachedDetailResultSets dictionary to hold datasources as
	  keys instead of dataobjects.

2005-04-18 17:16:29  Rev 7400   reinhard

	* src/datasources/GDataSource.py: Added some comments and put
	  functions in a (hopefully) better order.

2005-04-18 13:44:23  Rev 7398   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: No weak references
	  necessary any more.

2005-04-18 13:35:18  Rev 7397   reinhard

	* src/apps/GBaseApp.py: First output all uncollectable objects, then
	  output all cycles.

2005-04-18 13:19:53  Rev 7396   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py: Cleanup stuff we don't
	  need any more now.

2005-04-18 12:48:48  Rev 7395   johannes

	* src/apps/GBaseApp.py: Always free refs in gc.garbage

2005-04-18 12:40:09  Rev 7394   johannes

	* src/apps/GBaseApp.py: Let the automatic gc do it's job and only
	  debug really unreachable objects

2005-04-18 09:34:19  Rev 7392   johannes

	* src/apps/GBaseApp.py: Added --debug-gc to GBaseApp. If this option
	  is given a SIGUSR1 could be sent to a descendant of GBaseApp to
	  debug the current state of Python's garbage collection (including
	  detection of referece-cycles)

2005-04-16 00:20:06  Rev 7388   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed deletion of last
	  record in a detail result set.

2005-04-15 23:39:06  Rev 7387   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Changed all datasource
	  weak references from weakref.proxy to weakref.ref because
	  weakref.proxy can not be tested whether it still is valid or not.

2005-04-15 23:19:07  Rev 7386   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/GConnections.py: Made the datasource reference in
	  DataObject a private weak reference. This solves a few circular
	  reference problems.

2005-04-15 22:44:44  Rev 7385   reinhard

	* src/datasources/GDataSource.py: Removed some dead code.

2005-04-15 22:38:14  Rev 7384   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Moved call to
	  GDataSource._onRecordLoaded into RecordSet.

2005-04-15 22:10:21  Rev 7383   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed maximum recursion
	  depth error.

2005-04-15 21:20:59  Rev 7382   jamest

	* src/datasources/drivers/postgresql/Schema/Discovery/Introspection.py:
	  removed debug output

2005-04-15 19:26:10  Rev 7381   jamest

	* src/datasources/drivers/postgresql/Schema/Discovery/Introspection.py:
	  skip over functional indexes in postgres as they don't reference
	  fields example: create index foo on customer(lower(name));

2005-04-15 17:57:19  Rev 7379   reinhard

	* src/formatting/masks, src/external/plex, src/printing,
	  src/printing/pdftable, src/printing/barcodes, src/datatypes: Set
	  some svn:ignore properties

2005-04-15 14:50:33  Rev 7378   reinhard

	* src/apps/errors.py: Fixed docstring indentation for epydoc.

2005-04-15 13:57:20  Rev 7376   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Added some private
	  variables to ResultSet class.

2005-04-15 12:51:24  Rev 7374   reinhard

	* src/datasources/drivers/Base/DataObject.py: Fixed creation of empty
	  detail result set.

2005-04-15 11:50:23  Rev 7373   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Removed now unused
	  RecordSet._parent.

2005-04-15 10:23:01  Rev 7371   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Hold a weak reference to
	  the DataSource in the RecordSet.

2005-04-15 09:32:13  Rev 7370   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Renamed defaultValues to
	  defaultData for consistency with initialData.

2005-04-14 23:06:42  Rev 7369   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py: Added postAll and
	  requeryAll to the DataSource.

2005-04-14 18:49:06  Rev 7368   reinhard

	* src/datasources/drivers/Base/Connection.py: Keep the status of the
	  form as unsaved if changes have been posted to the backend but not
	  yet committed. This can happen when update() or call() is called for
	  a block.

2005-04-14 18:26:41  Rev 7367   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py: Fixed
	  typo.

2005-04-14 18:08:33  Rev 7366   reinhard

	* src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Return
	  None on requery of non-existant record.

2005-04-14 18:01:35  Rev 7365   johannes

	* src/datasources/drivers/mysql/mysql/Connection.py: Use an empty
	  string instead of a None-password

2005-04-14 16:03:58  Rev 7364   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py: Try to finally put an end
	  to the uppercase vs. lowercase fieldname mess.

2005-04-14 06:51:44  Rev 7362   johannes

	* src/datasources/drivers/Base/Schema/Creation/Creation.py: Don't use
	  negative id's for autogenerated sequence names

2005-04-13 22:46:45  Rev 7361   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Requery the complete
	  detail result sets after a commit, and merge the result of the new
	  query with the existing result set, keeping record order of existing
	  records and cursor position intact. Also, fixed pseudo-posting of
	  clean records that have modified detail records.

2005-04-12 19:16:18  Rev 7357   reinhard

	* src/datasources/Exceptions.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Cleaning up readonly, but
	  no changes in behaviour.

2005-04-12 14:10:31  Rev 7356   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Pass connection,
	  tablename and boundFields as parameters to RecordSet.

2005-04-12 13:42:17  Rev 7355   johannes

	* src/datasources/drivers/DBSIG2/ResultSet.py: Don't use fieldlist for
	  broken query-count

2005-04-12 13:05:31  Rev 7354   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Handle status with a
	  single variable instead of four variables.

2005-04-12 09:39:25  Rev 7352   johannes

	* src/definitions/GParserHelpers.py: Removed obsolete unlink () method

2005-04-12 09:34:11  Rev 7351   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed memory leak.

2005-04-12 09:28:48  Rev 7350   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py: Fixed typo.

2005-04-12 09:24:47  Rev 7349   reinhard

	* src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Schema/Discovery/Introspection.py:
	  Removed "native" from Connection's public interface.

2005-04-12 09:22:53  Rev 7348   johannes

	* src/datasources/drivers/DBSIG2/ResultSet.py: Use UPPER for
	  case-insensitive sorting instead of LOWER, since it is supported by
	  Firebird/Interbase without using an UDF

2005-04-12 09:15:02  Rev 7346   johannes

	* src/datasources/GConditions.py, src/definitions/GParserHelpers.py,
	  src/definitions/GObjects.py, src/datasources/GDataSource.py,
	  src/definitions/GParser.py: Made ParserObj's _parent a private
	  weakref and added accessors getParent (), setParent ()

2005-04-12 08:54:42  Rev 7345   reinhard

	* src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Moved encoding to
	  DBSIG2 driver, as other drivers don't use that parameter. Changed
	  default encoding to utf-8, which seems to be the safest default.

2005-04-12 08:42:22  Rev 7344   reinhard

	* BUGS: Added some more future plans for file based drivers.

2005-04-12 08:19:27  Rev 7343   reinhard

	* src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/file/Base.py: Implemented
	  Connection._requery for file based drivers for the sake of
	  completeness.

2005-04-12 07:50:49  Rev 7342   reinhard

	* src/datasources/GIntrospection.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/GConnections.py: Removed some methods from
	  DataObject that have long been deprecated and are not used any more.

2005-04-12 07:24:35  Rev 7341   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/DataObject.py: Removed sql parameter
	  from createResultSet.

2005-04-12 07:17:27  Rev 7340   reinhard

	* src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/sqlite/sqlite/DataObject.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/mysql/mysql/DataObject.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/postgresql/Base/__init__.py,
	  src/datasources/drivers/postgresql/Base/DataObject.py,
	  src/datasources/drivers/oracle/Base/Connection.py,
	  src/datasources/drivers/oracle/Base/__init__.py,
	  src/datasources/drivers/oracle/Base/DataObject.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/DataObject.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/interbase/interbase/DataObject.py: Removed
	  unnecessary descendants of DataObject.

2005-04-12 06:31:52  Rev 7339   reinhard

	* src/datasources/drivers/Base/DataObject.py: Removed obsolete
	  DataObject._unicodeMode.

2005-04-12 00:03:16  Rev 7338   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Removed a lot of code
	  that's not used any more now.

2005-04-11 23:49:06  Rev 7337   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Made
	  RecordSet._modifiedFlags private.

2005-04-11 23:41:26  Rev 7336   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Changed default value
	  handling to a more consistent implementation.

2005-04-11 21:25:00  Rev 7335   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Made RecordSet._fields
	  private.

2005-04-11 21:05:49  Rev 7334   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Made
	  RecordSet._initialData private.

2005-04-11 18:47:47  Rev 7332   reinhard

	* src/datasources/GConditions.py: Implemented GCexist.asSQL (actually
	  that was quite easy).

2005-04-09 06:49:42  Rev 7331   dimas

	* src/datasources/drivers/Base/DataObject.py: typo. the cause of
	  gnue-appserver: Cannot load plugin .. errors.

2005-04-09 00:12:30  Rev 7330   reinhard

	* src/datasources/GConditions.py: Make sure combineConditions always
	  delivers a GCondition object.

2005-04-08 23:49:10  Rev 7329   reinhard

	* src/datasources/drivers/Base/DataObject.py: Phased out even more old
	  stuff that's not used any more.

2005-04-08 23:37:46  Rev 7328   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/Base/DataObject.py: Cleaned up support for
	  distinct, added a few comments.

2005-04-08 23:14:36  Rev 7327   reinhard

	* src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/DataObject.py: Phased out some obsolete
	  functions and variables.

2005-04-08 22:43:05  Rev 7326   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: *Experimental* Use new
	  _query/_count/_fetch schema for DBSIG2 driver. This temporarly
	  breaks Query by detail.

2005-04-08 22:02:10  Rev 7325   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added support for closing
	  a cursor.

2005-04-08 09:51:10  Rev 7324   reinhard

	* src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/postgresql/Base/Connection.py: Phased out a
	  few Python2.1isms.

2005-04-08 09:33:52  Rev 7323   johannes

	* src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/mysql/mysql/Connection.py: Removed obsolete
	  booean_true/false settings

2005-04-08 08:43:00  Rev 7322   johannes

	* src/datasources/drivers/interbase/Schema/Creation/Creation.py: Add
	  the UDF lower () on database creation

2005-04-08 08:10:45  Rev 7321   reinhard

	* src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/special/static/__init__.py,
	  src/datasources/drivers/special/static/Connection.py,
	  src/datasources/drivers/special/static/DataObject.py,
	  src/datasources/drivers/Base/DataObject.py: Cleaned up
	  implementation of static dbdriver.

2005-04-08 07:23:06  Rev 7320   reinhard

	* src/datasources/GDataSource.py: Added some comments and reordered
	  definitions.

2005-04-08 07:21:13  Rev 7319   johannes

	* src/datasources/drivers/appserver/appserver/Connection.py: Get the
	  'authentication'-Flag from connections.conf instead of gnue.conf

2005-04-07 22:35:00  Rev 7318   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/special/unbound: No need for special unbound
	  driver any more, the Base driver does the work perfectly.

2005-04-07 22:21:45  Rev 7317   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Let empty records survive
	  a commit if the record is not bound to a connection (unbound
	  datasources).

2005-04-07 21:45:24  Rev 7316   reinhard

	* src/datasources/GDataSource.py: Refuse to bind a field to an unbound
	  DataSource.

2005-04-07 21:08:28  Rev 7314   reinhard

	* src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/file/inifile.py: Use _query, _count, and
	  _fetch methods in file based ResultSet classes.

2005-04-07 16:24:27  Rev 7313   reinhard

	* src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/special/static/DataObject.py: Added
	  _resultSetClass to static and unbound DataObject.

2005-04-06 23:02:54  Rev 7307   reinhard

	* src/datasources/drivers/file/Base.py: Some fixes for file driver.

2005-04-06 22:53:03  Rev 7306   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py: Changed
	  the default for _createResultSet and _createEmptyResultSet to a
	  (hopefully) more useful one.

2005-04-06 22:01:48  Rev 7305   reinhard

	* src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py: Changed
	  ResultSet and DataObject to use new generator based method.

2005-04-06 22:00:03  Rev 7304   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added support for new
	  generator-based descendant implementation. Added readonly as a
	  parameter to ResultSet constructor.

2005-04-06 18:30:21  Rev 7303   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Merged _postChanges into
	  post, as no descendant has to overwrite this any more.

2005-04-06 18:14:00  Rev 7302   reinhard

	* src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py: Moved ResultSet._cursor
	  attribute from Base to DBSIG2 driver. Other drivers derived from
	  Base don't necessarily have the concept of a cursor.

2005-04-06 14:24:00  Rev 7301   johannes

	* doc/hints.mysql.txt: Fixed config-file

2005-04-06 09:06:39  Rev 7300   reinhard

	* src/datasources/GConditions.py: Removed __nonzero__ from GCondition
	  again. Objects with False truth-value break GObj's parent handling.

2005-04-06 07:42:30  Rev 7299   reinhard

	* src/datasources/GConditions.py: Fix for __nonzero__

2005-04-05 21:34:32  Rev 7298   reinhard

	* src/datasources/GConditions.py: Always create a GCondition instance
	  in buildCondition, even if the parameter is None.  Truth value of an
	  empty condition is False.

2005-04-04 23:13:30  Rev 7297   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added some comments,
	  changed function order to a more logical one.

2005-04-04 22:33:32  Rev 7296   reinhard

	* src/datasources/ConnectionTriggerObj.py,
	  src/datasources/__init__.py, src/datasources/Exceptions.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/GIntrospection.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/GConnections.py, src/datasources/GDataObjects.py,
	  src/datasources/GLoginHandler.py: Set svn:keyword property for all
	  files.

2005-04-04 22:09:03  Rev 7295   reinhard

	* BUGS: Added a few ideas for future enhancements.

2005-04-04 21:51:54  Rev 7292   reinhard

	* src/datasources/GConnections.py: Use RawConfigParser for
	  connections.conf to allow for placeholders.

2005-04-04 21:50:47  Rev 7291   reinhard

	* src/datasources/drivers/csv, src/datasources/drivers/dbf,
	  src/datasources/drivers/file, src/datasources/drivers/file/Base.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/file/csvfile.py,
	  src/datasources/drivers/file/dbffile.py,
	  src/datasources/drivers/file/__init__.py,
	  src/datasources/drivers/file/inifile.py,
	  src/datasources/drivers/special/configfile: Rewrote file based
	  dbdrivers, using a common base class.

2005-04-01 14:15:15  Rev 7287   johannes

	* src/definitions/GObjects.py, src/definitions/GParserHelpers.py,
	  src/logic/NamespaceCore.py, src/schema/scripter/Scripter.py,
	  src/logic/GTrigger.py, src/logic/GFormula.py, src/schema/Objects.py:
	  Replaced direct access to _parent by getParent () and setParent ()

2005-04-01 14:14:34  Rev 7286   johannes

	* tests/apps_checktype.py, tests/utils_TextUtils.py,
	  tests/formatting_masks.py, tests, tests/datasources_GConditions.py:
	  Added unittest for new GConditions

2005-04-01 14:14:10  Rev 7285   johannes

	* src/datasources/GConditions.py, src/datasources/GDataSource.py:
	  Added asSQL () to GCondition, removed outdated functions and renamed
	  buildTreeFromList into buildConditionFromPrefix

2005-04-01 09:42:39  Rev 7284   reinhard

	* src/datasources/drivers/oracle/Base/__init__.py: Don't import
	  non-existant file.

2005-03-31 22:30:20  Rev 7283   reinhard

	* src/apps/plugin.py: Better use of detail feature for plugin loader
	  exceptions.

2005-03-31 21:53:42  Rev 7282   reinhard

	* src/setup/GSetup.py: Also tell that we require Python 2.3 in setup
	  subsystem.

2005-03-31 21:39:54  Rev 7281   reinhard

	* src/apps/__init__.py, src/apps/GBaseApp.py, module/base/__init__.py,
	  setup.py: Require Python 2.3. This is a small step for a man, but a
	  giant leap for GNUe.

2005-03-30 07:08:05  Rev 7280   reinhard

	* src/datasources/drivers/DBSIG2/DataObject.py: Test if the DataObject
	  has a DataSource at all (thanks to jcater).

2005-03-29 19:45:48  Rev 7279   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py: Removed unnecessary
	  float to string conversion.

2005-03-29 19:39:32  Rev 7278   reinhard

	* src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/oracle/Base/Connection.py: More logical
	  defaults for DBSIG2 driver parameters.

2005-03-29 19:00:02  Rev 7277   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Don't copy
	  _hasFieldReferences to DataObject, referenceField is called too late.

2005-03-29 18:55:17  Rev 7276   reinhard

	* src/datasources/drivers/interbase/interbase/ResultSet.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/interbase/interbase/DataObject.py: Use new
	  _broken_rowcount parameter instead of own DataObject/ResultSet
	  implementation for interbase driver.

2005-03-29 18:51:03  Rev 7275   reinhard

	* src/datasources/drivers/adodbapi/adodbapi/Connection.py: Ooop.
	  Forgot to actually set _broken_rowcount.

2005-03-29 18:48:59  Rev 7274   reinhard

	* src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/adodbapi/adodbapi/DataObject.py: Use
	  _broken_rowcount for adodbapi driver instead of own implementation
	  of DataObject.

2005-03-29 18:41:43  Rev 7273   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Implemented new option
	  "_broken_rowcount" for dbdrivers where cursor.rowcount can't be used.

2005-03-28 03:25:32  Rev 7268   jamest

	* tests/apps_checktype.py, tests/utils_TextUtils.py,
	  tests/formatting_masks.py, tests/common_apps_checktype.py,
	  tests/common_utils_TextUtils.py: remove common_ from the test names
	  added start of the format mask unittest

2005-03-28 00:27:06  Rev 7267   jamest

	* src/formatting/masks/Tokens.py, src/formatting/masks/MaskParser.py,
	  src/formatting/masks/InputMask.py, src/formatting/masks/test.py:
	  more comments

2005-03-27 02:35:17  Rev 7266   jamest

	* src/formatting/masks/Tokens.py, src/formatting/masks/MaskParser.py,
	  src/FormatMasks, src/formatting/masks/InputMask.py,
	  src/formatting/masks/test.py: started documenting the plex based
	  input mask system

2005-03-26 21:37:40  Rev 7265   jamest

	* src/apps/GDebug.py, src/formatting/masks/InputMask.py,
	  src/definitions/GObjects.py, BUGS, src/apps/GImportLogger.py,
	  src/apps/GBaseApp.py, src/events/Event.py: added --debug-imports
	  based on designers setup fixed memory leak in designers MRU manager
	  added misc docstrings and comments

2005-03-26 19:19:57  Rev 7264   reinhard

	* src/setup/GSetup.py, setup.py: Fixed installing from SVN regarding
	  gmo file installation.

2005-03-26 18:15:53  Rev 7259   reinhard

	* po/it.po: Added Italian translation.  Thanks to Edmondo Grigolato.

2005-03-25 08:04:34  Rev 7254   reinhard

	* tests/runAllTests: Make test script executable.

2005-03-25 04:31:06  Rev 7253   jamest

	* tests, tests/runAllTests, tests/common_apps_checktype.py,
	  tests/common_utils_TextUtils.py: added a tests directory for unit
	  tests after doing so noticed we already have a unittests directory
	  but that the tests in there are broken i think Apycot uses tests as
	  it's default dir so will leave in place for now

2005-03-24 20:30:13  Rev 7252   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Still select * from
	  table even if a field has been automatically referenced (e.g.
	  primarykey or rowid).

2005-03-22 20:28:49  Rev 7251   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Make a copy of the
	  parameter if a mutable object is used as default value. Otherwise,
	  changes to the object will be remembered for the next call! (see
	  http://www.python.org/doc/2.3.5/ref/function.html for details)

2005-03-22 19:16:02  Rev 7250   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py: Convert the result of
	  _requery to Unicode.

2005-03-22 14:23:17  Rev 7249   johannes

	* src/schema/scripter/Scripter.py: Give keyfields as primary key (this
	  makes it work again)

2005-03-21 21:50:04  Rev 7248   reinhard

	* src/datasources/drivers/Base/RecordSet.py: When requerying the
	  master before posting the details (to update generated primary
	  keys), only requery those fields needed for details, and only
	  requery for newly inserted masters.

2005-03-21 19:18:46  Rev 7247   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py: Added attribute "requery"
	  to datasource defining whether requeries should happen for this
	  datasource or not (defaulting to True).

2005-03-21 17:21:01  Rev 7244   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Requerying a primary key
	  without rowid doesn't work.

2005-03-21 17:17:07  Rev 7243   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Requery master before
	  posting any details in case a backend side trigger changed any of
	  the primary key fields.

2005-03-21 15:53:35  Rev 7242   reinhard

	* src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Use
	  gnue_id as fixed primary key name. Be more consistent on using
	  unicode in field names.

2005-03-21 15:52:28  Rev 7241   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Better debugging message
	  for record insertion, removed debugging message for getRecordCount
	  (this happens *way* too often).

2005-03-21 15:51:18  Rev 7240   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/Connection.py: Added support for fixed
	  primary key name (for appserver).

2005-03-21 00:12:46  Rev 7237   reinhard

	* src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/oracle/Base/Connection.py: Removed
	  _dateTimeFormat from Connection objects, it's only used in
	  DataSource objects.

2005-03-21 00:09:16  Rev 7236   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/adodbapi/adodbapi/DataObject.py,
	  src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/drivers/interbase/interbase/DataObject.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py,
	  src/datasources/drivers/oracle/Base/DataObject.py: Added support for
	  rowid and primarykey (with single part and multi part primarykey)
	  for where clause of insert, update, and delete statements and for
	  requery.  Added new function sql0 for DBSIG2 Connection object for
	  SQL commands that don't return a resultset.  Do not eat exceptions
	  when executing SQL commands.  Added debugging output in level 3 for
	  DBSIG2 connect, close, commit, and rollback.

2005-03-19 23:09:35  Rev 7228   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Do the requery after the
	  commit, so changes done in the backend through the commit (e.g. in
	  appserver's OnValidate) become visible.

2005-03-18 17:13:13  Rev 7224   jcater

	* src/apps/GDebug.py: flush the debug-file immediately after writing,
	  so log files are always current

2005-03-17 22:41:27  Rev 7223   reinhard

	* src/datasources/drivers/special/unbound/Driver.py: Removed even more
	  dead code.

2005-03-17 22:31:02  Rev 7222   reinhard

	* src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/DBSIG2/RecordSet.py,
	  src/datasources/drivers/DBSIG2/__init__.py: Removed empty class.

2005-03-17 22:30:36  Rev 7221   reinhard

	* src/datasources/GDataSource.py: Fixed call used for generated forms.

2005-03-17 22:23:48  Rev 7220   reinhard

	* src/datasources/drivers/dbf/dbf/RecordSet.py,
	  src/datasources/drivers/dbf/dbf/ResultSet.py,
	  src/datasources/drivers/dbf/dbf/DataObject.py: Removed some code
	  left over from last restructuring.

2005-03-17 22:18:25  Rev 7219   reinhard

	* src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/drivers/special/static/RecordSet.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/csv/csv/DataObject.py,
	  src/datasources/drivers/dbf/dbf/DataObject.py: Call _postChanges in
	  base driver only when a connection is available; this makes the own
	  RecordSet class for static and unbound datasources obsolete.

2005-03-17 21:43:02  Rev 7218   reinhard

	* src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/special/static/Connection.py,
	  src/datasources/drivers/special/static/DataObject.py: Removed some
	  dead code.

2005-03-17 21:32:05  Rev 7216   btami

	* src/apps/GDebug.py: fix for empty debug messages (lines=[])

2005-03-17 21:30:18  Rev 7215   reinhard

	* src/datasources/drivers/Base/DataObject.py: Ignore (deprecated)
	  commit, rollback and connect functions of DataObject if we have no
	  connection (static or unbound DataSource).

2005-03-17 21:25:31  Rev 7214   btami

	* src/logic/NamespaceCore.py: let trigger functions get extra keyword
	  arguments, like runReport

2005-03-17 19:57:55  Rev 7213   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/drivers/appserver/appserver/RecordSet.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/datasources/drivers/appserver/appserver/__init__.py: Updated
	  record initialization to a more general approach, this obsoletes
	  appserver's own RecordSet class.

2005-03-17 00:18:46  Rev 7211   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/appserver/appserver/RecordSet.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Moved
	  sync and call (formerly known as update and callFunc) to connection
	  object to better fit with the rest of the system.

2005-03-16 22:52:11  Rev 7210   reinhard

	* src/datasources/drivers/oracle/Base/ResultSet.py: Removed file that
	  wasn't used any more anyway.

2005-03-16 21:39:55  Rev 7209   reinhard

	* src/datasources/drivers/sapdb/Extensions,
	  src/datasources/drivers/csv/Extensions,
	  src/datasources/drivers/dbf/Extensions,
	  src/datasources/drivers/interbase/Extensions,
	  src/datasources/drivers/sqlite/Extensions,
	  src/datasources/drivers/adodbapi/Extensions,
	  src/datasources/drivers/postgresql/Extensions,
	  src/datasources/drivers/mysql/Extensions,
	  src/datasources/drivers/oracle/Extensions,
	  src/datasources/drivers/appserver/Extensions: Removed obsoleted
	  Extensions directories.

2005-03-15 13:50:49  Rev 7207   johannes

	* src/datasources/GDataSource.py: Don't be case-sensitive on appserver
	  resources

2005-03-15 12:01:52  Rev 7206   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Fixed case problem with
	  _fields dictionary.

2005-03-14 19:16:03  Rev 7204   johannes

	* src/logic/adapters/python.py, src/logic/adapters/Base.py: Introduced
	  a context-method 'bindBuiltin'

2005-03-14 13:12:51  Rev 7202   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Fixed copy & paste bug.

2005-03-14 10:50:32  Rev 7201   reinhard

	* src/datasources/drivers/appserver/appserver/RecordSet.py: Removed a
	  few obsolete checks: There can't be a RecordSet without gnue_id any
	  more (as the gnue_id is now generated by __init__) and update of
	  status flags is done by _postChanges.

2005-03-14 10:17:00  Rev 7200   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Removed obsolete _postXxx
	  functions.

2005-03-14 08:08:48  Rev 7199   reinhard

	* src/datasources/GDataSource.py: Fixed primary key for appserver.

2005-03-14 07:42:58  Rev 7198   johannes

	* src/datasources/drivers/Base/DataObject.py: Avoid another memory
	  leak when creating new records

2005-03-13 13:20:29  Rev 7196   johannes

	* src/datasources/GDataSource.py: Reenabled _primaryIdField since it's
	  needed for inserts and the like. Note: with this appserver cannot
	  handle joins atm

2005-03-13 10:43:25  Rev 7195   johannes

	* src/datasources/GDataSource.py, src/schema/GSData.py: Also allow
	  types 'number(5,2)', not only 'number(5.2)' in gsd files, and
	  (temp.) deactivated addition of _primaryIdField to the
	  fieldReferences (since it breaks joins in appserver)

2005-03-13 08:45:12  Rev 7192   johannes

	* src/definitions/GParser.py, src/definitions/GParserHelpers.py: Fixes
	  to avoid memory leaks

2005-03-12 13:49:58  Rev 7191   reinhard

	* src/datasources/drivers/appserver/appserver/RecordSet.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Moved
	  implementation of insert, update and delete operations from
	  RecordSet to Connection to match new driver structure.

2005-03-12 13:45:46  Rev 7190   reinhard

	* src/datasources/GDataSource.py: Make sure the primary key is
	  included in the list of referenced fields, otherwise it won't be of
	  much help :-)

2005-03-12 11:45:05  Rev 7188   reinhard

	* src/datasources/drivers/appserver/appserver/RecordSet.py: No need to
	  manually requery after posting, it is now done automatically by the
	  base RecordSet.

2005-03-12 11:19:22  Rev 7187   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Updated comment.

2005-03-12 11:12:42  Rev 7185   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Sync current record
	  number, details, and user interface correctly after posting a record.

2005-03-12 00:08:14  Rev 7184   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Fixed field list to
	  requery.

2005-03-11 23:51:57  Rev 7183   reinhard

	* src/datasources/drivers/appserver/appserver/DataObject.py: Define
	  gnue_id as primary key for appserver.

2005-03-11 23:25:04  Rev 7182   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py:
	  Implemented requery for appserver.

2005-03-11 23:14:30  Rev 7181   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Don't requery deleted
	  records (doh!).

2005-03-11 23:10:06  Rev 7180   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Do not requery non-bound
	  fields.

2005-03-11 23:01:01  Rev 7179   reinhard

	* src/datasources/drivers/DBSIG2/RecordSet.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Implemented _requery
	  function for DBSIG2 drivers.

2005-03-11 22:55:35  Rev 7178   reinhard

	* src/datasources/drivers/Base/Connection.py: Fixed thinko.

2005-03-11 22:37:52  Rev 7177   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Only do requery when we
	  have a primary key.

2005-03-11 22:33:39  Rev 7176   reinhard

	* src/datasources/drivers/Base/Connection.py: Fixed typo.

2005-03-11 19:47:19  Rev 7175   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Requery a record after
	  posting it to the backend.

2005-03-11 19:43:53  Rev 7174   reinhard

	* src/datasources/drivers/Base/DataObject.py: Initialize
	  _primaryIdField.

2005-03-11 19:30:37  Rev 7173   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Only set default values
	  and foreign keys for inserted records, only post pending records.

2005-03-11 19:04:18  Rev 7172   reinhard

	* src/datasources/drivers/interbase/interbase/Connection.py: Fixed
	  typo.

2005-03-11 18:15:48  Rev 7171   reinhard

	* src/datasources/drivers/Base/Connection.py: Added basic placeholders
	  for the requery feature.

2005-03-11 17:33:00  Rev 7170   reinhard

	* src/datasources/drivers/Base/Connection.py: Added placeholders for
	  new virtual methods.

2005-03-11 17:09:31  Rev 7169   reinhard

	* src/datasources/drivers/db2, src/datasources/drivers/ingres,
	  src/datasources/drivers/odbc, src/datasources/drivers/informix,
	  src/datasources/drivers/sqlrelay, src/datasources/drivers/ldap,
	  src/datasources/drivers/gadfly, src/datasources/drivers/sybase:
	  Removing a few DB drivers that have been non-functional and
	  unmaintained for quite a few years now.

2005-03-11 16:55:32  Rev 7168   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/DBSIG2/RecordSet.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Moved the actual code
	  to insert, update, and delete data in the backend from RecordSet to
	  Connection.  This will allow for writing to the database without
	  having to build a ResultSet first, which will speed up AppServer
	  quite a bit.

2005-03-11 13:36:58  Rev 7167   reinhard

	* src/datasources/drivers/DBSIG2/RecordSet.py: Some comments updated.

2005-03-11 13:30:15  Rev 7166   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Updated comments and
	  docstrings.

2005-03-11 12:46:01  Rev 7165   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py: A little
	  code cleanup.

2005-03-11 00:05:15  Rev 7164   reinhard

	* src/datasources/drivers/sqlite/sqlite/Connection.py: Fixed typo.

2005-03-11 00:01:43  Rev 7163   reinhard

	* src/datasources/drivers/adodbapi/adodbapi/Connection.py: Fixed typo.

2005-03-10 23:31:11  Rev 7162   reinhard

	* src/datasources/drivers/interbase/interbase/RecordSet.py: Removed
	  unused file.

2005-03-10 23:24:14  Rev 7161   reinhard

	* src/datasources/drivers/oracle/cxoracle/Driver.py,
	  src/datasources/drivers/adodbapi/Extensions/__init__.py,
	  src/datasources/drivers/gadfly/Info.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/postgresql/Schema/__init__.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/gadfly/Extensions/__init__.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/ingres/ingres/RecordSet.py,
	  src/datasources/drivers/oracle/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/sybase/sybase/Connection.py,
	  src/datasources/drivers/sybase/sybase/__init__.py,
	  src/datasources/drivers/oracle/dcoracle/Driver.py,
	  src/datasources/drivers/appserver/Schema/Discovery/__init__.py,
	  src/datasources/drivers/postgresql/Base/DataObject.py,
	  src/datasources/drivers/special/__init__.py,
	  src/datasources/drivers/ingres/Info.py,
	  src/datasources/drivers/dbf/dbf/Connection.py,
	  src/datasources/drivers/csv/csv/Connection.py,
	  src/datasources/drivers/postgresql/psycopg/__init__.py,
	  src/datasources/drivers/informix/Schema/__init__.py,
	  src/datasources/drivers/ingres/Schema/Creation/__init__.py,
	  src/datasources/drivers/mysql/Info.py,
	  src/datasources/drivers/informix/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Schema/__init__.py,
	  src/datasources/drivers/odbc/wodbc/Connection.py,
	  src/datasources/drivers/appserver/Extensions/__init__.py,
	  src/datasources/drivers/mysql/mysql/Info.py,
	  src/datasources/drivers/oracle/Schema/Discovery/__init__.py,
	  src/datasources/drivers/gadfly/gadfly/Connection.py,
	  src/datasources/drivers/gadfly/gadfly/__init__.py,
	  src/datasources/drivers/gadfly/Schema/Discovery/__init__.py,
	  src/datasources/drivers/ingres/ingres/__init__.py,
	  src/datasources/drivers/db2/Schema/Discovery/__init__.py,
	  src/datasources/drivers/db2/db2/__init__.py,
	  src/datasources/drivers/db2/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Base/__init__.py,
	  src/datasources/drivers/ldap/__init__.py,
	  src/datasources/drivers/oracle/Base/DataObject.py,
	  src/datasources/drivers/informix/informix/Info.py,
	  src/datasources/drivers/interbase/interbase/ResultSet.py,
	  src/datasources/drivers/special/configfile/__init__.py,
	  src/datasources/drivers/sybase/__init__.py,
	  src/datasources/drivers/interbase/interbase/__init__.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/sapdb/Extensions/__init__.py,
	  src/datasources/drivers/sqlrelay/__init__.py,
	  src/datasources/drivers/postgresql/Info.py,
	  src/datasources/drivers/appserver/Info.py,
	  src/datasources/drivers/mysql/Extensions/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/Info.py,
	  src/datasources/drivers/db2/Extensions/__init__.py,
	  src/datasources/drivers/adodbapi/adodbapi/DataObject.py,
	  src/datasources/drivers/sybase/sybase/Info.py,
	  src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/appserver/Schema/Creation/__init__.py,
	  src/datasources/drivers/special/Info.py,
	  src/datasources/drivers/sybase/sybase/DataObject.py,
	  src/datasources/drivers/dbf/dbf/ResultSet.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/interbase/interbase/RecordSet.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/ResultSet.py,
	  src/datasources/drivers/sybase/Schema/__init__.py,
	  src/datasources/drivers/dbf/dbf/DataObject.py,
	  src/datasources/drivers/csv/csv/DataObject.py,
	  src/datasources/drivers/informix/Info.py,
	  src/datasources/drivers/ingres/Schema/__init__.py,
	  src/datasources/drivers/ingres/__init__.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/__init__.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/Connection.py,
	  src/datasources/drivers/dbf/Schema/__init__.py,
	  src/datasources/drivers/csv/Schema/__init__.py,
	  src/datasources/drivers/sqlite/Info.py,
	  src/datasources/drivers/informix/Schema/Creation/__init__.py,
	  src/datasources/drivers/sqlite/Schema/__init__.py,
	  src/datasources/drivers/dbf/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/db2/Info.py,
	  src/datasources/drivers/adodbapi/Schema/__init__.py,
	  src/datasources/drivers/csv/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/sqlite/Schema/Creation/__init__.py,
	  src/datasources/drivers/mysql/__init__.py,
	  src/datasources/drivers/odbc/wodbc/DataObject.py,
	  src/datasources/drivers/sqlite/Schema/Discovery/__init__.py,
	  src/datasources/drivers/gadfly/gadfly/Info.py,
	  src/datasources/drivers/db2/db2/Info.py,
	  src/datasources/drivers/Base/Schema/__init__.py,
	  src/datasources/drivers/ingres/ingres/Info.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/db2/Schema/Creation/__init__.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/interbase/__init__.py,
	  src/datasources/drivers/ldap/Info.py,
	  src/datasources/drivers/gadfly/gadfly/DataObject.py,
	  src/datasources/drivers/dbf/dbf/RecordSet.py,
	  src/datasources/drivers/sybase/Info.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/RecordSet.py,
	  src/datasources/drivers/interbase/interbase/Info.py,
	  src/datasources/drivers/sybase/Extensions/__init__.py,
	  src/datasources/drivers/special/configfile/Connection.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/informix/informix/Connection.py,
	  src/datasources/drivers/sqlrelay/Info.py,
	  src/datasources/drivers/interbase/interbase/DataObject.py,
	  src/datasources/drivers/special/unbound/__init__.py,
	  src/datasources/drivers/postgresql/pypgsql/Driver.py,
	  src/datasources/drivers/odbc/wodbc/ResultSet.py,
	  src/datasources/drivers/oracle/cxoracle/Info.py,
	  src/datasources/drivers/postgresql/pypgsql/__init__.py,
	  src/datasources/drivers/special/static/Info.py,
	  src/datasources/drivers/postgresql/__init__.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/adodbapi/adodbapi/__init__.py,
	  src/datasources/drivers/sybase/sybase/ResultSet.py,
	  src/datasources/drivers/special/static/Connection.py,
	  src/datasources/drivers/appserver/Schema/__init__.py,
	  src/datasources/drivers/appserver/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/__init__.py,
	  src/datasources/drivers/postgresql/Schema/Discovery/__init__.py,
	  src/datasources/drivers/gadfly/Schema/Creation/__init__.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/postgresql/Base/__init__.py,
	  src/datasources/drivers/oracle/dcoracle/Info.py,
	  src/datasources/drivers/gadfly/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/interbase/Schema/Discovery/__init__.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/Info.py,
	  src/datasources/drivers/dbf/dbf/__init__.py,
	  src/datasources/drivers/csv/csv/__init__.py,
	  src/datasources/drivers/csv/Info.py,
	  src/datasources/drivers/dbf/Info.py,
	  src/datasources/drivers/sapdb/Schema/__init__.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/DataObject.py,
	  src/datasources/drivers/informix/__init__.py,
	  src/datasources/drivers/sapdb/Schema/Creation/__init__.py,
	  src/datasources/drivers/sybase/Schema/Discovery/__init__.py,
	  src/datasources/drivers/csv/Schema/Creation/__init__.py,
	  src/datasources/drivers/adodbapi/Info.py,
	  src/datasources/drivers/dbf/Schema/Creation/__init__.py,
	  src/datasources/drivers/odbc/wodbc/RecordSet.py,
	  src/datasources/drivers/sapdb/Schema/Discovery/__init__.py,
	  src/datasources/drivers/odbc/wodbc/Info.py,
	  src/datasources/drivers/oracle/Info.py,
	  src/datasources/drivers/sqlite/__init__.py,
	  src/datasources/drivers/informix/Schema/Discovery/__init__.py,
	  src/datasources/drivers/postgresql/Extensions/__init__.py,
	  src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/drivers/odbc/Info.py,
	  src/datasources/drivers/mysql/Schema/__init__.py,
	  src/datasources/drivers/DBSIG2/RecordSet.py,
	  src/datasources/drivers/gadfly/gadfly/ResultSet.py,
	  src/datasources/drivers/adodbapi/Schema/Creation/__init__.py,
	  src/datasources/drivers/db2/Schema/__init__.py,
	  src/datasources/drivers/db2/__init__.py,
	  src/datasources/drivers/sybase/sybase/RecordSet.py,
	  src/datasources/drivers/interbase/Info.py,
	  src/datasources/drivers/oracle/Schema/Creation/__init__.py,
	  src/datasources/drivers/mysql/mysql/DataObject.py,
	  src/datasources/drivers/mysql/Schema/Discovery/__init__.py,
	  src/datasources/drivers/ldap/Driver.py,
	  src/datasources/drivers/ingres/ingres/Connection.py,
	  src/datasources/drivers/db2/db2/Connection.py,
	  src/datasources/drivers/oracle/Schema/Creation/Creation.py,
	  src/datasources/drivers/informix/informix/ResultSet.py,
	  src/datasources/drivers/interbase/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/special/configfile/DataObject.py,
	  src/datasources/drivers/special/unbound/Info.py,
	  src/datasources/drivers/informix/informix/DataObject.py,
	  src/datasources/drivers/informix/Extensions/__init__.py,
	  src/datasources/drivers/postgresql/pypgsql/Info.py,
	  src/datasources/drivers/adodbapi/adodbapi/Info.py,
	  src/datasources/drivers/special/static/RecordSet.py,
	  src/datasources/drivers/oracle/Extensions/__init__.py,
	  src/datasources/drivers/oracle/cxoracle/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/Driver.py,
	  src/datasources/drivers/gadfly/__init__.py,
	  src/datasources/drivers/gadfly/gadfly/RecordSet.py,
	  src/datasources/drivers/special/static/__init__.py,
	  src/datasources/drivers/special/static/DataObject.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/interbase/Schema/__init__.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/special/configfile/ResultSet.py,
	  src/datasources/drivers/informix/informix/RecordSet.py,
	  src/datasources/drivers/oracle/dcoracle/__init__.py,
	  src/datasources/drivers/csv/csv/Info.py,
	  src/datasources/drivers/dbf/dbf/Info.py,
	  src/datasources/drivers/sapdb/sapdb/__init__.py,
	  src/datasources/drivers/postgresql/psycopg/Driver.py,
	  src/datasources/drivers/postgresql/psycopg/Info.py,
	  src/datasources/drivers/sapdb/__init__.py,
	  src/datasources/drivers/csv/__init__.py,
	  src/datasources/drivers/dbf/__init__.py,
	  src/datasources/drivers/ingres/Schema/Discovery/__init__.py,
	  src/datasources/drivers/ingres/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/csv/Schema/Discovery/__init__.py,
	  src/datasources/drivers/dbf/Schema/Discovery/__init__.py,
	  src/datasources/drivers/adodbapi/__init__.py,
	  src/datasources/drivers/odbc/wodbc/__init__.py,
	  src/datasources/drivers/oracle/__init__.py,
	  src/datasources/drivers/gadfly/Schema/__init__.py,
	  src/datasources/drivers/odbc/__init__.py,
	  src/datasources/drivers/ingres/ingres/ResultSet.py,
	  src/datasources/drivers/mysql/mysql/__init__.py,
	  src/datasources/drivers/DBSIG2/Schema/__init__.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/__init__.py,
	  src/datasources/drivers/interbase/Extensions/__init__.py,
	  src/datasources/drivers/oracle/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/ingres/ingres/DataObject.py,
	  src/datasources/drivers/oracle/Base/Connection.py,
	  src/datasources/drivers/special/configfile/RecordSet.py,
	  src/datasources/drivers/special/configfile/Info.py,
	  src/datasources/drivers/ingres/Extensions/__init__.py,
	  src/datasources/drivers/informix/informix/__init__.py,
	  src/datasources/drivers/csv/Extensions/__init__.py,
	  src/datasources/drivers/dbf/Extensions/__init__.py,
	  src/datasources/drivers/sybase/Schema/Creation/__init__.py,
	  src/datasources/drivers/sybase/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/sqlite/Extensions/__init__.py: Adapted all
	  DBSIG2 based Connection objects to match the improved base class,
	  added lots of comments and docstrings.

2005-03-10 21:50:27  Rev 7159   jcater

	* src/datasources/drivers/DBSIG2/Connection.py: Fixed a typo in the
	  initialization code

2005-03-10 21:10:27  Rev 7158   reinhard

	* src/datasources/drivers/postgresql/popy: Removed PoPy driver. PoPy
	  has been merged with PyPgSQL a long time ago.

2005-03-10 19:44:27  Rev 7157   reinhard

	* src/datasources/drivers/DBSIG2/Connection.py: Further code cleanup.

2005-03-10 19:27:02  Rev 7156   reinhard

	* src/apps/errors.py: Fixed type in docstring.

2005-03-10 18:31:38  Rev 7154   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py: Send
	  '_username' and '_password' instead of 'user' and 'password'.

2005-03-10 18:09:13  Rev 7152   reinhard

	* src/apps/i18n.py: Code cleanup. Fix for setting a user defined
	  locale.

2005-03-10 16:40:44  Rev 7151   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py: Do not
	  obscure server side exceptions on connect.

2005-03-10 16:34:24  Rev 7150   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py: Don't
	  take _language from parameters when it's actually part of the
	  loginData.

2005-03-10 15:25:42  Rev 7149   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/GNUe-Appserver.iss,
	  packaging/win32/GNUe-Common.iss: updated win32 packaging files

2005-03-09 23:29:42  Rev 7147   reinhard

	* src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py: Code cleanup, use
	  virtual methods (beginning with _) in DBSIG2 Connection object, work
	  on comments and docstrings.

2005-03-09 22:37:01  Rev 7146   reinhard

	* src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/__init__.py: More work on docstrings,
	  defined purely virtual methods for Connection object.

2005-03-09 21:49:35  Rev 7145   reinhard

	* src/apps/errors.py, src/apps/GDebug.py, src/apps/plugin.py,
	  src/apps/__init__.py, src/apps/checktype.py, src/apps/i18n.py: More
	  work on docstrings.

2005-03-09 17:54:16  Rev 7144   johannes

	* src/utils/CaselessDict.py: Added a dictionary wrapper with automatic
	  case-insensitive keys

2005-03-09 12:13:39  Rev 7143   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Code cleanup, added
	  comments and docstrings.

2005-03-09 10:31:32  Rev 7142   reinhard

	* src/apps/GDebug.py: Output self parameter with repr(), too, so nice
	  __repr__ methods of the objects come to effect.

2005-03-08 23:01:39  Rev 7139   reinhard

	* src/datasources/drivers/Base/Connection.py: More cleanup.

2005-03-08 22:41:24  Rev 7138   reinhard

	* src/datasources/drivers/Base/DataObject.py: Temporary fix while
	  _dataConnection is still used.

2005-03-08 22:32:06  Rev 7137   reinhard

	* src/datasources/drivers/Base/Connection.py: Code cleanup, added
	  comments and docstrings.

2005-03-08 21:24:29  Rev 7136   reinhard

	* src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Removed
	  some dead code.

2005-03-08 21:02:25  Rev 7135   reinhard

	* src/apps/plugin.py, src/apps/checktype.py: Use better exception
	  classes.

2005-03-08 20:57:01  Rev 7134   reinhard

	* src/apps/i18n.py: Updated a few comments.

2005-03-08 20:50:53  Rev 7133   reinhard

	* src/apps/__init__.py: Better order for importing.

2005-03-08 20:47:45  Rev 7132   reinhard

	* src/apps/checktype.py: Derive TypeError from gException so non-ASCII
	  characters in the error message are handeled properly.

2005-03-08 20:24:36  Rev 7131   reinhard

	* src/apps/manpage.py, src/apps/errors.py, src/apps/GServerApp.py,
	  src/apps/__init__.py, src/apps/GBaseApp.py,
	  src/apps/RuntimeSettings.py, src/apps/GClientApp.py,
	  src/apps/GLogger.py, src/apps/CommandOption.py: Updated some
	  comments, added svn:keywords property to all files.

2005-03-08 19:47:39  Rev 7130   reinhard

	* src/apps/GDebug.py: Code cleanup, added comments and docstrings.

2005-03-08 18:11:26  Rev 7129   reinhard

	* src/apps/GDebug.py: Added keyword property.

2005-03-08 16:49:55  Rev 7119   reinhard

	* src/__init__.py: Started new release cycle.

2005-03-08 16:46:26  Rev 7116   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, etc/sample.gnue.conf,
	  src/__init__.py, po/ru.po, po/fr.po, po/de.po, po/nl.po,
	  po/es_MX.po, po/hu.po: Released 0.5.14.

2005-03-08 16:02:03  Rev 7114   btami

	* src/apps/GServerApp.py: enable pidfile creation on posix systems only

2005-03-08 15:19:22  Rev 7113   reinhard

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: Fixed record status
	  information. Most important of all, this causes empty records being
	  posted to the database if it's a master to detail records that have
	  to be posted.

2005-03-08 15:17:45  Rev 7112   reinhard

	* po/nl.po: Updated Dutch translation.

2005-03-08 11:35:54  Rev 7111   dimas

	* po/ru.po: Started russian translation for common.

2005-03-07 22:51:02  Rev 7107   kilo

	* po/hu.po: Updated Hungarian translations.

2005-03-07 19:14:59  Rev 7106   reinhard

	* po/nl.po: Added Dutch translation.

2005-03-07 17:08:09  Rev 7105   reinhard

	* utils/release, src/setup/GSetup.py, setup.py: Do not regenerate po
	  files when installing from svn, only regenerate them when doing a
	  release.

2005-03-07 16:49:25  Rev 7104   johannes

	* src/datasources/drivers/Base/ResultSet.py, src/apps/GDebug.py:
	  Changed gLeave () to return a result directly

2005-03-05 14:03:05  Rev 7100   johannes

	* po/de.po: Updated translations

2005-03-05 00:01:41  Rev 7099   reinhard

	* utils/release: Generate sample.gnue.conf in English, not in local
	  language.

2005-03-04 23:40:44  Rev 7095   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, etc/sample.gnue.conf,
	  po/fr.po, po/de.po, po/es_MX.po, po/hu.po: Released 0.5.13.99-pre1.

2005-03-04 23:33:34  Rev 7094   reinhard

	* src/datasources/drivers/Base/ResultSet.py, src/apps/GDebug.py:
	  Renamed gBeginFunc and gEndFunc to gEnter and gLeave.

2005-03-03 11:05:26  Rev 7084   johannes

	* src/definitions/GRootObj.py, src/definitions/GParserHelpers.py,
	  src/definitions/GBinary.py, src/logic/GTrigger.py,
	  src/logic/GFormula.py: Made 'stripPrefixes' available to all dumpXML
	  () functions

2005-03-03 03:31:35  Rev 7083   jamest

	* src/definitions/GObjects.py: modify dumpXML to take a list of
	  prefixes to strip  from object types when building xml output.  This
	  is to allow newer projects to not require all their object types to
	  have 2 character prefixes to their xml type (GFField vs field).
	  Default behaviour matches the old style at this time to prevent
	  breakage.

2005-03-02 22:07:34  Rev 7082   reinhard

	* src/GMenu.py: Found another GDataObjects reference.

2005-03-02 22:00:12  Rev 7080   reinhard

	* src/datasources/drivers/special/static/RecordSet.py,
	  src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/postgresql/pygresql/Driver.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/dbf/dbf/Connection.py,
	  src/datasources/drivers/special/configfile/DataObject.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/adodbapi/adodbapi/DataObject.py,
	  src/datasources/drivers/special/static/Connection.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/special/static/DataObject.py,
	  src/datasources/drivers/interbase/interbase/DataObject.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Removed a few
	  references to obsoleted module GDataObjects.

2005-03-02 21:47:05  Rev 7079   reinhard

	* src/datasources/drivers/DBSIG2/Driver.py: Removed obsolete file.

2005-03-02 21:45:06  Rev 7078   reinhard

	* src/datasources/Exceptions.py: Fixed comment that's simply not true
	  :)

2005-03-02 21:42:54  Rev 7076   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added debugging output.

2005-03-02 21:41:51  Rev 7075   reinhard

	* src/datasources/GDataObjects.py: Really output a warning when this
	  file is included.

2005-03-02 14:21:42  Rev 7073   jamest

	* src/setup/GSetup.py: first attempt at making GSetup less gnue
	  specific

2005-02-25 14:38:32  Rev 7066   johannes

	* src/apps/GServerApp.py: Added a --pidfile option to GServerApp

2005-02-25 10:39:46  Rev 7061   kilo

	* utils/generate-gnue-config.py: More elegant Python code.

2005-02-23 16:53:58  Rev 7057   johannes

	* src/datasources/GConditions.py, src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/logic/adapters/python.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/GConnections.py, src/logic/adapters/Base.py: Some
	  fixes to help the garbage collector doing a better job

2005-02-22 08:27:28  Rev 7055   kilo

	* BUGS: Removed one.

2005-02-22 08:25:31  Rev 7054   kilo

	* utils/generate-gnue-config.py: Default values don't need apostrophes.

2005-02-21 14:43:40  Rev 7053   kilo

	* utils/generate-gnue-config.py: Better handling of license string.

2005-02-21 14:28:16  Rev 7052   reinhard

	* utils/release: Regenerate sample.gnue.conf on release.

2005-02-21 14:17:02  Rev 7051   kilo

	* utils/generate-gnue-config.py: New tool to generate
	  sample.gnue.conf. Must be run with gcvs to produce current conf
	  entries.

2005-02-21 14:13:54  Rev 7050   kilo

	* src/GCConfig.py: Added more description to Common.

2005-02-20 14:52:31  Rev 7047   jan

	* src/rpc/drivers/pyro/ServerAdapter.py,
	  src/rpc/drivers/pyro/ClientAdapter.py,
	  src/rpc/drivers/pyro/__init__.py: first step to fix pyro. adapter is
	  working again, but without proper error handling

2005-02-20 14:43:17  Rev 7046   jan

	* src/rpc/client.py, src/rpc/server.py: Update server/client
	  testscripts to accept the choosen service by command line

2005-02-18 11:22:44  Rev 7040   kilo

	* src/GCConfig.py: Updated Config options for each tool.

2005-02-16 21:57:12  Rev 7034   reinhard

	* src/logic/GTrigger.py: Removed quite annoying debug message.

2005-02-15 23:08:20  Rev 7032   reinhard

	* src/apps/GDebug.py: Better debug messages for gBeginFunc and
	  gEndFunc.

2005-02-15 15:51:00  Rev 7031   reinhard

	* src/datasources/GConditions.py: Typo.

2005-02-15 15:42:06  Rev 7030   reinhard

	* src/datasources/GConditions.py: Fixed Boolean conversions.

2005-02-15 15:18:31  Rev 7029   reinhard

	* src/datasources/GConditions.py: Make it possible to compare integers
	  with booleans. This is necessary for database drivers that return
	  boolean fields as 0/1 integers.

2005-02-15 13:50:52  Rev 7028   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Check boolean before
	  int on rpc_to_python, too (same reason as in python_to_rpc: booleans
	  are a subclass of int).

2005-02-15 09:14:05  Rev 7026   kilo

	* src/datasources/GDataSource.py: Don't fail if explicitfields is an
	  empty string

2005-02-15 09:04:45  Rev 7025   btami

	* src/apps/GBaseApp.py: added --silent option to GBaseApp

2005-02-13 15:45:06  Rev 7020   reinhard

	* BUGS: Some ideas.

2005-02-12 23:29:37  Rev 7018   reinhard

	* src/apps/GConfig.py: Fixed reading gConfigDict when section is not
	  present.

2005-02-12 22:45:04  Rev 7017   reinhard

	* src/rpc/drivers/xmlrpc/py_xmlrpc/typeconv.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Fixed RPC to Python
	  conversion for dictionaries, and fixed some other bugs that were
	  obscured by this one.

2005-02-12 12:11:44  Rev 7016   btami

	* src/datasources/drivers/special/static/RecordSet.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/ldap/Driver.py,
	  src/datasources/drivers/odbc/wodbc/RecordSet.py: added missing
	  recordNumber named parameters to _postCanges()

2005-02-12 10:59:01  Rev 7015   jan

	* src/datasources/drivers/special/configfile/Connection.py,
	  src/datasources/drivers/special/configfile/DataObject.py,
	  src/datasources/drivers/special/configfile/RecordSet.py,
	  src/datasources/drivers/special/configfile/ResultSet.py: fix
	  special.configfile driver to work with api changes

2005-02-11 21:09:28  Rev 7014   btami

	* src/apps/GBaseApp.py: fixed typo

2005-02-11 20:07:56  Rev 7013   johannes

	* src/rpc/drivers/xmlrpc/py_xmlrpc/typeconv.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Reintroduced the bugs,
	  as it is the smaller evil :(

2005-02-11 18:46:46  Rev 7012   johannes

	* src/rpc/drivers/xmlrpc/py_xmlrpc/typeconv.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Fixed type conversion
	  for dictionaries

2005-02-11 17:12:31  Rev 7011   reinhard

	* src/apps/GDebug.py: Fixed debug level range.

2005-02-11 17:04:16  Rev 7009   reinhard

	* src/rpc/drivers/Base.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ClientAdapter.py: Added debug
	  output on level 3 for calls to RPC server.

2005-02-11 16:18:59  Rev 7007   reinhard

	* src/rpc/drivers/xmlrpc/py_xmlrpc/ServerAdapter.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/rpc/drivers/_helpers/DirectoryServer.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/formatting/BaseMask.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/sybase/sybase/ResultSet.py,
	  src/datasources/drivers/special/static/Connection.py,
	  src/rpc/drivers/pyro/ServerAdapter.py, src/formatting/DateMask.py,
	  src/datasources/drivers/ingres/ingres/RecordSet.py,
	  src/events/EventAware.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/sybase/sybase/Connection.py,
	  src/datasources/drivers/gadfly/Schema/Discovery/Introspection.py,
	  src/GMenu.py, src/datasources/drivers/csv/csv/Connection.py,
	  src/datasources/drivers/dbf/dbf/Connection.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/DataObject.py,
	  src/apps/GBaseApp.py, src/events/Event.py,
	  src/datasources/drivers/odbc/wodbc/RecordSet.py,
	  src/datasources/ConnectionTriggerObj.py,
	  src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/drivers/informix/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/odbc/wodbc/Connection.py,
	  src/datasources/drivers/DBSIG2/RecordSet.py,
	  src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/gadfly/gadfly/ResultSet.py,
	  src/apps/plugin.py,
	  src/datasources/drivers/sybase/sybase/RecordSet.py,
	  src/rpc/drivers/_helpers/ObjectEnabler.py,
	  src/datasources/drivers/gadfly/gadfly/Connection.py,
	  src/datasources/drivers/ldap/Driver.py,
	  src/datasources/drivers/db2/db2/Connection.py,
	  src/datasources/drivers/ingres/ingres/Connection.py,
	  src/datasources/drivers/db2/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Base/DataObject.py,
	  src/datasources/drivers/informix/informix/ResultSet.py,
	  src/definitions/GParser.py, src/datasources/GDataSource.py,
	  src/datasources/drivers/interbase/Schema/Discovery/Introspection.py,
	  src/apps/GConfig.py,
	  src/datasources/drivers/special/configfile/DataObject.py,
	  src/apps/GServerApp.py,
	  src/datasources/drivers/informix/informix/DataObject.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/schema/scripter/Scripter.py, src/apps/GLogger.py,
	  src/datasources/drivers/special/static/RecordSet.py,
	  src/rpc/drivers/_helpers/ObjectLibrarian.py,
	  src/datasources/drivers/postgresql/pygresql/Driver.py,
	  src/datasources/drivers/adodbapi/adodbapi/DataObject.py,
	  src/datasources/drivers/gadfly/gadfly/RecordSet.py,
	  src/datasources/drivers/special/static/DataObject.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/sybase/sybase/DataObject.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/formatting/TextMask.py,
	  src/datasources/drivers/special/configfile/ResultSet.py,
	  src/datasources/drivers/dbf/dbf/ResultSet.py,
	  src/datasources/drivers/informix/informix/RecordSet.py,
	  src/definitions/GObjects.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/ResultSet.py,
	  src/formatting/NumberMask.py,
	  src/datasources/drivers/csv/csv/DataObject.py,
	  src/datasources/drivers/dbf/dbf/DataObject.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/Connection.py,
	  src/datasources/drivers/ingres/Schema/Discovery/Introspection.py,
	  src/logic/adapters/ecmascript.py,
	  src/datasources/drivers/csv/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/dbf/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/odbc/wodbc/DataObject.py,
	  src/logic/NamespaceCore.py,
	  src/datasources/drivers/ingres/ingres/ResultSet.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/Introspection.py,
	  src/datasources/GConnections.py, src/formatting/masks/Masks.py,
	  src/datasources/drivers/oracle/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/gadfly/gadfly/DataObject.py,
	  src/logic/GTrigger.py,
	  src/datasources/drivers/oracle/Base/Connection.py,
	  src/datasources/drivers/ingres/ingres/DataObject.py,
	  src/logic/GFormula.py,
	  src/datasources/drivers/special/configfile/RecordSet.py,
	  src/rpc/drivers/pyro/ClientAdapter.py,
	  src/rpc/drivers/soap/soappy/Driver.py,
	  src/datasources/drivers/dbf/dbf/RecordSet.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/RecordSet.py,
	  src/formatting/GTypecast.py,
	  src/datasources/drivers/special/configfile/Connection.py,
	  src/datasources/drivers/informix/informix/Connection.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/rpc/drivers/_helpers/AsyncSocketServer.py,
	  src/datasources/drivers/sybase/Schema/Discovery/Introspection.py,
	  src/events/EventController.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ServerAdapter.py,
	  src/datasources/drivers/odbc/wodbc/ResultSet.py: Reorganized debug
	  levels.

2005-02-11 15:34:54  Rev 7006   reinhard

	* doc/technotes/index.html, doc/technotes/00014.txt,
	  doc/technotes/index.txt: Added technote about debug levels.

2005-02-11 13:36:42  Rev 7004   kilo

	* src/datasources/GConditions.py: Added documentation.

2005-02-11 12:35:48  Rev 7002   johannes

	* etc/sample.gnue.conf: Added the other (missing) config options

2005-02-11 11:53:37  Rev 7000   reinhard

	* etc/sample.gnue.conf: Use new "connection" paramter in sample
	  gnue.conf file.

2005-02-11 11:41:11  Rev 6999   kilo

	* src/datasources/GDataSource.py: Added documentation

2005-02-11 10:01:39  Rev 6994   johannes

	* src/datasources/GDataSource.py: use gDebug () for
	  depreciation-warning instead of writing to stdout

2005-02-11 07:39:23  Rev 6991   johannes

	* src/apps/GDebug.py: Fixed gBeginFunc () and gEndFunc () to use the
	  new debug-level-concpet

2005-02-10 20:11:25  Rev 6990   jamest

	* src/apps/GDebug.py, src/apps/GBaseApp.py,
	  src/apps/RuntimeSettings.py: support for --debug-level=1,3-5,10

2005-02-10 19:18:07  Rev 6987   johannes

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Added
	  'ignorecase'-attribute to <sortfield>-tag, allowing case-insensitive
	  ordering

2005-02-10 16:38:52  Rev 6985   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss, packaging/win32/setup.py,
	  packaging/win32/GNUe-Runtime-Environment.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/GNUe-Appserver.iss,
	  packaging/win32/GNUe-Common.iss: * updated win32 packaging files

2005-02-10 14:13:42  Rev 6984   reinhard

	* README.cvs: Even more work on installation and configuration docs.

2005-02-10 13:28:28  Rev 6983   reinhard

	* doc/hints.postgresql.txt, doc/hints.mysql.txt,
	  doc/hints.firebird.txt: Improved installation and configuration docs.

2005-02-09 19:34:27  Rev 6982   johannes

	* src/apps/GDebug.py: Added gBeginFunc () and gEndFunc ()

2005-02-08 13:17:36  Rev 6977   kilo

	* src/datasources/GDataSource.py: Added descriptions (aka
	  "documentation")

2005-02-08 12:54:14  Rev 6976   reinhard

	* src/apps/i18n.py: Try to fix all those locale issues.

2005-02-07 21:20:45  Rev 6975   jan

	* src/logic/adapters/ecmascript.py: fix exception handling (ECMAscript
	  plugin)

2005-02-07 18:17:00  Rev 6974   johannes

	* src/utils/uuid.py: Removed commented line (from testing)

2005-02-07 14:52:49  Rev 6973   johannes

	* src/utils/uuid.py: Added UUID-Generator

2005-02-07 12:28:23  Rev 6972   kilo

	* src/apps/GConfig.py: Removed debug print

2005-02-07 10:17:46  Rev 6971   reinhard

	* src/__init__.py: Started new release cycle.

2005-02-07 07:27:29  Rev 6964   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, src/__init__.py, po/fr.po,
	  po/de.po, po/es_MX.po, po/hu.po: Released 0.5.13.

2005-02-04 22:10:46  Rev 6960   kilo

	* po/hu.po: Updated Hungarian translation

2005-02-04 10:30:01  Rev 6959   reinhard

	* doc/technotes/00011.txt, utils/release-announce: Prereleases also
	  get a list of changes.

2005-02-03 15:17:18  Rev 6951   johannes

	* po/de.po: Updated translations

2005-02-03 14:01:09  Rev 6949   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, po/fr.po, po/de.po, po/es_MX.po,
	  po/hu.po: Released 0.5.12.99-pre1.

2005-02-03 10:08:26  Rev 6943   ajmitch

	* packaging/debian/changelog, packaging/debian/copyright,
	  packaging/debian/rules, packaging/debian/control: Update for current
	  debian packaging

2005-02-02 19:09:23  Rev 6939   johannes

	* src/datasources/GDataSource.py, src/definitions/GParser.py: Improved
	  exception handling for SAXParserErrors and MarkupErrors, which
	  provide an URL and a line number now

2005-01-31 19:21:51  Rev 6927   jamest

	* src/datasources/GDataSource.py: changed GSort* to GCSort* object
	  names.  designer strips the first 2 characters from an object's name
	  so the old names cause key index errors on save

2005-01-25 10:14:57  Rev 6921   johannes

	* src/datasources/GConditions.py: Added GCexist condition

2005-01-20 14:30:53  Rev 6914   johannes

	* src/datasources/GConditions.py: Fixed handling of null values for
	  like-conditions

2005-01-17 16:35:48  Rev 6908   reinhard

	* src/datasources/drivers/appserver/appserver/Connection.py: Add a ':'
	  to the filter label.

2005-01-16 10:05:45  Rev 6905   johannes

	* src/datasources/GDataSource.py: Changed property-accessors for
	  datasource's order_by. This way one can change sort-order via
	  trigger-code (dts.__properties__.order_by = ...)

2005-01-14 03:12:10  Rev 6899   jcater

	* src/definitions/GParser.py: added better checks for faulty code

2005-01-14 03:10:39  Rev 6898   jamest

	* src/definitions/GObjects.py: remove __properties__ from GObj as it
	  conflicts with common's namespace core.  It didn't appear to be used

2005-01-13 15:11:08  Rev 6894   johannes

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py: Added
	  <sortorder>-tag to datasources which also handles 'descending' order

2005-01-11 20:19:32  Rev 6892   jan

	* src/logic/language.py, src/logic/adapters/ecmascript.py: Fix
	  ECMAscript adapter

2005-01-11 19:07:51  Rev 6891   jan

	* src/rpc/drivers/xmlrpc/py_xmlrpc/typeconv.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Fix bug occuring with
	  py_xmlrpc.   Because "isinstance(True,types.IntType)" returns True
	  we have to check for Boolean first.

2005-01-10 21:09:03  Rev 6888   jan

	* src/rpc/drivers/xmlrpc/py_xmlrpc/ClientAdapter.py: Fix exception
	  handling for remote and internal py_xmlrpc errors

2005-01-09 19:10:42  Rev 6877   johannes

	* src/datasources/drivers/postgresql/pygresql/Driver.py: Quick fix for
	  _pg_encoding

2005-01-06 17:38:28  Rev 6873   jcater

	* src/apps/__init__.py: removed decimal class until I get it working
	  in Python 2.1

2005-01-06 17:07:16  Rev 6872   jcater

	* src/external/fixedpoint.py, src/formatting/masks/Tokens.py,
	  src/datasources/GDataSource.py, src/definitions/GParser.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/external/decimal.py, src/apps/__init__.py,
	  src/printing/barcodes/code39.py, src/formatting/masks/Masks.py,
	  src/printing/barcodes/Base.py, src/formatting/masks/test.py,
	  src/logic/GTrigger.py, src/external/README, license_header.txt,
	  src/formatting/masks/GMask.py: testing commit email prefixes

2005-01-06 14:20:40  Rev 6870   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/ClientAdapter.py: Reverted check
	  for Python 2.3. Actually it works with 2.2.

2005-01-06 14:11:04  Rev 6869   reinhard

	* src/datasources/GDataSource.py: Fixed exception kind.

2005-01-06 12:14:32  Rev 6868   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Fix decoding of plain
	  strings. xmlrpclib returns plain strings in default encoding, not in
	  utf-8.

2005-01-06 11:43:07  Rev 6867   dimas

	* src/datasources/drivers/postgresql/Base/Connection.py: Support for
	  koi8-r, cp1251 encoding param for postgresql connection

2005-01-05 19:34:18  Rev 6864   reinhard

	* src/datasources/drivers/postgresql/Base/Connection.py: Set client
	  encoding for every new transaction, as it gets lost whenever a new
	  transaction is started.

2005-01-05 13:36:36  Rev 6860   johannes

	* src/datasources/drivers/Base/ResultSet.py: Better checking of
	  fieldnames (case-problem!)

2005-01-05 11:08:53  Rev 6859   reinhard

	* BUGS: Another bug.

2005-01-05 10:46:13  Rev 6858   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/ClientAdapter.py: Generate error
	  message if pw_xmlrpc is used with Python < 2.3 - those versions of
	  xmlrpclib are not unicode enabled.

2005-01-04 15:56:57  Rev 6855   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Try to fix boolean
	  type conversion for Python 2.2

2005-01-03 20:59:28  Rev 6851   jcater

	* src/schema/GSData.py,
	  src/datasources/drivers/ingres/ingres/RecordSet.py,
	  src/datasources/drivers/oracle/Base/ResultSet.py,
	  src/datasources/drivers/DBSIG2/DataObject.py,
	  src/datasources/drivers/sapdb/sapdb/Info.py,
	  src/datasources/drivers/appserver/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/special/__init__.py,
	  src/datasources/drivers/mysql/Info.py,
	  src/datasources/drivers/informix/Schema/Discovery/Introspection.py,
	  src/rpc/RpcDoc.py, src/formatting/FormatExceptions.py,
	  src/datasources/drivers/mysql/Schema/Creation/Creation.py,
	  src/schema/GSParser.py,
	  src/datasources/drivers/postgresql/pygresql/Info.py,
	  src/datasources/drivers/sybase/sybase/Info.py,
	  src/cursing/FocusedLabel.py, src/formatting/TextMask.py,
	  src/cursing/InputBox.py, src/rpc/drivers/sockets/CommDriver.py,
	  src/cursing/Button.py,
	  src/datasources/drivers/odbc/wodbc/DataObject.py,
	  src/cursing/CheckBox.py,
	  src/datasources/drivers/ingres/ingres/Info.py,
	  src/datasources/drivers/db2/db2/Info.py,
	  src/datasources/drivers/sqlite/Schema/Creation/Creation.py,
	  src/datasources/drivers/gadfly/gadfly/DataObject.py,
	  src/formatting/GTypecast.py,
	  src/datasources/drivers/interbase/interbase/Info.py,
	  unittest/run_tests_gui.py,
	  src/datasources/drivers/interbase/interbase/DataObject.py,
	  src/utils/GMimeTypes.py,
	  src/datasources/drivers/postgresql/pypgsql/Driver.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ServerAdapter.py,
	  src/formatting/masks/Tokens.py, src/cursing/ScrollBar.py,
	  src/datasources/drivers/gadfly/Schema/Discovery/Introspection.py,
	  src/printing/barcodes/__init__.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/Info.py,
	  src/datasources/drivers/dbf/dbf/__init__.py,
	  src/datasources/drivers/csv/csv/__init__.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/DataObject.py,
	  src/events/Event.py, src/datasources/drivers/__init__.py,
	  src/datasources/drivers/odbc/wodbc/RecordSet.py,
	  src/datasources/ConnectionTriggerObj.py,
	  src/rpc/drivers/_helpers/ObjectEnabler.py,
	  src/rpc/parser/Objects.py,
	  src/datasources/drivers/informix/informix/ResultSet.py,
	  src/cursing/CheckBoxGroup.py, src/datasources/GDataSource.py,
	  src/cursing/GraphicObject.py, src/apps/GServerApp.py,
	  src/cursing/RadioGroup.py,
	  src/datasources/drivers/adodbapi/adodbapi/Info.py,
	  src/datasources/GConditions.py,
	  src/datasources/drivers/gadfly/__init__.py,
	  src/definitions/GParserHelpers.py,
	  src/datasources/drivers/special/configfile/ResultSet.py,
	  src/datasources/drivers/postgresql/psycopg/Driver.py,
	  src/cursing/Menu.py, src/cursing/StatusBar.py,
	  src/datasources/GIntrospection.py,
	  src/datasources/drivers/odbc/__init__.py, src/rpc/client.py,
	  src/cursing/MenuBar.py, src/printing/barcodes/codabar.py,
	  src/apps/RuntimeSettings.py, src/logic/GFormula.py,
	  src/datasources/drivers/ingres/ingres/DataObject.py,
	  src/rpc/drivers/soap/soappy/Driver.py, src/cursing/Progress.py,
	  src/rpc/drivers/_helpers/AsyncSocketServer.py,
	  src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/adodbapi/adodbapi/Connection.py,
	  src/datasources/drivers/appserver/appserver/RecordSet.py,
	  src/datasources/drivers/sybase/sybase/__init__.py,
	  src/datasources/drivers/sybase/sybase/Connection.py,
	  src/printing/barcodes/standard2of5.py,
	  src/datasources/drivers/postgresql/Base/DataObject.py,
	  src/datasources/drivers/postgresql/psycopg/__init__.py,
	  src/apps/GBaseApp.py, src/cursing/TextArea.py,
	  src/schema/Objects.py, src/datasources/drivers/ldap/__init__.py,
	  src/datasources/drivers/informix/informix/Info.py,
	  src/datasources/drivers/interbase/interbase/ResultSet.py,
	  src/rpc/drivers/xmlrpc/RpcDoc.py, src/printing/pdftable/sample.py,
	  src/datasources/drivers/DBSIG2/Driver.py,
	  src/formatting/masks/InputMask.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/ResultSet.py,
	  src/datasources/drivers/ingres/__init__.py,
	  src/datasources/drivers/dbf/dbf/DataObject.py,
	  src/datasources/drivers/csv/csv/DataObject.py, src/rpc/GComm.py,
	  src/datasources/drivers/db2/Info.py,
	  src/datasources/drivers/csv/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/mysql/__init__.py,
	  utils/generate-tool-schemas.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ClientAdapter.py,
	  src/datasources/drivers/gadfly/gadfly/Info.py,
	  src/logic/NamespaceCore.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/appserver/appserver/Info.py,
	  src/logic/GTrigger.py, src/printing/barcodes/postnet.py,
	  src/datasources/drivers/sybase/Info.py,
	  src/datasources/drivers/special/configfile/Connection.py,
	  src/datasources/drivers/informix/informix/Connection.py,
	  src/datasources/drivers/special/unbound/Driver.py,
	  src/datasources/drivers/sqlrelay/Info.py, src/cursing/constants.py,
	  src/datasources/GLoginHandler.py,
	  src/datasources/drivers/oracle/cxoracle/Info.py,
	  src/rpc/drivers/_helpers/DirectoryServer.py,
	  src/datasources/drivers/appserver/__init__.py,
	  src/datasources/drivers/special/static/Connection.py,
	  src/datasources/drivers/sybase/sybase/ResultSet.py,
	  src/definitions/GBinary.py,
	  src/printing/barcodes/interleaved2of5.py, src/datatypes/Color.py,
	  src/apps/errors.py, src/datasources/drivers/dbf/Info.py,
	  src/apps/GClientApp.py, src/datasources/drivers/oracle/Info.py,
	  src/datasources/drivers/sqlite/__init__.py,
	  src/datasources/drivers/sapdb/Schema/Creation/Creation.py,
	  src/datasources/Exceptions.py,
	  src/datasources/drivers/interbase/Info.py,
	  src/formatting/masks/Errors.py,
	  src/datasources/drivers/oracle/Schema/Creation/Creation.py,
	  src/logic/adapters/Base.py, src/printing/pdftable/__init__.py,
	  src/rpc/drivers/soap/CommDriver.py, src/definitions/GParser.py,
	  src/datasources/drivers/postgresql/popy/Driver.py,
	  src/apps/GLogger.py, src/cursing/Label.py, utils/GTest.py,
	  src/datasources/drivers/Base/__init__.py,
	  src/datasources/drivers/DBSIG2/Connection.py, src/cursing/Dialog.py,
	  src/datasources/drivers/oracle/dcoracle/__init__.py,
	  src/datasources/drivers/informix/informix/RecordSet.py,
	  src/datasources/drivers/dbf/__init__.py, src/cursing/Control.py,
	  src/logic/adapters/ecmascript.py, src/definitions/GRootObj.py,
	  src/gear/GearSystem.py,
	  src/datasources/drivers/mysql/mysql/__init__.py, src/cursing/sio.py,
	  src/datasources/drivers/appserver/appserver/DataObject.py,
	  src/datasources/drivers/special/configfile/RecordSet.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py, license_header.txt,
	  src/datasources/drivers/Base/ResultSet.py, src/apps/GDebug.py,
	  src/rpc/drivers/pyro/ServerAdapter.py, src/cursing/Frame.py,
	  src/events/EventAware.py, src/rpc/drivers/Base.py,
	  src/datasources/drivers/odbc/wodbc/Connection.py,
	  src/datasources/drivers/mysql/mysql/Info.py, src/apps/plugin.py,
	  setup-cvs.py, src/cursing/MsgBoxOK.py,
	  src/datasources/drivers/gadfly/gadfly/__init__.py,
	  src/datasources/drivers/gadfly/gadfly/Connection.py,
	  src/cursing/TextBox.py,
	  src/datasources/drivers/ingres/ingres/__init__.py,
	  src/datasources/drivers/db2/db2/__init__.py,
	  src/datasources/drivers/db2/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Base/DataObject.py,
	  src/cursing/MsgBoxTimer.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  unittest/datasource.py,
	  src/datasources/drivers/sqlrelay/__init__.py,
	  src/rpc/drivers/_helpers/ObjectLibrarian.py, src/utils/GDateTime.py,
	  src/datasources/drivers/DBSIG2/__init__.py,
	  src/datasources/drivers/postgresql/Schema/Creation/Creation.py,
	  src/datasources/GDataObjects.py,
	  src/datasources/drivers/dbf/dbf/ResultSet.py,
	  src/cursing/VButton.py,
	  src/datasources/drivers/interbase/interbase/RecordSet.py,
	  src/cursing/GroupBox.py, src/datasources/drivers/informix/Info.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/Connection.py,
	  src/datasources/drivers/sqlite/Info.py,
	  src/printing/pdftable/pdftable.py,
	  src/formatting/masks/MaskParser.py, src/utils/TextUtils.py,
	  src/datasources/drivers/interbase/__init__.py,
	  src/datasources/drivers/mysql/Schema/Discovery/Introspection.py,
	  src/cursing/DirChooser.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/RecordSet.py,
	  src/cursing/ComboBox.py,
	  src/datasources/drivers/special/unbound/__init__.py,
	  src/events/EventController.py,
	  src/rpc/drivers/xmlrpc/py_xmlrpc/ServerAdapter.py,
	  src/datasources/drivers/DBSIG2/ResultSet.py,
	  src/datasources/drivers/adodbapi/adodbapi/__init__.py,
	  src/formatting/DateMask.py,
	  src/datasources/drivers/oracle/dcoracle/Info.py,
	  src/datasources/drivers/postgresql/Base/__init__.py,
	  src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  utils/doc-xml-attrs-openoffice.py,
	  src/datasources/drivers/informix/__init__.py,
	  src/printing/barcodes/Base.py, src/cursing/MsgBoxYesNo.py,
	  src/datasources/drivers/odbc/wodbc/Info.py,
	  src/datasources/drivers/special/static/ResultSet.py,
	  src/datasources/drivers/odbc/Info.py, src/__init__.py,
	  src/datasources/drivers/sybase/sybase/RecordSet.py,
	  src/datasources/drivers/gadfly/gadfly/ResultSet.py,
	  src/datasources/drivers/ldap/Driver.py,
	  src/datasources/drivers/db2/db2/Connection.py,
	  src/datasources/drivers/ingres/ingres/Connection.py,
	  src/apps/CommandOption.py, src/cursing/utility.py,
	  src/datasources/drivers/interbase/Schema/Discovery/Introspection.py,
	  src/GCConfig.py, src/cursing/VScrollBar.py,
	  src/datasources/drivers/postgresql/popy/__init__.py,
	  unittest/logic.py, src/schema/scripter/Scripter.py,
	  src/rpc/drivers/xmlrpc/py_xmlrpc/typeconv.py,
	  src/datasources/drivers/oracle/cxoracle/__init__.py,
	  src/datasources/drivers/postgresql/pygresql/Driver.py,
	  src/datasources/drivers/special/static/__init__.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/definitions/GObjects.py,
	  src/datasources/drivers/csv/csv/Info.py,
	  src/datasources/drivers/dbf/dbf/Info.py,
	  src/datasources/drivers/postgresql/psycopg/Info.py,
	  src/formatting/GDataFormatter.py, src/cursing/FileSelectPad.py,
	  src/datasources/drivers/sapdb/__init__.py,
	  src/rpc/drivers/proxy/CommDriver.py,
	  src/datasources/drivers/sapdb/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/__init__.py,
	  src/datasources/drivers/ingres/ingres/ResultSet.py,
	  src/setup/GSetup.py, src/rpc/drivers/pyro/ClientAdapter.py,
	  src/datasources/drivers/informix/informix/__init__.py,
	  src/datasources/drivers/postgresql/popy/Info.py,
	  src/datasources/drivers/sybase/Schema/Discovery/Introspection.py,
	  src/rpc/server.py,
	  src/datasources/drivers/oracle/cxoracle/Driver.py,
	  src/datasources/drivers/gadfly/Info.py, src/cursing/MenuItem.py,
	  src/formatting/BaseMask.py, src/cursing/RadioButton.py,
	  src/datasources/drivers/postgresql/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/dcoracle/Driver.py, src/GMenu.py,
	  src/datasources/drivers/DBSIG2/Schema/Creation/Creation.py,
	  src/datasources/drivers/ingres/Info.py,
	  src/datasources/drivers/csv/csv/Connection.py,
	  src/datasources/drivers/dbf/dbf/Connection.py, src/apps/i18n.py,
	  src/datasources/drivers/Base/RecordSet.py, module/base/__init__.py,
	  src/datasources/drivers/appserver/appserver/__init__.py,
	  src/datasources/drivers/oracle/Base/__init__.py,
	  src/datasources/drivers/special/configfile/__init__.py,
	  src/apps/GConfig.py,
	  src/datasources/drivers/interbase/Schema/Creation/Creation.py,
	  src/datasources/drivers/sybase/__init__.py,
	  src/logic/adapters/python.py,
	  src/datasources/drivers/interbase/interbase/__init__.py,
	  src/setup/ChangeLog.py, src/datasources/drivers/postgresql/Info.py,
	  src/datasources/drivers/sqlite/sqlite/DataObject.py,
	  src/datasources/drivers/appserver/Info.py,
	  src/datasources/drivers/adodbapi/adodbapi/DataObject.py,
	  src/datasources/drivers/sybase/sybase/DataObject.py,
	  src/datasources/drivers/sqlrelay/sqlrelay/__init__.py,
	  src/FormatMasks/__init__.py,
	  src/datasources/drivers/dbf/Schema/Discovery/Introspection.py,
	  src/rpc/drivers/xmlrpc/py_xmlrpc/ClientAdapter.py,
	  src/datasources/drivers/adodbapi/Schema/Discovery/Introspection.py,
	  src/formatting/masks/Masks.py, src/cursing/__init__.py, setup.py,
	  src/datasources/drivers/dbf/dbf/RecordSet.py,
	  src/cursing/Notebook.py,
	  src/datasources/drivers/odbc/wodbc/ResultSet.py,
	  src/datasources/drivers/sqlite/sqlite/__init__.py,
	  src/datasources/drivers/postgresql/pypgsql/__init__.py,
	  src/datasources/drivers/postgresql/__init__.py,
	  src/utils/FileUtils.py,
	  src/datasources/drivers/postgresql/pygresql/__init__.py,
	  src/datasources/drivers/Base/DataObject.py,
	  src/datasources/drivers/sapdb/sapdb/DataObject.py,
	  src/datasources/drivers/sapdb/Info.py, src/logic/language.py,
	  src/datasources/drivers/csv/Info.py, src/gear/NavigationBuilder.py,
	  src/datasources/drivers/adodbapi/Info.py,
	  src/datasources/drivers/DBSIG2/RecordSet.py,
	  src/datasources/drivers/db2/__init__.py, src/apps/__init__.py,
	  src/datasources/drivers/sqlite/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/mysql/mysql/DataObject.py,
	  src/datasources/drivers/appserver/appserver/Connection.py,
	  src/datasources/drivers/special/configfile/DataObject.py,
	  src/datasources/drivers/informix/informix/DataObject.py,
	  src/datasources/drivers/sqlite/sqlite/Info.py,
	  src/datasources/drivers/postgresql/pypgsql/Info.py,
	  src/datasources/drivers/special/static/RecordSet.py,
	  src/cursing/Container.py,
	  src/datasources/drivers/gadfly/gadfly/RecordSet.py,
	  src/datasources/drivers/special/static/DataObject.py,
	  src/rpc/parser/Parser.py,
	  src/datasources/drivers/sapdb/sapdb/__init__.py,
	  src/formatting/NumberMask.py, src/apps/checktype.py,
	  src/datasources/drivers/csv/__init__.py,
	  src/datasources/drivers/ingres/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/adodbapi/__init__.py,
	  src/datasources/drivers/odbc/wodbc/__init__.py,
	  src/datasources/drivers/appserver/appserver/ResultSet.py,
	  src/datasources/GConnections.py,
	  src/datasources/drivers/oracle/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/oracle/Base/Connection.py,
	  src/apps/manpage.py, src/rpc/drivers/_helpers/RpcDoc.py,
	  src/cursing/ColorScheme.py, src/logic/GTriggerCore.py,
	  src/rpc/drivers/pyro/Driver.py, src/cursing/FileSelector.py: Updated
	  copyright header

2004-12-29 21:02:25  Rev 6843   reinhard

	* src/__init__.py: Started new release cycle.

2004-12-29 20:47:22  Rev 6837   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, src/__init__.py, po/fr.po,
	  po/de.po, po/es_MX.po, po/hu.po: Released 0.5.12.

2004-12-29 18:19:11  Rev 6836   kilo

	* po/hu.po: Updated Hungarian translations.

2004-12-28 15:57:01  Rev 6830   reinhard

	* utils/update-tool-docs: Do not list files if only a single package
	  was built.

2004-12-28 15:53:13  Rev 6829   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, po/fr.po, po/de.po, po/es_MX.po,
	  po/hu.po: Released 0.5.11.99-pre1.

2004-12-23 20:24:25  Rev 6821   johannes

	* src/schema/scripter/Scripter.py: Add all tables without
	  constraint-definitions in the same order as listed in the gsd at the
	  end of the tableOrder sequence

2004-12-23 12:38:46  Rev 6819   johannes

	* src/datasources/drivers/postgresql/Schema/Creation/Creation.py:
	  Fixed db- and user-creation for PostgreSQL 7.3.* (thanks to dimas)

2004-12-21 12:10:01  Rev 6815   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Fix for Python 2.4.

2004-12-21 09:57:36  Rev 6814   reinhard

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Fix for LongInt types
	  (as widely used with Python 2.4)

2004-12-20 08:12:03  Rev 6810   reinhard

	* src/printing/pdftable/sample.py: Made sample script executable.

2004-12-14 20:24:54  Rev 6807   johannes

	* src/datasources/GConditions.py,
	  src/datasources/drivers/DBSIG2/DataObject.py: Added operations
	  <upper> and <lower> to GConditions, which allow case-insensitive
	  conditions

2004-12-14 19:44:26  Rev 6806   johannes

	* src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/sqlite/Schema/Creation/Creation.py: Use
	  'integer' for boolean types, so evaluation works better

2004-12-14 07:55:26  Rev 6805   johannes

	* src/schema/scripter/Scripter.py: If no table definitions are
	  available just use data as specified

2004-12-13 20:47:00  Rev 6804   reinhard

	* src/datasources/drivers/sqlite/sqlite/Connection.py: Fixed missing
	  import.

2004-12-13 15:01:23  Rev 6803   johannes

	* BUGS: Removed a solved bug

2004-12-13 13:12:10  Rev 6802   johannes

	* po/es_ES.po, po/lt.po, po/ro.po, po/fr.po, po/de.po, po/es_MX.po,
	  po/hu.po: updated translations

2004-12-13 13:11:40  Rev 6801   johannes

	* src/schema/GSParser.py, src/schema/scripter/Scripter.py,
	  src/schema/Objects.py: gnue-schema asks before it modifies the
	  backend database. gnue-schema is now able to automatically order
	  table operations to avoid referential constraint conflicts
	  gnue-schema is now able to automatically order data insertions (even
	  for tables with multiple fishooks). So the order of tabledata does
	  no longer matter.

2004-12-01 15:14:59  Rev 6777   jcater

	* utils/release-announce: fixed a small grammatical error

2004-12-01 09:47:25  Rev 6771   johannes

	* src/definitions/GParser.py: Support for _instance and _app style
	  instances on load

2004-12-01 07:59:09  Rev 6767   johannes

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/appserver/appserver/RecordSet.py: Added an
	  'update' function to GFBlock which updates the current record set of
	  the datasource (an thus updating all calculated fields)

2004-12-01 04:38:18  Rev 6766   jcater

	* src/formatting/GTypecast.py: removed print lines

2004-12-01 03:36:09  Rev 6765   jcater

	* src/formatting/GTypecast.py: added an 'escaped' typecast function

2004-11-30 23:25:52  Rev 6761   jcater

	* src/definitions/GParser.py: Added support for a default namespaces
	  and for ignoring unknown namespaces (used primarily for report
	  filters); default behaviors are the same as before this commit.

2004-11-30 17:37:57  Rev 6760   johannes

	* src/logic/GTrigger.py: Split the trigger's phased init so a referred
	  trigger can be implemented at the end of a g?d-file

2004-11-29 19:59:24  Rev 6754   johannes

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/typeconv.py: Do proper conversion
	  on time fields

2004-11-29 19:55:23  Rev 6753   johannes

	* src/datasources/drivers/appserver/appserver/RecordSet.py: Only use
	  bound fields on record-reloads

2004-11-29 17:53:02  Rev 6752   johannes

	* src/datasources/drivers/DBSIG2/RecordSet.py: Don't fail if a
	  master-record's isPending () returns True without having a direct
	  pending changes

2004-11-27 21:51:19  Rev 6747   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss,
	  packaging/win32/GNUe-Reports.iss, packaging/win32/GNUe-Designer.iss,
	  packaging/win32/GNUe-Reports-debug.iss,
	  packaging/win32/GNUe-Designer-debug.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/GNUe-Appserver.iss,
	  packaging/win32/GNUe-Common.iss: updated win32packaging files

2004-11-27 14:00:43  Rev 6746   reinhard

	* src/__init__.py: Started new release cycle.

2004-11-27 13:00:55  Rev 6731   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, src/__init__.py, po/fr.po,
	  po/de.po, po/es_MX.po, po/hu.po: Released 0.5.11.

2004-11-24 22:56:34  Rev 6723   kilo

	* po/hu.po: Updated Hungarian translations.

2004-11-24 13:37:06  Rev 6720   johannes

	* po/de.po: Updated german translations

2004-11-24 13:01:31  Rev 6715   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, po/fr.po, po/de.po, po/es_MX.po,
	  po/hu.po: Released 0.5.10.99-pre1.

2004-11-24 09:11:25  Rev 6710   johannes

	* src/datasources/drivers/appserver/appserver/Connection.py: Split the
	  filter-id/label tuple properly

2004-11-24 08:42:16  Rev 6709   johannes

	* src/schema/scripter,
	  src/datasources/drivers/appserver/appserver/Connection.py: Use
	  class-labels for login dialog (if available)

2004-11-18 11:03:51  Rev 6697   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Make findRecord move to
	  -1 if no match is found.

2004-11-18 00:05:19  Rev 6695   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added function to get
	  some fields for the complete resultset in form of a 2-dimensional
	  list.

2004-11-17 22:39:32  Rev 6692   reinhard

	* src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py: Added method to jump to a
	  record given by key/value pair(s).

2004-11-17 18:48:11  Rev 6690   johannes

	* BUGS: Added another one :(

2004-11-16 15:13:08  Rev 6682   johannes

	* src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  src/datasources/GDataSource.py,
	  src/datasources/drivers/Base/ResultSet.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/GConnections.py, src/schema/scripter/Scripter.py,
	  src/datasources/drivers/appserver/appserver/Connection.py: Fixed
	  some memory leaks and connections now really get closed after form
	  is closed

2004-11-16 07:29:18  Rev 6678   johannes

	* src/rpc/drivers/xmlrpc/pw_xmlrpc/ClientAdapter.py: Use a better
	  exception group for communication errors

2004-11-12 14:56:40  Rev 6675   johannes

	* src/datasources/drivers/sapdb/Schema/Creation/Creation.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/Info.py: Added database-creation
	  support so the driver is now fully functional

2004-11-11 11:15:39  Rev 6670   johannes

	* src/datasources/drivers/sapdb/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/sapdb/Schema/Creation/Creation.py,
	  src/datasources/drivers/sapdb/sapdb/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/DataObject.py,
	  src/datasources/drivers/sapdb/Info.py,
	  src/datasources/drivers/DBSIG2/Connection.py,
	  src/datasources/drivers/sapdb/sapdb/RecordSet.py,
	  src/datasources/drivers/sapdb/sapdb/ResultSet.py,
	  src/datasources/drivers/sapdb/sapdb/Info.py: Brought MaxDB/SAP-DB
	  driver back to life :)

2004-11-09 19:00:46  Rev 6666   johannes

	* BUGS: Removed fixed bugs

2004-11-09 15:51:48  Rev 6664   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Always inform ResultSet
	  listener about current position on registration, even if it was
	  registered before. This fixes display of detail records when
	  navigating away from a master and back again.

2004-11-09 14:53:01  Rev 6663   johannes

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/Base/ResultSet.py: A record is flaged
	  'pending' even if a detail record is pending

2004-11-09 10:23:23  Rev 6659   johannes

	* src/datasources/drivers/appserver/appserver/Connection.py: Filters
	  can be specified in connections.conf by name now

2004-11-09 08:10:00  Rev 6657   johannes

	* src/datasources/drivers/sqlite/sqlite/Connection.py,
	  src/datasources/drivers/interbase/interbase/Connection.py,
	  src/datasources/drivers/mysql/mysql/Connection.py,
	  src/datasources/drivers/postgresql/Base/Connection.py,
	  src/datasources/drivers/oracle/Base/Connection.py: Login-fields are
	  always unicode.

2004-11-08 16:51:10  Rev 6653   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Added a possibility to
	  notify other objects that the current record has moved.

2004-11-08 14:52:44  Rev 6651   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Fixed comment.

2004-11-08 14:21:58  Rev 6649   reinhard

	* src/datasources/drivers/Base/ResultSet.py: Do not notify detail
	  records of a changed master if the master hasn't really changed.
	  This fixes scrolling in detail grids with autocommit.

2004-11-05 23:27:24  Rev 6638   kilo

	* etc/sample.gnue.conf: Highlight currently focused entry Focus color
	  can be set or switched off in gnue.conf.

2004-11-04 13:10:45  Rev 6621   johannes

	* src/apps/manpage.py: Create properly formatted manpages

2004-11-04 12:35:46  Rev 6619   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Navigator.iss,
	  packaging/win32/GNUe-Navigator-debug.iss,
	  packaging/win32/GNUe-Reports.iss,
	  packaging/win32/GNUe-Reports-debug.iss,
	  packaging/win32/GNUe-Forms.iss: updated packaging files

2004-10-28 08:45:25  Rev 6576   johannes

	* BUGS: Added another one

2004-10-28 07:37:38  Rev 6574   johannes

	* src/datasources/drivers/appserver/appserver/RecordSet.py: Fixed
	  master-/detail-issues

2004-10-22 19:15:22  Rev 6549   btami

	* packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss,
	  packaging/win32/GNUe-Appserver.iss, packaging/win32/GNUe-Common.iss:
	  updated win32 packaging files

2004-10-22 10:03:49  Rev 6548   btami

	* src/datasources/drivers/postgresql/psycopg/Info.py: updated psycopg
	  info

2004-10-22 09:50:24  Rev 6547   johannes

	* src/datasources/drivers/DBSIG2/DataObject.py: Use the proper
	  exception class

2004-10-22 09:05:27  Rev 6546   johannes

	* src/datasources/drivers/oracle/cxoracle/Info.py,
	  src/datasources/drivers/adodbapi/adodbapi/Info.py,
	  src/datasources/drivers/db2/db2/Info.py,
	  src/datasources/drivers/oracle/dcoracle/Info.py: Updated driver info

2004-10-22 08:55:12  Rev 6545   johannes

	* src/datasources/drivers/sqlite/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/sqlite/Schema/Creation/Creation.py: Added
	  index-introspection and creation to SQLite driver

2004-10-21 16:37:59  Rev 6541   reinhard

	* src/__init__.py: Started new release cycle.

2004-10-21 16:31:10  Rev 6538   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, NEWS, src/__init__.py, po/fr.po,
	  po/de.po, po/es_MX.po, po/hu.po: Released 0.5.10.

2004-10-20 18:59:22  Rev 6528   reinhard

	* po/ru.po: Deleted ru.po as it is too outdated.

2004-10-20 18:54:54  Rev 6527   reinhard

	* doc/RPC-grpc-file.dtd, po/es_ES.po, po/lt.po, doc/gnue-schema.dtd,
	  doc/man/gnue-schema.1, po/ro.po, po/ru.po, po/fr.po, po/de.po,
	  po/es_MX.po, po/hu.po: Released 0.5.9.99-pre2.

2004-10-20 18:00:03  Rev 6525   johannes

	* src/datasources/drivers/appserver/appserver/RecordSet.py: lower-case
	  fieldnames on initialization of a record

2004-10-20 17:00:18  Rev 6524   btami

	* packaging/win32/GNUe-Forms-debug.iss,
	  packaging/win32/GNUe-Navigator.iss,
	  packaging/win32/GNUe-Appserver-debug.iss,
	  packaging/win32/GNUe-Common-debug.iss,
	  packaging/win32/GNUe-Navigator-debug.iss,
	  packaging/win32/GNUe-Reports.iss, packaging/win32/GNUe-Designer.iss,
	  packaging/win32/GNUe-Reports-debug.iss,
	  packaging/win32/GNUe-Designer-debug.iss,
	  packaging/win32/GNUe-Runtime-Environment.iss,
	  packaging/win32/GNUe-Forms.iss, packaging/win32/GNUe-Appserver.iss,
	  packaging/win32/GNUe-Common.iss: updated win32 packaging files

2004-10-20 13:40:21  Rev 6522   johannes

	* README.databases: Updated MySQL entry

2004-10-20 13:36:26  Rev 6521   johannes

	* src/datasources/drivers/mysql/mysql/Info.py: Updated driver-info

2004-10-20 13:35:13  Rev 6520   johannes

	* src/datasources/drivers/Base/Schema/Creation/Creation.py,
	  src/datasources/drivers/DBSIG2/Schema/Creation/Creation.py,
	  src/datasources/drivers/interbase/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/interbase/Schema/Creation/Creation.py,
	  src/datasources/drivers/Base/Connection.py,
	  src/datasources/drivers/postgresql/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/mysql/Schema/Discovery/Introspection.py,
	  src/datasources/drivers/mysql/Schema/Creation/Creation.py: Added
	  support for index-introspection and -creation for PostgreSQL,
	  Interbase/Firebird and MySQL. Added createDatabase () to MySQL

2004-10-19 16:28:21  Rev 6516   reinhard

	* src/datasources/drivers/DBSIG2/RecordSet.py: Fix committing the same
	  record twice.

2004-10-19 11:26:37  Rev 6511   btami

	* src/datasources/drivers/interbase/Schema/Creation/Creation.py: fixed
	  default handling of defaulthwith="serial"

2004-10-18 19:00:16  Rev 6507   jamest

	* src/datasources/GConnections.py: populate the authenticated username
	  info when .netrc file is in use

2004-10-15 10:02:56  Rev 6500   johannes

	* src/datasources/drivers/appserver/appserver/RecordSet.py: Restore
	  state information properly in case of an exception in a call

2004-10-15 07:13:04  Rev 6497   johannes

	* BUGS: Updated list of BUGS

2004-10-13 13:39:04  Rev 6493   reinhard

	* src/datasources/drivers/Base/RecordSet.py: Removed temporary hack
	  now that appserver is case insensitive.

2004-10-13 10:17:55  Rev 6492   reinhard

	* src/datasources/drivers/appserver/appserver/RecordSet.py: Do not
	  overwrite existing field values with None. This fixes forms that
	  explicitly reference gnue_id.

2004-10-13 07:43:24  Rev 6490   kilo

	* src/rpc/drivers/xmlrpc/py_xmlrpc/ServerAdapter.py,
	  src/rpc/drivers/pyro/ServerAdapter.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ServerAdapter.py,
	  src/rpc/drivers/soap/soappy/Driver.py: Changed default RPC behavior
	  to silent

2004-10-13 06:38:06  Rev 6489   johannes

	* src/datasources/drivers/Base/RecordSet.py,
	  src/datasources/drivers/appserver/appserver/RecordSet.py: Made
	  OnInit-triggers functional

2004-10-11 11:33:39  Rev 6483   reinhard

	* utils/update-tool-docs: Added common as a valid option to
	  update-tools-docs.

2004-10-11 11:07:42  Rev 6478   reinhard

	* src/__init__.py: Started new release cycle.

2004-10-11 11:01:34  Rev 6474   reinhard

	* po/es_ES.po, po/lt.po, doc/gnue-schema.dtd, doc/man/gnue-schema.1,
	  po/ro.po, src/__init__.py, po/ru.po, po/fr.po, po/de.po,
	  po/es_MX.po, po/hu.po: Released 0.5.9.

2004-10-11 10:46:27  Rev 6470   kilo

	* po/hu.po: Updated Hungarian translation

2004-10-11 10:42:34  Rev 6469   reinhard

	* po/de.po: Updated German translation.

2004-10-11 10:35:47  Rev 6468   reinhard

	* po/es_ES.po, po/lt.po, po/ro.po, NEWS, BUGS, po/ru.po, po/fr.po,
	  po/de.po, po/es_MX.po, po/hu.po: Doc and po updates.

2004-10-08 08:00:31  Rev 6464   johannes

	* src/datasources/drivers/interbase/Schema/Discovery/Introspection.py:
	  Use uppercase identifiers for introspection-queries

2004-10-07 09:46:52  Rev 6459   johannes

	* src/rpc/drivers/_helpers/DirectoryServer.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ClientAdapter.py,
	  src/rpc/drivers/xmlrpc/pw_xmlrpc/ServerAdapter.py: Better handling
	  of exceptions on method invocation

2004-10-06 18:13:44  Rev 6457   reinhard

	* src/datasources/drivers/odbc/wodbc/Info.py,
	  src/datasources/drivers/oracle/cxoracle/Info.py,
	  src/datasources/drivers/postgresql/psycopg/Info.py,
	  src/datasources/drivers/mysql/mysql/Info.py,
	  src/datasources/drivers/appserver/appserver/Info.py,
	  src/datasources/drivers/oracle/dcoracle/Info.py,
	  src/datasources/drivers/postgresql/pypgsql/Info.py: Some updates of
	  driver infos.

2004-10-06 09:25:47  Rev 6456   johannes

	* src/datasources/drivers/appserver/appserver/Connection.py: Don't
	  update "empty" filter-sets

2004-10-05 08:14:04  Rev 6454   johannes

	* src/datasources/drivers/appserver/appserver/Connection.py: *) Added
	  support for arbitrary filters to appserver *) Added getFilters ()
	  RPC call to appserver *) gnue-readgcd now supports definition of
	  indices

2004-10-04 17:03:32  Rev 6453   jamest

	* src/printing/pdftable/pdftable.py: missing import

2004-10-04 15:52:13  Rev 6452   jamest

	* src/printing/pdftable/sample.py: changed sample to work with python
	  version < 2.3

2004-10-04 15:01:40  Rev 6451   johannes

	* src/datasources/drivers/Base/RecordSet.py: Fixed _postChanges

2004-10-04 14:41:51  Rev 6450   btami

	* packaging/win32/setup.py: fixed comment

2004-10-04 02:34:53  Rev 6449   jamest
